-- --------------------------------------------------------

--
-- Tabellenstruktur fr Tabelle `attr`
--

DROP TABLE IF EXISTS `attr`;
CREATE TABLE IF NOT EXISTS `attr` (
  `a_id` int(11) NOT NULL auto_increment,
  `a_classtype` int(11) NOT NULL,
  `a_classtype_id` int(11) NOT NULL,
  `a_ta_id` int(11) NOT NULL,
  `a_val_int` int(11) NOT NULL,
  `a_val_float` float NOT NULL,
  `a_val_date` date NOT NULL,
  `a_val_time` time NOT NULL,
  `a_val_text` text NOT NULL,
  PRIMARY KEY  (`a_id`),
  KEY `a_ta_id` (`a_ta_id`),
  KEY `a_classtype` (`a_classtype`),
  KEY `a_classtype_id` (`a_classtype_id`),
  FULLTEXT KEY `a_val_text` (`a_val_text`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur fr Tabelle `cat`
--

DROP TABLE IF EXISTS `cat`;
CREATE TABLE IF NOT EXISTS `cat` (
  `cat_id` int(11) NOT NULL auto_increment,
  `cat_title` varchar(200) NOT NULL,
  `cat_desc` text NOT NULL,
  `cat_strict` char(1) NOT NULL,
  PRIMARY KEY  (`cat_id`),
  FULLTEXT KEY `cat_title` (`cat_title`),
  FULLTEXT KEY `cat_desc` (`cat_desc`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur fr Tabelle `cat_entry`
--

DROP TABLE IF EXISTS `cat_entry`;
CREATE TABLE IF NOT EXISTS `cat_entry` (
  `cate_id` int(11) NOT NULL auto_increment,
  `cate_cat_id` int(11) NOT NULL,
  `cate_title` varchar(200) NOT NULL,
  `cate_icon` varchar(100) NOT NULL,
  `cate_fg_color` int(11) NOT NULL default '0',
  `cate_bg_color` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cate_id`),
  KEY `cate_cat_id` (`cate_cat_id`),
  FULLTEXT KEY `cate_title` (`cate_title`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur fr Tabelle `ci`
--

DROP TABLE IF EXISTS `ci`;
CREATE TABLE IF NOT EXISTS `ci` (
  `ci_id` int(11) NOT NULL auto_increment,
  `ci_cit_id` int(11) NOT NULL,
  `ci_title` varchar(200) NOT NULL,
  `ci_icon` varchar(100) NOT NULL,
  `ci_last_uid` int(11) NOT NULL,
  `ci_last_change` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`ci_id`),
  KEY `ci_cit_id` (`ci_cit_id`),
  FULLTEXT KEY `ci_title` (`ci_title`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur fr Tabelle `ci_type`
--

DROP TABLE IF EXISTS `ci_type`;
CREATE TABLE IF NOT EXISTS `ci_type` (
  `cit_id` int(11) NOT NULL auto_increment,
  `cit_title` varchar(200) NOT NULL,
  `cit_icon` varchar(100) NOT NULL,
  `cit_desc` text NOT NULL,
  `cit_last_uid` int(11) NOT NULL,
  `cit_last_changed` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`cit_id`),
  FULLTEXT KEY `cit_title` (`cit_title`),
  FULLTEXT KEY `cit_desc` (`cit_desc`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur fr Tabelle `comment`
--

DROP TABLE IF EXISTS `comment`;
CREATE TABLE IF NOT EXISTS `comment` (
  `c_id` int(11) NOT NULL auto_increment,
  `c_ci_id` int(11) NOT NULL,
  `c_text` text NOT NULL,
  `c_create_uid` int(11) NOT NULL,
  `c_last_uid` int(11) NOT NULL,
  `c_create_change` datetime NOT NULL,
  `c_last_change` datetime NOT NULL,
  PRIMARY KEY  (`c_id`),
  KEY `c_ci_id` (`c_ci_id`),
  KEY `c_last_uid` (`c_last_uid`),
  KEY `c_create_uid` (`c_create_uid`),
  FULLTEXT KEY `c_text` (`c_text`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur fr Tabelle `csv_element`
--

DROP TABLE IF EXISTS `csv_element`;
CREATE TABLE IF NOT EXISTS `csv_element` (
  `ce_id` int(11) NOT NULL auto_increment,
  `ce_cp_id` int(11) NOT NULL,
  `ce_ta_id` int(11) NOT NULL,
  `ce_pos` int(11) NOT NULL,
  PRIMARY KEY  (`ce_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur fr Tabelle `csv_profile`
--

DROP TABLE IF EXISTS `csv_profile`;
CREATE TABLE IF NOT EXISTS `csv_profile` (
  `cp_id` int(11) NOT NULL auto_increment,
  `cp_classtype` int(11) NOT NULL,
  `cp_cit_id` int(11) NOT NULL,
  `cp_title` varchar(200) NOT NULL,
  `cp_desc` text NOT NULL,
  `cp_separator` varchar(1) NOT NULL,
  `cp_delimiter` varchar(1) NOT NULL,
  PRIMARY KEY  (`cp_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur fr Tabelle `property`
--

DROP TABLE IF EXISTS `property`;
CREATE TABLE IF NOT EXISTS `property` (
  `p_id` varchar(64) NOT NULL,
  `p_user_id` int(11) NOT NULL,
  `p_type_id` int(11) NOT NULL,
  `p_item_id` int(11) NOT NULL,
  `p_value` varchar(64) NOT NULL,
  PRIMARY KEY  (`p_id`,`p_user_id`,`p_type_id`,`p_item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur fr Tabelle `relation`
--

DROP TABLE IF EXISTS `relation`;
CREATE TABLE IF NOT EXISTS `relation` (
  `r_id` int(11) NOT NULL auto_increment,
  `r_rt_id` int(11) NOT NULL,
  `r_ci1_id` int(11) NOT NULL,
  `r_ci2_id` int(11) NOT NULL,
  `r_desc` text NOT NULL,
  PRIMARY KEY  (`r_id`),
  KEY `r_rt_id` (`r_rt_id`),
  KEY `r_ci1_id` (`r_ci1_id`),
  KEY `r_ci2_id` (`r_ci2_id`),
  FULLTEXT KEY `r_desc` (`r_desc`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur fr Tabelle `relation_type`
--

DROP TABLE IF EXISTS `relation_type`;
CREATE TABLE IF NOT EXISTS `relation_type` (
  `rt_id` int(11) NOT NULL auto_increment,
  `rt_cit1_id` int(11) NOT NULL,
  `rt_cit2_id` int(11) NOT NULL,
  `rt_to1_text` varchar(200) NOT NULL,
  `rt_to2_text` varchar(200) NOT NULL,
  `rt_desc` text NOT NULL,
  PRIMARY KEY  (`rt_id`),
  KEY `rt_cit1_id` (`rt_cit1_id`),
  KEY `rt_cit2_id` (`rt_cit2_id`),
  FULLTEXT KEY `rt_desc` (`rt_desc`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur fr Tabelle `type_attr`
--

DROP TABLE IF EXISTS `type_attr`;
CREATE TABLE IF NOT EXISTS `type_attr` (
  `ta_id` int(11) NOT NULL auto_increment,
  `ta_classtype` int(11) NOT NULL,
  `ta_classtype_id` int(11) NOT NULL,
  `ta_title` varchar(200) NOT NULL,
  `ta_desc` text NOT NULL,
  `ta_datatype` int(11) NOT NULL,
  `ta_datatype_sub` int(11) NOT NULL,
  `ta_order` int(11) NOT NULL,
  `ta_label` int(11) NOT NULL,
  `ta_oblig` char(1) NOT NULL,
  `ta_unique` char(1) NOT NULL,
  `ta_tag` char(1) NOT NULL,
  `ta_input` int(11) NOT NULL default '0',
  `ta_visible` int(11) NOT NULL default '1',
  `ta_format` varchar(100) NOT NULL,
  PRIMARY KEY  (`ta_id`),
  KEY `ta_order` (`ta_order`),
  KEY `ta_classtype` (`ta_classtype`),
  KEY `ta_classtype_id` (`ta_classtype_id`),
  FULLTEXT KEY `ta_title` (`ta_title`),
  FULLTEXT KEY `ta_desc` (`ta_desc`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur fr Tabelle `user`
--

DROP TABLE IF EXISTS `user`;
CREATE TABLE IF NOT EXISTS `user` (
  `u_id` int(11) NOT NULL auto_increment,
  `u_login` varchar(100) NOT NULL,
  `u_last_name` varchar(100) NOT NULL,
  `u_first_name` varchar(100) NOT NULL,
  `u_email` varchar(200) NOT NULL,
  `u_passwd` varchar(100) NOT NULL,
  `u_role_id` int(11) NOT NULL,
  `u_auth_backend` int(11) NOT NULL,
  `u_active` char(1) NOT NULL,
  `u_notify` char(1) NOT NULL,
  PRIMARY KEY  (`u_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;
