<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'includes/page_init.inc.php';

require_once 'includes/browse.inc.php';
require_once 'includes/ci.inc.php';
require_once 'includes/relation_peer_list.inc.php';

// get data
$ci_clone_relations = http_get_int( 'ci_clone_relations', 0 );
$ci = new ci( 0, 0, 'ci_id', 'ci_cit_id' );
$ci->load_from_args();

// processing
if ($ci->action_insert())
{
	if ($ci_clone_relations == 1)
	{
		// clone relations too
		relation_peer_list::getInstance( $ci->get_clone_id() )->clone_for_ci( $ci->get_id() );
	}
	
	$rc_url = CI_VIEW_PHP . "?ci_id=" . $ci->get_id();
	$core_html_refresh_url = $rc_url;
}
else
{
	// rollback
	$ci2 = new ci( $ci->get_id() );
	$ci2->action_delete();

	$rc_url = $referer_script_name;
}

// page
html_page_header_browser();

$ci->display_synopse( browse_ci_view_menu( $ci->get_id(), $ci->get_item_type_id() ) );
$ci->html_messages( get_string('ActionCompleted_dsc'), $rc_url );
html_page_footer();

require_once 'includes/page_done.inc.php';
