<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'includes/page_init.inc.php';

require_once 'includes/browse.inc.php';
require_once 'includes/ci_type.inc.php';
require_once 'includes/ci.inc.php';

// check: function is enabled by config
if (! get_property('delete_all_ci_of_type'))
{
	require_once 'includes/page_error.inc.php';
	
	html_error_page( get_string('ActionNotPermitted_dsc') );
	exit();
}

// get data
$cit_id = http_get_int( 'cit_id' );
$cit = new db_ci_type( $cit_id );
$icon_url = icon_list::getInstance()->get_html_imx( $cit->get_icon() );

// processing

$rc_url = $_SESSION['caller'];

// get all CIs of this type
$db			= core_db::getInstance();
$query		= "SELECT ci_id FROM ci " .
	"WHERE ci_cit_id='" . $cit_id . "'";
$result		= $db->query( $query );
$ci_count	= $db->num_rows( $result );

// loop over all CIs
for ($i=0; $i<$ci_count; $i++)
{
	// load CI
	$ci_id = $db->result( $result, $i );
	$ci = new ci( $ci_id );
	
	// delete it
	$ci->action_delete();
}

$core_html_refresh_url = $rc_url; 

// page
html_page_header_browser();

printf( "<div id='synopse'>\n" );
html_table_header( 50, 700, 50 );
html_table_icon_section( $icon_url, get_string('CIsOfCIType_ttl') . " '" . $cit->get_title() . "'", browse_ci_index_menu( $cit->get_id() ) );
html_table_footer();
printf( "</div>\n" );

printf( "<div id='status'>\n" );
html_status( STATUS_OK, get_string('ActionCompleted_dsc'), $rc_url );
printf( "</div>\n" );

html_page_footer();

require_once 'includes/page_done.inc.php';
