<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'includes/page_init.inc.php';

require_once 'tables/db_ci_type.inc.php';
require_once 'includes/browse.inc.php';
require_once 'includes/ci.inc.php';
require_once 'includes/ci_cit_navi_list.inc.php';
require_once 'includes/icon_list.inc.php';

// search
$result_list = ci_cit_navi_list::getInstance();
$result_count = $result_list->count();
$cit = new db_ci_type( $result_list->get_search_cit_id() );
$icon_url = icon_list::getInstance()->get_html_imx( $cit->get_icon() );

// page
html_page_header_browser();

printf( "<div id='synopse'>\n" );
html_table_header( 50, 700, 50 );
html_table_icon_section( $icon_url, get_string('CIsOfCIType_ttl')." '" . $cit->get_title() . "'", browse_ci_index_menu( $cit->get_id() ) );
html_table_footer();
printf( "</div>\n" );

printf( "<div id='list'>\n" );
$result_list->show();
printf( "</div>\n" );

html_page_footer();

require_once 'includes/page_done.inc.php';
