<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

/**
* @author Dr. Michael Scheibe
* @package core
* 
* $Id: core_arm.inc.php 423 2010-04-11 13:48:37Z micha $
*/


/**
 * class for (a)ccess and (r)ole (m)anagement
 * 
 * singleton
 */
class core_arm
{
	static private $instance	= false;
	private $user_id			= 0;
	private $user_role			= 0;
	private $ac_array			= array();
	
	static public function getInstance()
	{
		if (self::$instance === false)
		{
			self::$instance = new core_arm();
		}
		
		return self::$instance;
	}
	
	static public function destroyInstance()
	{
		if (self::$instance !== false)
		{
			self::$instance = false;
		}
		
		return;
	}
	
	protected function __construct()
	{
		$this->user_id = core_session::getInstance()->get_user_id();
		$this->user_role = core_session::getInstance()->get_role_id();
		$this->load_ac_array();

		return;
	}
	
	public function ac_permitted ( $ac )
	{
		return in_array( $ac, $this->ac_array );
	}

	private function load_ac_array ()
	{
		global $ac_role_viewer;
		global $ac_role_operator;
		global $ac_role_change_manager;
		global $ac_role_designer;
		global $ac_role_user_admin;
		global $ac_role_admin;
		
		switch ($this->user_role)
		{
			case ROLE_VIEWER:
			{
				$this->ac_array = $ac_role_viewer;
				break;
			}
			case ROLE_OPERATOR:
			{
				$this->ac_array = $ac_role_operator;
				break;
			}
			case ROLE_CHANGE_MANAGER:
			{
				$this->ac_array = $ac_role_change_manager;
				break;
			}
			case ROLE_DESIGNER:
			{
				$this->ac_array = $ac_role_designer;
				break;
			}
			case ROLE_USER_ADMIN:
			{
				$this->ac_array = $ac_role_user_admin;
				break;
			}
			case ROLE_ADMIN:
			{
				$this->ac_array = $ac_role_admin;
				break;
			}
		}
		
		return;
	}

}
