<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

/**
* @author Dr. Michael Scheibe
* @package core
* 
* $Id: core_exception.inc.php 338 2009-04-10 12:09:15Z micha $
*/

/**
 * base exception class for core package 
 */
class core_exception extends exception
{
	protected $file;
	protected $line;
	protected $message;
	protected $code;

	public function __construct ( $_message = false, $_code = false )
	{
		$this->message = $_message;
		$this->code = $_code;
		return;
	}
	
	public function get_file ()
	{
		return $this->file;
	}
	
	public function get_line ()
	{
		return $this->line;
	}
	
	public function get_message ()
	{
		return $this->message;
	}
	
	public function get_code ()
	{
		return $this->code;
	}
	
} 

/**
 * exception class for get args (http_get_xxx)
 */
class core_arg_exception extends core_exception
{
}

/**
 * exception class for data (e.g. validation)
 */
class core_data_exception extends core_exception
{
}


/**
 * globale exception handler for core package
 * 
 * @param	core_exception		$exception
 */
function core_exception_handler ( $exception )
{
	include_once 'includes/page_error.inc.php';
	html_error_page( $exception->getMessage(), "" );
}