<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

/**
* @author Dr. Michael Scheibe
* @package core
* 
* $Id: core_html_form.inc.php 338 2009-04-10 12:09:15Z micha $
*/

class html_form_args 
{
	var $items;
	
	function html_form_args()
	{
		$this->items = array();
		return;
	}
	
	function get_count()
	{
		return count($this->items);
	}
	
	function add ( $_name, $_value )
	{
		$this->items[ $_name ] = $_value;
		return;
	}
	
	function get_arg_string ()
	{
		$arg_str = "";
		if ($this->get_count()>0)
		{
			foreach( $this->items as $name => $value )
			{
				$arg_str = sprintf( "%s" . 
					"<input type='hidden' name='%s' value='%s'>",
					$arg_str,
					$name,
					$value );
			}
		}
		return $arg_str;
	}
}

// $pre_cols		freie zellen davor
// $post_cols		freie zellen danach
// $question		frage-text
// $yes_text		text fuer den Knopf Zustimmung
// $yes_action		action fuer den Knopf Zustimmung
// $yes_args		argumente fuer den Knopf Zustimmung
// $no_text			text fuer den Knopf Ablehnung
// $no_action		action fuer den Knopf Ablehnung
// $no_args			argumente fuer den Knopf Ablehnung
//
function html_form_question ( $pre_cols, $post_cols, $question, $yes_text, $yes_action, &$yes_args, $no_text, $no_action, &$no_args )
{
	global $core_html_table_cols;

	$tc = $core_html_table_cols;
	if ($tc == 0) 
	{
		$pre_cols	= 0;
		$post_cols	= 0;
		$text_cols	= 2;
		$rest_cols	= 0;
		$col_size	= round( get_property( "page_table_width" ) / 2 );
		html_table_header( $col_size, get_property( "page_table_width" ) - $col_size );
	}
	else
	{
		$text_cols	= $tc - $pre_cols - $post_cols;
		$rest_cols	= $text_cols - 2; 
		if ($text_cols < 2)
		{
			user_error( sprintf( "not enough table cells, need minimal: pre (%d) + 2 + post(%d)",
				$pre_cols, $post_cols), E_USER_WARNING );
		}
	}

	// question
	//
	printf( "<tr class='r_question'>\n" );
	if ($pre_cols > 0) printf( "<td colspan='%d'></td>", $pre_cols );
	printf( "<td class='c_question' colspan='%d'>%s</td>", $text_cols, $question );
	if ($post_cols > 0) printf( "<td colspan='%d'></td>", $post_cols );
	printf( "</tr>\n" );	

	// buttons
	//
	printf( "<tr class='r_question'>\n" );
	if ($pre_cols > 0) printf( "<td colspan='%d'></td>", $pre_cols );
	
	// yes button
	printf( "<td class='c_question'><form action='%s' method='post'>%s<input type='submit' class='b_question' value='%s'></form></td>",
		$yes_action,
		$yes_args->get_arg_string(),
		$yes_text );

	// no button
	printf( "<td class='c_question'><form action='%s' method='post'>%s<input type='submit' class='b_question' value='%s'></form></td>",
		$no_action,
		$no_args->get_arg_string(),
		$no_text );
	
	// rest
	if ($rest_cols > 0) printf( "<td colspan='%d'></td>", $rest_cols );

	if ($post_cols > 0) printf( "<td colspan='%d'></td>", $post_cols );
	printf( "</tr>\n" );	

	// end table 
	if ($tc == 0) html_table_footer();

	return;
}
