<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

/**
* @author Dr. Michael Scheibe
* @package core
* 
* $Id: core_html_icon.inc.php 341 2009-04-10 15:54:54Z micha $
*/

define ('ICON_SIZE_X', 16 ); 
define ('ICON_SIZE_Y', 16 ); 

define ('ICON_MISSING', 				'1x1_green.png' );
define ('ICON_EMPTY', 					'1x1.png' );
define ('ICON_ACTIVE',				 	'icon_active.png' );
define ('ICON_ADD',				 		'icon_add.png' );
define ('ICON_COMMENT',					'icon_comment.png' );
define ('ICON_DELETE',					'icon_delete.png' );
define ('ICON_DOWN',					'icon_down.png' );
define ('ICON_EDIT',					'icon_edit.png' );
define ('ICON_EQUATION',				'icon_equation.png' );
define ('ICON_FILE',					'icon_file.png' );
define ('ICON_FLASH',					'icon_flash.png' );
define ('ICON_HELP_BUBBLE',				'icon_help_bubble.png' );
define ('ICON_INACTIVE',				'icon_inactive.png' );
define ('ICON_LEFT',					'icon_left.png' );
define ('ICON_NEXT',					'icon_next.png' );
define ('ICON_NEXT_END',				'icon_next_end.png' );
define ('ICON_PREV',					'icon_prev.png' );
define ('ICON_PREV_START',				'icon_prev_start.png' );
define ('ICON_RELOAD',					'icon_reload.png' );
define ('ICON_RIGHT',					'icon_right.png' );
define ('ICON_SWITCH',					'icon_switch.png' );
define ('ICON_UP',						'icon_up.png' );
define ('ICON_KEY',						'icon_key.png' );

function icon_display ( $_icon, $_alt="", $_width=0, $_height=0 )
{
	// plausi
	if (strlen($_icon)==0) $_icon=ICON_MISSING;

	$txt_alt = $_alt;
	if (strlen($txt_alt)==0) $txt_alt = $_icon;
	
	if ($_width == 0) $_width=ICON_SIZE_X;
	$txt_w = "width='$_width'";
	 
	if ($_height == 0) $_height=ICON_SIZE_Y;
	$txt_h = "height='$_height'";
	 
	$txt = sprintf( "<img src='%s/%s' %s %s alt='%s' border='0'>", "imx", $_icon, $txt_w, $txt_h, $txt_alt );
	return $txt;	
}

function icon_display_url ( $_url, $_icon, $_alt="", $_width=0, $_height=0, $_title="" )
{
	$txt_icon = icon_display( $_icon, $_alt, $_width, $_height );
	if (strlen($_title)==0) $_title=$_alt;
	$txt = get_html_url( $_url, $txt_icon, TRUE, $_title);
	return $txt;
}
