<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'includes/page_init.inc.php';

require_once 'core/core_html_icon.inc.php';
require_once 'includes/browse.inc.php';
require_once 'includes/page_error.inc.php';

// get data
$type_name = http_get_string( 'type' );
$ci_name = http_get_string( 'ci' );

// plausi: check attributes
if (
	(strlen($type_name)==0)
	||
	(strlen($ci_name)==0)
	)
{ 
	html_error_page( get_string('IllegalCall_dsc') );
	require_once 'includes/page_done.inc.php';
	exit();
}

// search ci
$db		= core_db::getInstance();
$query  = "SELECT ci_id FROM ci_type, ci " .
	"WHERE cit_title='$type_name' " . 
	"AND cit_id=ci_cit_id " .
	"AND ci_title='$ci_name'";
$result = $db->query( $query );

// found: read CI ID and redirect
if ($db->num_rows($result)==1)
{
	$ci_id = $db->result( $result, 0 );

	html_page_redirect( 0, CI_VIEW_PHP . '?ci_id=' . $ci_id );
	require_once 'includes/page_done.inc.php';
	exit();
}

// nothing found, sorry
html_error_page( get_string('SorryNoCIWithThisType_dsc') );
require_once 'includes/page_done.inc.php';
exit; 
