<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

function html_page_header_browser()
{
	html_page_header( get_top_menu(get_string('SearchBrowse_ttl')), browse_sub_menu(), MODE_BROWSE );
}

function & browse_sub_menu ()
{
	// setup menu
	$menu = new html_menu();
	$menu->add_item( get_string('CreateCI_ttl'), CI_CREATE_PHP, get_string('CreateCI_dsc') );
	$menu->add_item( get_string('Catalogs_ttl'), CAT_LIST_PHP, get_string('AllCatalogs_dsc') );
	$menu->add_item( get_string('CITypes_ttl'), CIT_LIST_PHP, get_string('AllCITypes_dsc') );
	//$menu->add_item( get_string('RelationType_ttl'), RT_BROWSE_PHP, get_string('RelationType_dsc') );// ExportRelationCO
	$menu->add_item( get_string('AdvancedSearch_ttl'), SEARCH_ADVANCED_PHP, get_string('AdvancedSearch_dsc') );

	return $menu;
}
 
function & browse_cat_list_menu ( $_cat_id = 0 )
{
	// setup menu
	$menu = new html_menu();
	$menu->add_item( get_string('AllCatalogs_ttl'), CAT_LIST_PHP, get_string('AllCatalogs_dsc') );
	if ($_cat_id!=0)
	{
		$menu->add_item( get_string('AllCatalogEntries_ttl'), CATE_LIST_PHP . "?cat_id=$_cat_id", get_string('AllCatalogEntries_dsc') );
	}

	return $menu;
}

function & browse_ci_list_menu ( $_cit_id = 0 )
{
	// setup menu
	$menu = new html_menu();
	if ($_cit_id!=0)
	{
		$menu->add_item( get_string('List_ttl'), CI_LIST_PHP . "?cit_id=" . $_cit_id, get_string('List_dsc') );
	}

	return $menu;
}


function & browse_ci_index_menu ( $_cit_id = 0 )
{
	// setup menu
	$menu = new html_menu();
	if ($_cit_id==0)
	{
		$menu->add_item( get_string('CreateCI_ttl'), CI_CREATE_PHP, get_string('CreateCI_dsc') );
	}
	else
	{
		$menu->add_item( get_string('CreateCIofThisCIType_ttl'), CI_CREATE_PHP . "?ci_cit_id=$_cit_id", get_string('CreateCI_dsc') );
		$menu->add_item( get_string('ImportCIs_ttl'), CI_IMPORT_CSV_PHP . "?cit_id=$_cit_id", get_string('ImportCIs_dsc') );
		$menu->add_item( get_string('ExportCIs_ttl'), CI_EXPORT_CSV_PHP . "?cit_id=$_cit_id", get_string('ExportCIs_dsc') );
		if (get_property('delete_all_ci_of_type'))
			$menu->add_item( get_string('DeleteAllCIs_ttl'), CI_DELETE_ALL_PHP . "?cit_id=$_cit_id", get_string('DeleteAllCIs_dsc') );
		$menu->add_item( get_string('AllCITypes_ttl'), CIT_LIST_PHP, get_string('AllCITypes_dsc') );
	}

	return $menu;
}

function & browse_ci_form_menu ( $_id )
{
	// setup menu
	$menu = new html_menu();
//	$menu->add_item( get_string('BackToCI_ttl'), CI_VIEW_PHP . "?ci_id=" . $_id, get_string('BackToCI_dsc') );
	$menu->add_item( get_string('View_ttl'), CI_VIEW_PHP . "?ci_id=" . $_id, get_string('ViewCI_dsc') );

	return $menu;
}

function & browse_ci_view_menu ( $_id=0, $_cit_id=0 )
{
	// setup menu
	$menu = new html_menu();
	if ($_id != 0)
	{
		$menu->add_item( get_string('ChooseIcon_ttl'), CI_ICON_EDIT_PHP . "?ci_id=" . $_id, get_string('ChooseIconForCI_dsc') );
		$menu->add_item( get_string('CloneCI_ttl'), CI_CLONE_PHP . "?ci_id=" . $_id, get_string('CloneCI_dsc') );
		$menu->add_item( get_string('DeleteCI_ttl'), CI_DELETE_PHP . "?ci_id=" . $_id, get_string('DeleteCI_dsc') );
	}
	if ($_cit_id != 0)
	{
		$menu->add_item( get_string('AllCIofthisTypes_ttl'), CI_LIST_PHP . "?cit_id=" . $_cit_id, get_string('AllCIofthisTypes_dsc') );
	}
	
	return $menu;
}

function & browse_ci_attr_menu ( $_id )
{
	// setup menu
	$menu = new html_menu();
	$menu->add_item( get_string('Edit_ttl'), CI_EDIT_PHP . "?ci_id=" . $_id, get_string('EditCIAttributes_dsc') );

	return $menu;
}

function & browse_ci_filter_menu ( $_id )
{
	// setup menu
	$menu = new html_menu();
	$menu->add_item( get_string('BackToCI_ttl'), CI_VIEW_PHP . "?ci_id=" . $_id, get_string('BackToCI_dsc') );

	return $menu;
}

function & browse_ci_map_menu ( $_id )
{
	// setup menu
	$menu = new html_menu();
	$menu->add_item( get_string('Refresh_ttl'), CI_VIEW_PHP . "?ci_id=" . $_id . "&amp;refresh=1", get_string('Refresh_dsc') );
	if (get_property("graphviz"))
	{
		$menu->add_item( get_string('Extended_ttl'), CI_VIEW_EXT_PHP . "?ext_form=2&amp;ci_id=" . $_id, get_string('Extended_dsc') );
	}

	return $menu;
}

function & browse_ci_ext_menu ( $_id )
{
	// setup menu
	$menu = new html_menu();
	$menu->add_item( get_string('ExportAsPDF_ttl'), CI_VIEW_PDF_PHP . "?ci_id=" . $_id, get_string('ExportAsPDF_dsc') );

	return $menu;
}

function & browse_ci_relation_menu ( $_id )
{
	// setup menu
	$menu = new html_menu();
	$menu->add_item( get_string('AddToRelation_ttl'), R_CREATE_PHP . "?r_ci_pos=1&amp;r_ci_id=" . $_id, get_string('AddToRelation_dsc') );
	$menu->add_item( get_string('AddFromRelation_ttl'), R_CREATE_PHP . "?r_ci_pos=2&amp;r_ci_id=" . $_id, get_string('AddFromRelation_dsc') );
	
	return $menu;
}

function & browse_ci_relation_edit_menu ( $_id, $_pos )
{
	// setup menu
	$menu = new html_menu();
	if ($_pos == 1)
	{
		$menu->add_item( get_string('AddFromRelation_ttl'), R_CREATE_PHP . "?r_ci_pos=2&amp;r_ci_id=" . $_id, get_string('AddFromRelation_dsc') );
	}
	if ($_pos == 2)
	{
		$menu->add_item( get_string('AddToRelation_ttl'), R_CREATE_PHP . "?r_ci_pos=1&amp;r_ci_id=" . $_id, get_string('AddToRelation_dsc') );
	}

	return $menu;
}

function & browse_ci_comment_menu ( $_id )
{
	// setup menu
	$menu = new html_menu();
	$menu->add_item( get_string('AddComment_ttl'), C_CREATE_PHP . "?c_ci_id=" . $_id, get_string('AddComment_dsc') );
	$menu->add_item( get_string('ShowAllComments_ttl'), CI_VIEW_COM_PHP . "?ci_id=" . $_id, get_string('ShowAllComments_dsc') );

	return $menu;
}

function & browse_ci_comment_list_menu ( $_id )
{
	// setup menu
	$menu = new html_menu();
	$menu->add_item( get_string('AddComment_ttl'), C_CREATE_PHP . "?c_ci_id=" . $_id, get_string('AddComment_dsc') );
	$menu->add_item( get_string('BackToCI_ttl'), CI_VIEW_PHP . "?ci_id=" . $_id, get_string('BackToCI_dsc') );

	return $menu;
}
