<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'tables/db_typed_ci.inc.php';
require_once 'includes/ci_navi_list.inc.php';
require_once 'includes/icon_list.inc.php';

class ci_cate_navi_list extends ci_navi_list
{
	static private $instance	= false;
	protected $search_cate_id	= 0;
	
	static public function getInstance()
	{
		if (self::$instance === false) self::$instance = new ci_cate_navi_list();
		return self::$instance;
	}
	
	protected function get_session_store_name ()
	{
		return "cate";
	} 

	public function get_search_cate_id()
	{
		return $this->search_cate_id;
	}

	protected function get_query ()
	{
		$query = array();

		$query[] = "SELECT DISTINCT(ci_id), ci.*, ci_type.* FROM ci, ci_type, attr, type_attr " .
			"WHERE ta_datatype='" . DT_CATALOG . "' " .
			"AND a_ta_id=ta_id " .
			"AND a_val_int=$this->search_cate_id " .
			"AND a_classtype='" . CLASS_CI . "' " .
			"AND a_classtype_id=ci_id " .
			"AND ci_cit_id=cit_id " .
			"ORDER BY ci_title, cit_title";

		return $query;
	}

	// set

	// helper

	protected function _load()
	{
		parent::_load();

		// overload from args
		$_cate_id = http_get_int( "cate_id", 0 );
		if ($_cate_id != 0)
		{
			$this->reset();
			$this->search_cate_id = $_cate_id;
		}

		return;
	}
	
}
