<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'core/core_list.inc.php';
require_once 'tables/db_typed_ci.inc.php';

class ci_last_change_list extends core_db_list
{
	static private $instance = false;
	
	static public function getInstance()
	{
		if (self::$instance === false) self::$instance = new ci_last_change_list();
		return self::$instance;
	}
	
	protected function get_id_name ()
	{
		return "ci_id";
	}
	
	protected function get_query ()
	{
		$limit = get_property("last_change_items");
		
		$query = array();
		$query[] = "SELECT * FROM ci, ci_type " .
			"WHERE ci_cit_id=cit_id " .
			"ORDER BY ci_last_change DESC " .
			"LIMIT $limit";
		return $query;
	}
	
	protected function cat_option ( &$db_object, $ref_id )
	{
		cat_option( $db_object->get_id(), $ref_id, $db_object->get_full_title() );
	}
	
	protected function create_object ( $_id )
	{
		$db_object = new db_typed_ci( $_id ); 
		return $db_object;
	}
		
} 
