<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'tables/db_typed_ci.inc.php';
require_once 'includes/navi_list.inc.php';
require_once 'includes/icon_list.inc.php';

/**
 * abstract class to navigate a list of CI's
 */
abstract class ci_navi_list extends navi_list
{
	protected function get_element_name()
	{
		return get_string('Item_ttl');
	} 

	protected function get_id_name()
	{
		return "ci_id";
	}

	// show

	public function show_page()
	{
		html_table_header( 750, 50 );
		printf( "<tr class='r_head'>\n");
		printf( "	<td class='c_text r_head'>".get_string('CI_ttl')." / ".get_string('CIType_ttl')."</td>\n");
		printf( "	<td class='c_action r_head'>".get_string('Action_ttl')."</td>\n");
		printf( "</tr>\n");
		parent::show_page();
	
		html_table_footer();

		return;
	}
	
	protected function show_item( $i )
	{
		$ci = $this->at( $i );
		$icon_size  = get_property("list_icon_size");
		
		html_table_row();
		printf( "<td class='c_text'>%s</td>" .
			"<td class='c_action'>%s %s</td>" .
			"</tr>\n",
			get_html_url(
				sprintf("%s?ci_id=%d", CI_VIEW_PHP, $ci->get_id() ),
				icon_list::getInstance()->get_html_imx( $ci->get_icon(), $icon_size, $icon_size, TRUE ) . " " . htmlentities($ci->get_full_title()),
				FALSE,
				get_string('DisplayCI_ttl')
				),
			icon_display_url(CI_EDIT_PHP . "?ci_id=" . $ci->get_id(), ICON_EDIT, get_string('EditCI_dsc') ),
			icon_display_url(CI_DELETE_PHP . "?ci_id=" . $ci->get_id(), ICON_DELETE, get_string('DeleteCI_dsc') )
			);
	}

	// helper

	protected function create_object( $_id )
	{
		$db_object = new db_typed_ci( $_id ); 
		return $db_object;
	}


	// static helpers
	
	static public function get_title( $_id )
	{
		$db_object = new db_typed_ci( $_id );
		if ((! is_object( $db_object )) || ($db_object->get_id() != $_id)) return "";
		return $db_object->get_full_title();
	}

}
