<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'core/core_api.inc.php';
require_once 'core/core_html_form.inc.php';
require_once 'tables/db_comment.inc.php';
require_once 'includes/entity_processor.inc.php';

class comment extends entity_processor
{
	public function get_ci_id()
	{
		return $this->db_object->get_ci_id();
	}
	
	/**
	 * ueberlaedt die felder des DB-Objektes mit den
	 * werten aus den argumenten, dazu muss allerdings
	 * das argument "c_form" gesetzt sein 
	 * 
	 * @return	none
	 */	
	public function load_from_args ()
	{
		// nur aus args ueberladen, wenn noch nicht gespeichert
		if ($this->get_id()==0)
		{
			$_ci_id = http_get_int("c_ci_id", $this->db_object->get_ci_id() );
			$this->db_object->set_ci_id( $_ci_id );
		}
		
		$_form = http_get_int("c_form", 0);
		if ($_form == 0) return;

		$_text = http_get_string("c_text", $this->db_object->get_text() );
		$this->db_object->set_text( $_text );

		return;
	}

	// display form methoden

	/**
	 * erfassung der attribut-werte
	 */
	public function display_form ( $title, $action, $action_text )
	{
		printf( "<div id='form'>\n" );
		printf( "<form action='%s' method='post'>\n",
			$action );

		html_table_header( 25, 150, 625 );
	
		$menu = & get_empty_menu();
		if (($ci_id = $this->db_object->get_ci_id())!=0) $menu = & browse_ci_filter_menu( $ci_id ); 
	
		html_table_section( $title, $menu );
	
		printf( "<tr><td colspan='3'><input type='hidden' name='c_id' value='%s'></td></tr>\n",
			$this->db_object->get_id() );
		printf( "<tr><td colspan='3'><input type='hidden' name='c_ci_id' value='%s'></td></tr>\n",
			$this->db_object->get_ci_id() );
		printf( "<tr><td colspan='3'><input type='hidden' name='c_form' value='1'></td></tr>\n" );

		html_oblig_row( '', get_string('Comment_ttl') );
		printf( "<td class='f_value'><textarea name='c_text' cols='%d' rows='%d'>%s</textarea></td></tr>\n",
			50, 5, html_entity_decode( $this->db_object->get_text(), ENT_QUOTES, 'ISO-8859-1' ) );

		html_table_ruler();
	
		printf( "<tr><td colspan='3'><input type='submit' class='b_action' value='%s'></td></tr>\n",
			$action_text );
	
		html_table_footer();
		printf( "</form>\n" );
		printf( "</div>\n" );
	}

	/**
	 * loesch-abfrage
	 */
	public function display_delete_question( $action )
	{
		global $referer_script_name;

		$yes_args = new html_form_args();
		$yes_args->add( "c_id", $this->db_object->get_id() );
	
		$no_args = new html_form_args();
		$no_args->add( "ci_id", $this->db_object->get_ci_id() );

		printf( "<div id='question'>\n" );
		html_table_header( 25, 150, 625 );
		html_table_section( get_string('DeleteComment_ttl'), browse_ci_filter_menu( $this->get_id() ) );
		html_table_footer();

		html_form_question( 0, 0, 
			get_string('WantDeleteComment_dsc'),
			get_string('YES_btn'), $action, $yes_args,
			get_string('NO_btn'), $referer_script_name, $no_args );
		printf( "</div>\n" );

		return;
	}

	// helper

	protected function create_db_object ( $_id )
	{
		$this->db_object = new db_comment( $_id );
		return;
	}
	
}
