<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

// === action codes =======================================

define ('AC_ENABLED',								0 );


// -- catalog --

define ('AC_CAT_CREATE',							1 );
define ('AC_CAT_CREATE_RUN',						2 );
define ('AC_CAT_EDIT',								3 );
define ('AC_CAT_EDIT_RUN',							4 );
define ('AC_CAT_DELETE',							5 );
define ('AC_CAT_DELETE_RUN',						6 );
define ('AC_CAT_VIEW',								7 );
define ('AC_CAT_INDEX',								8 );
define ('AC_CAT_LIST',								9 );

// -- catalog entries --

define ('AC_CATE_CREATE',							21 );
define ('AC_CATE_CREATE_RUN',						22 );
define ('AC_CATE_EDIT',								23 );
define ('AC_CATE_EDIT_RUN',							24 );
define ('AC_CATE_DELETE',							25 );
define ('AC_CATE_DELETE_RUN',						26 );
define ('AC_CATE_VIEW',								27 );
define ('AC_CATE_INDEX',							28 );
define ('AC_CATE_LIST',								29 );
define ('AC_CATE_CI_LIST',							30 );
define ('AC_CATE_IMPORT',							31 );
define ('AC_CATE_IMPORT_RUN',						32 );
define ('AC_CATE_CHOOSE_ICON',						33 );
//ExportCatalogCO
define ('AC_CATE_EXPORT',							34 );
define ('AC_CATE_EXPORT_RUN',						35 );

// -- ci types --

define ('AC_CIT_CREATE',							41 );
define ('AC_CIT_CREATE_RUN',						42 );
define ('AC_CIT_EDIT',								43 );
define ('AC_CIT_EDIT_RUN',							44 );
define ('AC_CIT_DELETE',							45 );
define ('AC_CIT_DELETE_RUN',						46 );
define ('AC_CIT_VIEW',								47 );
define ('AC_CIT_INDEX',								48 );
define ('AC_CIT_LIST',								49 );
define ('AC_CIT_CHOOSE_ICON',						50 );

// -- type attributes --

define ('AC_TA_CREATE',								61 );
define ('AC_TA_CREATE_RUN',							62 );
define ('AC_TA_EDIT',								63 );
define ('AC_TA_EDIT_RUN',							64 );
define ('AC_TA_DELETE',								65 );
define ('AC_TA_DELETE_RUN',							66 );
define ('AC_TA_VIEW',								67 );
define ('AC_TA_INDEX',								68 );
define ('AC_TA_LIST',								69 );
define ('AC_TA_UP_RUN',								70 );
define ('AC_TA_DOWN_RUN',							71 );

// -- relation types --

define ('AC_RT_CREATE',								81 );
define ('AC_RT_CREATE_RUN',							82 );
define ('AC_RT_EDIT',								83 );
define ('AC_RT_EDIT_RUN',							84 );
define ('AC_RT_DELETE',								85 );
define ('AC_RT_DELETE_RUN',							86 );
define ('AC_RT_VIEW',								87 );
define ('AC_RT_INDEX',								88 );
define ('AC_RT_LIST',								89 );
define ('AC_RT_SWITCH_RUN',							90 );

// -- relation type attributes --

define ('AC_RTA_CREATE',							101 );
define ('AC_RTA_CREATE_RUN',						102 );
define ('AC_RTA_EDIT',								103 );
define ('AC_RTA_EDIT_RUN',							104 );
define ('AC_RTA_DELETE',							105 );
define ('AC_RTA_DELETE_RUN',						106 );
define ('AC_RTA_VIEW',								107 );
define ('AC_RTA_INDEX',								108 );
define ('AC_RTA_LIST',								109 );

// -- relations --

define ('AC_R_CREATE',								121 );
define ('AC_R_CREATE_RUN',							122 );
define ('AC_R_EDIT',								123 );
define ('AC_R_EDIT_RUN',							124 );
define ('AC_R_DELETE',								125 );
define ('AC_R_DELETE_RUN',							126 );
define ('AC_R_VIEW',								127 );
define ('AC_R_INDEX',								128 );
define ('AC_R_LIST',								129 );
//ExportRelationCO
define ('AC_R_EXPORT',								130 );
define ('AC_R_EXPORT_RUN',							131 );

// -- relation attributes --

define ('AC_RA_CREATE',								141 );
define ('AC_RA_CREATE_RUN',							142 );
define ('AC_RA_EDIT',								143 );
define ('AC_RA_EDIT_RUN',							144 );
define ('AC_RA_DELETE',								145 );
define ('AC_RA_DELETE_RUN',							146 );
define ('AC_RA_VIEW',								147 );
define ('AC_RA_INDEX',								148 );
define ('AC_RA_LIST',								149 );

// -- ci --

define ('AC_CI_CREATE',								161 );
define ('AC_CI_CREATE_RUN',							162 );
define ('AC_CI_EDIT',								163 );
define ('AC_CI_EDIT_RUN',							164 );
define ('AC_CI_DELETE',								165 );
define ('AC_CI_DELETE_RUN',							166 );
define ('AC_CI_VIEW',								167 );
define ('AC_CI_INDEX',								168 );
define ('AC_CI_LIST',								169 );
define ('AC_CI_ICON_EDIT',							170 );
define ('AC_CI_ICON_EDIT_RUN',						171 );
define ('AC_CI_CLONE',								172 );
define ('AC_CI_CLONE_RUN',							173 );
define ('AC_CI_VIEW_IMX',							174 );
define ('AC_CI_VIEW_COM',							175 );
define ('AC_CI_VIEW_EXT',							175 );
define ('AC_CI_VIEW_PDF',							176 );
define ('AC_CI_EXPORT_CSV',							177 );
define ('AC_CI_EXPORT_CSV_RUN',						178 );
define ('AC_CI_IMPORT_CSV',							179 );
define ('AC_CI_IMPORT_CSV_RUN',						180 );
define ('AC_CI_DELETE_ALL',							181 );
define ('AC_CI_DELETE_ALL_RUN',						182 );

// -- attributes --

define ('AC_A_CREATE',								201 );
define ('AC_A_CREATE_RUN',							202 );
define ('AC_A_EDIT',								203 );
define ('AC_A_EDIT_RUN',							204 );
define ('AC_A_DELETE',								205 );
define ('AC_A_DELETE_RUN',							206 );
define ('AC_A_VIEW',								207 );
define ('AC_A_INDEX',								208 );
define ('AC_A_LIST',								209 );

// -- comments --

define ('AC_C_CREATE',								221 );
define ('AC_C_CREATE_RUN',							222 );
define ('AC_C_EDIT',								223 );
define ('AC_C_EDIT_RUN',							224 );
define ('AC_C_DELETE',								225 );
define ('AC_C_DELETE_RUN',							226 );
define ('AC_C_VIEW',								227 );
define ('AC_C_INDEX',								228 );
define ('AC_C_LIST',								229 );

// -- csv profile ---

define ('AC_CP_CREATE',								241 );
define ('AC_CP_CREATE_RUN',							242 );
define ('AC_CP_EDIT',								243 );
define ('AC_CP_EDIT_RUN',							244 );
define ('AC_CP_DELETE',								245 );
define ('AC_CP_DELETE_RUN',							246 );
define ('AC_CP_VIEW',								247 );
define ('AC_CP_INDEX',								248 );
define ('AC_CP_LIST',								249 );
define ('AC_CP_CE_CREATE_RUN',						250 );
define ('AC_CP_CE_UPDATE_RUN',						251 );
define ('AC_CP_CE_DELETE_RUN',						252 );
define ('AC_CP_CE_SWAP_RUN',						253 );

// -- user --

define ('AC_U_CREATE',								301 );
define ('AC_U_CREATE_RUN',							302 );
define ('AC_U_EDIT',								303 );
define ('AC_U_EDIT_RUN',							304 );
define ('AC_U_DELETE',								305 );
define ('AC_U_DELETE_RUN',							306 );
define ('AC_U_VIEW',								307 );
define ('AC_U_INDEX',								308 );
define ('AC_U_LIST',								309 );
define ('AC_U_PW_EDIT',								310 );
define ('AC_U_PW_EDIT_RUN',							311 );
define ('AC_U_SELF_EDIT',							312 );
define ('AC_U_SELF_EDIT_RUN',						313 );
define ('AC_U_SETTINGS',							314 );
define ('AC_U_SETTINGS_RUN',						315 );

// -- session --

define ('AC_S_LOGIN',								321 );
define ('AC_S_LOGOUT',								322 );

define ('AC_MODE_DESIGN',							401 );
define ('AC_MODE_MAINTAIN',							402 );

// -- maintain --

define ('AC_M_DB_CHECK', 							501 );
define ('AC_M_CLEAR_CACHE', 						502 );
define ('AC_M_DB_UPDATE', 							503 );
define ('AC_M_SETUP_CHECK', 						504 );

// -- reports --

define ('AC_REPORT_LAST_CHANGE',					601 );
define ('AC_REPORT_COUNTER',						602 );
define ('AC_REPORT_CSV',							603 );



// === PAGES ==============================================


define ('CONFIG_INC_PHP',				'config.inc.php' );
define ('CMDB_SETUP_PHP',				'cmdb_setup.php' );
define ('CMDB_OFFLINE_PHP',				'cmdb_offline.php' );
define ('INDEX_PHP',					'index.php' );
define ('SEARCH_ADVANCED_PHP',			'search_advanced.php' );
define ('VIEW_ICON_PHP',				'view_icon.php' );
define ('EDIT_ICON_PHP',				'edit_icon.php' );

// -- catalog --

define ('CAT_CREATE_PHP',				'cat_create.php');
define ('CAT_CREATE_RUN_PHP',			'cat_create_run.php');
define ('CAT_EDIT_PHP',					'cat_edit.php');
define ('CAT_EDIT_RUN_PHP',				'cat_edit_run.php');
define ('CAT_DELETE_PHP',				'cat_delete.php');
define ('CAT_DELETE_RUN_PHP',			'cat_delete_run.php');
define ('CAT_VIEW_PHP',					'cat_view.php');
define ('CAT_INDEX_PHP',				'cat_index.php');
define ('CAT_LIST_PHP',					'cat_list.php');

// -- catalog entries --

define ('CATE_CREATE_PHP',				'cate_create.php');
define ('CATE_CREATE_RUN_PHP',			'cate_create_run.php');
define ('CATE_EDIT_PHP',				'cate_edit.php');
define ('CATE_EDIT_RUN_PHP',			'cate_edit_run.php');
define ('CATE_DELETE_PHP',				'cate_delete.php');
define ('CATE_DELETE_RUN_PHP',			'cate_delete_run.php');
define ('CATE_VIEW_PHP',				'cate_view.php');
define ('CATE_INDEX_PHP',				'cate_index.php');
define ('CATE_LIST_PHP',				'cate_list.php');
define ('CATE_CI_LIST_PHP',				'cate_ci_list.php');
define ('CATE_IMPORT_PHP',				'cate_import.php');
define ('CATE_IMPORT_RUN_PHP',			'cate_import_run.php');
define ('CATE_CHOOSE_ICON_PHP',			'cate_choose_icon.php');
//ExportCatalogCO
define ('CATE_EXPORT_PHP',				'cate_export.php');
define ('CATE_EXPORT_RUN_PHP',			'cate_export_run.php');

// -- ci types --

define ('CIT_CREATE_PHP',				'cit_create.php');
define ('CIT_CREATE_RUN_PHP',			'cit_create_run.php');
define ('CIT_EDIT_PHP',					'cit_edit.php');
define ('CIT_EDIT_RUN_PHP',				'cit_edit_run.php');
define ('CIT_DELETE_PHP',				'cit_delete.php');
define ('CIT_DELETE_RUN_PHP',			'cit_delete_run.php');
define ('CIT_VIEW_PHP',					'cit_view.php');
define ('CIT_INDEX_PHP',				'cit_index.php');
define ('CIT_LIST_PHP',					'cit_list.php');
define ('CIT_CHOOSE_ICON_PHP',			'cit_choose_icon.php');

// -- type attributes --

define ('TA_CREATE_PHP',				'ta_create.php');
define ('TA_CREATE_RUN_PHP',			'ta_create_run.php');
define ('TA_EDIT_PHP',					'ta_edit.php');
define ('TA_EDIT_RUN_PHP',				'ta_edit_run.php');
define ('TA_DELETE_PHP',				'ta_delete.php');
define ('TA_DELETE_RUN_PHP',			'ta_delete_run.php');
define ('TA_VIEW_PHP',					'ta_view.php');
define ('TA_LIST_PHP',					'ta_list.php');
define ('TA_UP_RUN_PHP',				'ta_up_run.php');
define ('TA_DOWN_RUN_PHP',				'ta_down_run.php');

// -- relation type --

define ('RT_CREATE_PHP',				'rt_create.php');
define ('RT_CREATE_RUN_PHP',			'rt_create_run.php');
define ('RT_EDIT_PHP',					'rt_edit.php');
define ('RT_EDIT_RUN_PHP',				'rt_edit_run.php');
define ('RT_DELETE_PHP',				'rt_delete.php');
define ('RT_DELETE_RUN_PHP',			'rt_delete_run.php');
define ('RT_VIEW_PHP',					'rt_view.php');
define ('RT_INDEX_PHP',					'rt_index.php');
define ('RT_LIST_PHP',					'rt_list.php');
define ('RT_SWITCH_RUN_PHP',			'rt_switch_run.php');
//ExportRelationCO
define ('RT_BROWSE_PHP',				'rt_browse.php');

// -- relation type attributes --

define ('RTA_CREATE_PHP',				'rta_create.php');
define ('RTA_CREATE_RUN_PHP',			'rta_create_run.php');
define ('RTA_EDIT_PHP',					'rta_edit.php');
define ('RTA_EDIT_RUN_PHP',				'rta_edit_run.php');
define ('RTA_DELETE_PHP',				'rta_delete.php');
define ('RTA_DELETE_RUN_PHP',			'rta_delete_run.php');
define ('RTA_VIEW_PHP',					'rta_view.php');
define ('RTA_INDEX_PHP',				'rta_index.php');
define ('RTA_LIST_PHP',					'rta_list.php');

// -- relations --

define ('R_CREATE_PHP',					'r_create.php');
define ('R_CREATE_RUN_PHP',				'r_create_run.php');
define ('R_EDIT_PHP',					'r_edit.php');
define ('R_EDIT_RUN_PHP',				'r_edit_run.php');
define ('R_DELETE_PHP',					'r_delete.php');
define ('R_DELETE_RUN_PHP',				'r_delete_run.php');
define ('R_VIEW_PHP',					'r_view.php');
define ('R_INDEX_PHP',					'r_index.php');
define ('R_LIST_PHP',					'r_list.php');
//ExportRelationCO
define ('R_EXPORT_PHP',					'r_export.php');
define ('R_EXPORT_RUN_PHP',				'r_export-run.php');

// -- relation attributes --

define ('RA_CREATE_PHP',				'ra_create.php');
define ('RA_CREATE_RUN_PHP',			'ra_create_run.php');
define ('RA_EDIT_PHP',					'ra_edit.php');
define ('RA_EDIT_RUN_PHP',				'ra_edit_run.php');
define ('RA_DELETE_PHP',				'ra_delete.php');
define ('RA_DELETE_RUN_PHP',			'ra_delete_run.php');
define ('RA_VIEW_PHP',					'ra_view.php');
define ('RA_INDEX_PHP',					'ra_index.php');
define ('RA_LIST_PHP',					'ra_list.php');

// -- ci --

define ('CI_CREATE_PHP',				'ci_create.php');
define ('CI_CREATE_RUN_PHP',			'ci_create_run.php');
define ('CI_EDIT_PHP',					'ci_edit.php');
define ('CI_EDIT_RUN_PHP',				'ci_edit_run.php');
define ('CI_DELETE_PHP',				'ci_delete.php');
define ('CI_DELETE_RUN_PHP',			'ci_delete_run.php');
define ('CI_VIEW_PHP',					'ci_view.php');
define ('CI_INDEX_PHP',					'ci_index.php');
define ('CI_LIST_PHP',					'ci_list.php');
define ('CI_ICON_EDIT_PHP',				'ci_icon_edit.php');
define ('CI_ICON_EDIT_RUN_PHP',			'ci_icon_edit_run.php');
define ('CI_CLONE_PHP',					'ci_clone.php');
define ('CI_CLONE_RUN_PHP',				'ci_clone_run.php');
define ('CI_VIEW_IMX_PHP',				'ci_view_imx.php');
define ('CI_VIEW_COM_PHP',				'ci_view_com.php');
define ('CI_VIEW_EXT_PHP',				'ci_view_ext.php');
define ('CI_VIEW_PDF_PHP',				'ci_view_pdf.php');
define ('CI_EXPORT_CSV_PHP',			'ci_export_csv.php');
define ('CI_EXPORT_CSV_RUN_PHP',		'ci_export_csv_run.php');
define ('CI_IMPORT_CSV_PHP',			'ci_import_csv.php');
define ('CI_IMPORT_CSV_RUN_PHP',		'ci_import_csv_run.php');
define ('CI_DELETE_ALL_PHP',			'ci_delete_all.php');
define ('CI_DELETE_ALL_RUN_PHP',		'ci_delete_all_run.php');


// -- ci attributes --

define ('A_CREATE_PHP',					'a_create.php');
define ('A_CREATE_RUN_PHP',				'a_create_run.php');
define ('A_EDIT_PHP',					'a_edit.php');
define ('A_EDIT_RUN_PHP',				'a_edit_run.php');
define ('A_DELETE_PHP',					'a_delete.php');
define ('A_DELETE_RUN_PHP',				'a_delete_run.php');
define ('A_VIEW_PHP',					'a_view.php');
define ('A_INDEX_PHP',					'a_index.php');
define ('A_LIST_PHP',					'a_list.php');

// -- comments --

define ('C_CREATE_PHP',					'c_create.php');
define ('C_CREATE_RUN_PHP',				'c_create_run.php');
define ('C_EDIT_PHP',					'c_edit.php');
define ('C_EDIT_RUN_PHP',				'c_edit_run.php');
define ('C_DELETE_PHP',					'c_delete.php');
define ('C_DELETE_RUN_PHP',				'c_delete_run.php');
define ('C_VIEW_PHP',					'c_view.php');
define ('C_INDEX_PHP',					'c_index.php');
define ('C_LIST_PHP',					'c_list.php');

// -- csv profile --

define ('CP_CREATE_PHP',				'cp_create.php');
define ('CP_CREATE_RUN_PHP',			'cp_create_run.php');
define ('CP_EDIT_PHP',					'cp_edit.php');
define ('CP_EDIT_RUN_PHP',				'cp_edit_run.php');
define ('CP_DELETE_PHP',				'cp_delete.php');
define ('CP_DELETE_RUN_PHP',			'cp_delete_run.php');
define ('CP_VIEW_PHP',					'cp_view.php');
define ('CP_INDEX_PHP',					'cp_index.php');
define ('CP_LIST_PHP',					'cp_list.php');



// -- csv element --

define ('CP_CE_CREATE_RUN_PHP',			'ce_create_run.php');
define ('CP_CE_UPDATE_RUN_PHP',			'ce_update_run.php');
define ('CP_CE_DELETE_RUN_PHP',			'ce_delete_run.php');
define ('CP_CE_SWAP_RUN_PHP',			'ce_swap_run.php');

// -- user --

define ('U_CREATE_PHP',					'u_create.php');
define ('U_CREATE_RUN_PHP',				'u_create_run.php');
define ('U_EDIT_PHP',					'u_edit.php');
define ('U_EDIT_RUN_PHP',				'u_edit_run.php');
define ('U_DELETE_PHP',					'u_delete.php');
define ('U_DELETE_RUN_PHP',				'u_delete_run.php');
define ('U_VIEW_PHP',					'u_view.php');
define ('U_INDEX_PHP',					'u_index.php');
define ('U_LIST_PHP',					'u_list.php');
define ('U_PW_EDIT_PHP',				'u_pw_edit.php');
define ('U_PW_EDIT_RUN_PHP',			'u_pw_edit_run.php');
define ('U_SELF_EDIT_PHP',				'u_self_edit.php');
define ('U_SELF_EDIT_RUN_PHP',			'u_self_edit_run.php');
define ('U_SETTINGS_PHP',				'u_settings.php');
define ('U_SETTINGS_RUN_PHP',			'u_settings_run.php');

// -- session --
 
define ('S_LOGOUT_PHP',					's_logout.php');

define ('DESIGN_INDEX_PHP',				'cat_index.php');
define ('MAINTAIN_INDEX_PHP',			'u_index.php');

// -- maintain --

define ('MAINTAIN_DB_CHECK_PHP',		'maintain_db_check.php');
define ('MAINTAIN_CLEAR_CACHE_PHP',		'maintain_clear_cache.php');
define ('MAINTAIN_CLEAR_CACHE_RUN_PHP',	'maintain_clear_cache_run.php');
define ('MAINTAIN_DB_UPDATE_PHP',		'maintain_db_update.php');
define ('MAINTAIN_SETUP_CHECK_PHP',		'maintain_setup_check.php');

// -- reports --

define ('REPORT_INDEX_PHP',				'report_last_changes.php' );
define ('REPORT_LAST_CHANGE_PHP',		'report_last_changes.php' );
define ('REPORT_COUNTER_PHP',			'report_counter.php' );
define ('REPORT_CSV_PHP',				'report_csv.php' );



// === mapping page to action-code ========================

$page_action_codes = array(
	CAT_CREATE_PHP => AC_CAT_CREATE, 
	CAT_CREATE_RUN_PHP => AC_CAT_CREATE_RUN,
	CAT_EDIT_PHP => AC_CAT_EDIT, 
	CAT_EDIT_RUN_PHP => AC_CAT_EDIT_RUN,
	CAT_DELETE_PHP => AC_CAT_DELETE, 
	CAT_DELETE_RUN_PHP => AC_CAT_DELETE_RUN,
	CAT_VIEW_PHP => AC_CAT_VIEW,
	CAT_INDEX_PHP => AC_CAT_INDEX,	
	CAT_LIST_PHP => AC_CAT_LIST,
	
	CATE_CREATE_PHP => AC_CATE_CREATE, 
	CATE_CREATE_RUN_PHP => AC_CATE_CREATE_RUN,
	CATE_EDIT_PHP => AC_CATE_EDIT, 
	CATE_EDIT_RUN_PHP => AC_CATE_EDIT_RUN,
	CATE_DELETE_PHP => AC_CATE_DELETE, 
	CATE_DELETE_RUN_PHP => AC_CATE_DELETE_RUN,
	CATE_VIEW_PHP => AC_CATE_VIEW,
	CATE_INDEX_PHP => AC_CATE_INDEX,	
	CATE_LIST_PHP => AC_CATE_LIST,
	CATE_CI_LIST_PHP => AC_CATE_CI_LIST,
	CATE_IMPORT_PHP => AC_CATE_IMPORT, 
	CATE_IMPORT_RUN_PHP => AC_CATE_IMPORT_RUN,
	CATE_CHOOSE_ICON_PHP => AC_CATE_CHOOSE_ICON,
	//exportCatalogCO
	CATE_EXPORT_PHP => AC_CATE_EXPORT, 
	CATE_EXPORT_RUN_PHP => AC_CATE_EXPORT_RUN, 
	
	CIT_CREATE_PHP => AC_CIT_CREATE, 
	CIT_CREATE_RUN_PHP => AC_CIT_CREATE_RUN,
	CIT_EDIT_PHP => AC_CIT_EDIT, 
	CIT_EDIT_RUN_PHP => AC_CIT_EDIT_RUN,
	CIT_DELETE_PHP => AC_CIT_DELETE, 
	CIT_DELETE_RUN_PHP => AC_CIT_DELETE_RUN,
	CIT_VIEW_PHP => AC_CIT_VIEW,
	CIT_INDEX_PHP => AC_CIT_INDEX,	
	CIT_LIST_PHP => AC_CIT_LIST,
	CIT_CHOOSE_ICON_PHP => AC_CIT_CHOOSE_ICON,
	
	TA_CREATE_PHP => AC_TA_CREATE, 
	TA_CREATE_RUN_PHP => AC_TA_CREATE_RUN,
	TA_EDIT_PHP => AC_TA_EDIT, 
	TA_EDIT_RUN_PHP => AC_TA_EDIT_RUN,
	TA_DELETE_PHP => AC_TA_DELETE, 
	TA_DELETE_RUN_PHP => AC_TA_DELETE_RUN,
	TA_VIEW_PHP => AC_TA_VIEW,
	TA_LIST_PHP => AC_TA_LIST,
	TA_UP_RUN_PHP => AC_TA_UP_RUN,
	TA_DOWN_RUN_PHP => AC_TA_DOWN_RUN,
	
	RT_CREATE_PHP => AC_RT_CREATE, 
	RT_CREATE_RUN_PHP => AC_RT_CREATE_RUN,
	RT_EDIT_PHP => AC_RT_EDIT, 
	RT_EDIT_RUN_PHP => AC_RT_EDIT_RUN,
	RT_DELETE_PHP => AC_RT_DELETE, 
	RT_DELETE_RUN_PHP => AC_RT_DELETE_RUN,
	RT_VIEW_PHP => AC_RT_VIEW,
	RT_INDEX_PHP => AC_RT_INDEX,	
	RT_LIST_PHP => AC_RT_LIST,
	RT_SWITCH_RUN_PHP => AC_RT_SWITCH_RUN,
	
	RTA_CREATE_PHP => AC_RTA_CREATE, 
	RTA_CREATE_RUN_PHP => AC_RTA_CREATE_RUN,
	RTA_EDIT_PHP => AC_RTA_EDIT, 
	RTA_EDIT_RUN_PHP => AC_RTA_EDIT_RUN,
	RTA_DELETE_PHP => AC_RTA_DELETE, 
	RTA_DELETE_RUN_PHP => AC_RTA_DELETE_RUN,
	RTA_VIEW_PHP => AC_RTA_VIEW,
	RTA_INDEX_PHP => AC_RTA_INDEX,	
	RTA_LIST_PHP => AC_RTA_LIST,
	
	R_CREATE_PHP => AC_R_CREATE, 
	R_CREATE_RUN_PHP => AC_R_CREATE_RUN,
	R_EDIT_PHP => AC_R_EDIT, 
	R_EDIT_RUN_PHP => AC_R_EDIT_RUN,
	R_DELETE_PHP => AC_R_DELETE, 
	R_DELETE_RUN_PHP => AC_R_DELETE_RUN,
	R_VIEW_PHP => AC_R_VIEW,
	R_INDEX_PHP => AC_R_INDEX,	
	R_LIST_PHP => AC_R_LIST,
	//ExportRelationCO
	R_EXPORT_PHP => AC_R_EXPORT,
	R_EXPORT_RUN_PHP => AC_R_EXPORT_RUN,
	
	RA_CREATE_PHP => AC_RA_CREATE, 
	RA_CREATE_RUN_PHP => AC_RA_CREATE_RUN,
	RA_EDIT_PHP => AC_RA_EDIT, 
	RA_EDIT_RUN_PHP => AC_RA_EDIT_RUN,
	RA_DELETE_PHP => AC_RA_DELETE, 
	RA_DELETE_RUN_PHP => AC_RA_DELETE_RUN,
	RA_VIEW_PHP => AC_RA_VIEW,
	RA_INDEX_PHP => AC_RA_INDEX,	
	RA_LIST_PHP => AC_RA_LIST,
	
	CI_CREATE_PHP => AC_CI_CREATE, 
	CI_CREATE_RUN_PHP => AC_CI_CREATE_RUN,
	CI_EDIT_PHP => AC_CI_EDIT, 
	CI_EDIT_RUN_PHP => AC_CI_EDIT_RUN,
	CI_DELETE_PHP => AC_CI_DELETE, 
	CI_DELETE_RUN_PHP => AC_CI_DELETE_RUN,
	CI_VIEW_PHP => AC_CI_VIEW,
	CI_INDEX_PHP => AC_CI_INDEX,	
	CI_LIST_PHP => AC_CI_LIST,
	CI_ICON_EDIT_PHP => AC_CI_ICON_EDIT, 
	CI_ICON_EDIT_RUN_PHP => AC_CI_ICON_EDIT_RUN,
	CI_CLONE_PHP => AC_CI_CLONE,
	CI_CLONE_RUN_PHP => AC_CI_CLONE_RUN,
	CI_VIEW_IMX_PHP => AC_CI_VIEW_IMX,
	CI_VIEW_COM_PHP => AC_CI_VIEW_COM,
	CI_VIEW_EXT_PHP => AC_CI_VIEW_EXT,
	CI_VIEW_PDF_PHP => AC_CI_VIEW_PDF,
	CI_EXPORT_CSV_PHP => AC_CI_EXPORT_CSV,
	CI_EXPORT_CSV_RUN_PHP => AC_CI_EXPORT_CSV_RUN,
	CI_IMPORT_CSV_PHP => AC_CI_IMPORT_CSV,
	CI_IMPORT_CSV_RUN_PHP => AC_CI_IMPORT_CSV_RUN,
	CI_DELETE_ALL_PHP => AC_CI_DELETE_ALL,
	CI_DELETE_ALL_RUN_PHP => AC_CI_DELETE_ALL_RUN,
	
	A_CREATE_PHP => AC_A_CREATE, 
	A_CREATE_RUN_PHP => AC_A_CREATE_RUN,
	A_EDIT_PHP => AC_A_EDIT, 
	A_EDIT_RUN_PHP => AC_A_EDIT_RUN,
	A_DELETE_PHP => AC_A_DELETE, 
	A_DELETE_RUN_PHP => AC_A_DELETE_RUN,
	A_VIEW_PHP => AC_A_VIEW,
	A_INDEX_PHP => AC_A_INDEX,	
	A_LIST_PHP => AC_A_LIST,
	
	C_CREATE_PHP => AC_C_CREATE, 
	C_CREATE_RUN_PHP => AC_C_CREATE_RUN,
	C_EDIT_PHP => AC_C_EDIT, 
	C_EDIT_RUN_PHP => AC_C_EDIT_RUN,
	C_DELETE_PHP => AC_C_DELETE, 
	C_DELETE_RUN_PHP => AC_C_DELETE_RUN,
	C_VIEW_PHP => AC_C_VIEW,
	C_INDEX_PHP => AC_C_INDEX,	
	C_LIST_PHP => AC_C_LIST,
	
	CP_CREATE_PHP => AC_CP_CREATE, 
	CP_CREATE_RUN_PHP => AC_CP_CREATE_RUN,
	CP_EDIT_PHP => AC_CP_EDIT, 
	CP_EDIT_RUN_PHP => AC_CP_EDIT_RUN,
	CP_DELETE_PHP => AC_CP_DELETE, 
	CP_DELETE_RUN_PHP => AC_CP_DELETE_RUN,
	CP_VIEW_PHP => AC_CP_VIEW,
	CP_INDEX_PHP => AC_CP_INDEX,	
	CP_LIST_PHP => AC_CP_LIST,

	CP_CE_CREATE_RUN_PHP => AC_CP_CE_CREATE_RUN,
	CP_CE_UPDATE_RUN_PHP => AC_CP_CE_UPDATE_RUN,
	CP_CE_DELETE_RUN_PHP => AC_CP_CE_DELETE_RUN,
	CP_CE_SWAP_RUN_PHP => AC_CP_CE_SWAP_RUN,
	
	U_CREATE_PHP => AC_U_CREATE, 
	U_CREATE_RUN_PHP => AC_U_CREATE_RUN,
	U_EDIT_PHP => AC_U_EDIT, 
	U_EDIT_RUN_PHP => AC_U_EDIT_RUN,
	U_DELETE_PHP => AC_U_DELETE, 
	U_DELETE_RUN_PHP => AC_U_DELETE_RUN,
	U_VIEW_PHP => AC_U_VIEW,
	U_INDEX_PHP => AC_U_INDEX,	
	U_LIST_PHP => AC_U_LIST,
	U_PW_EDIT_PHP => AC_U_PW_EDIT, 
	U_PW_EDIT_RUN_PHP => AC_U_PW_EDIT_RUN,
	U_SELF_EDIT_PHP => AC_U_SELF_EDIT, 
	U_SELF_EDIT_RUN_PHP => AC_U_SELF_EDIT_RUN,
	U_SETTINGS_PHP => AC_U_SETTINGS, 
	U_SETTINGS_RUN_PHP => AC_U_SETTINGS_RUN,
	

	S_LOGOUT_PHP => AC_S_LOGOUT,
	
	DESIGN_INDEX_PHP => AC_MODE_DESIGN,
	MAINTAIN_INDEX_PHP => AC_MODE_MAINTAIN,
	MAINTAIN_DB_CHECK_PHP => AC_M_DB_CHECK,
	MAINTAIN_CLEAR_CACHE_PHP => AC_M_CLEAR_CACHE,
	MAINTAIN_CLEAR_CACHE_RUN_PHP => AC_M_CLEAR_CACHE,
	MAINTAIN_DB_UPDATE_PHP => AC_M_DB_UPDATE,
	MAINTAIN_SETUP_CHECK_PHP => AC_M_SETUP_CHECK,

	REPORT_LAST_CHANGE_PHP => AC_REPORT_LAST_CHANGE,
	REPORT_COUNTER_PHP => AC_REPORT_COUNTER,
	REPORT_CSV_PHP => AC_REPORT_CSV,

);
