<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

// -- access groups --

$ac_group_base = array(
	AC_ENABLED,
	AC_S_LOGOUT,
	AC_U_SELF_EDIT,
	AC_U_SELF_EDIT_RUN,
	AC_U_SETTINGS,
	AC_U_SETTINGS_RUN,
);

$ac_group_read = array(
	AC_CAT_LIST,
	AC_CIT_LIST,
	AC_CI_VIEW,
	AC_CI_VIEW_IMX,
	AC_CI_VIEW_COM,
	AC_CI_VIEW_EXT,
	AC_CI_VIEW_PDF,
	AC_CATE_LIST,
	AC_CATE_CI_LIST,
	AC_CI_LIST,
	AC_REPORT_LAST_CHANGE,
	AC_REPORT_COUNTER,
	AC_REPORT_CSV,
);

$ac_group_comment = array(
	AC_C_CREATE,
	AC_C_CREATE_RUN,
	AC_C_EDIT,
	AC_C_EDIT_RUN,
	AC_C_DELETE,
	AC_C_DELETE_RUN
);

$ac_group_write = array(
	AC_CI_CREATE,
	AC_CI_CREATE_RUN,
	AC_CI_EDIT,
	AC_CI_EDIT_RUN,
	AC_CI_DELETE,
	AC_CI_DELETE_RUN,
	AC_CI_ICON_EDIT,
	AC_CI_ICON_EDIT_RUN,
	AC_CI_CLONE,
	AC_CI_CLONE_RUN,
	AC_CI_EXPORT_CSV,
	AC_CI_EXPORT_CSV_RUN,
	AC_CI_IMPORT_CSV,
	AC_CI_IMPORT_CSV_RUN,
	AC_CI_DELETE_ALL,
	AC_CI_DELETE_ALL_RUN,
	AC_R_CREATE,
	AC_R_CREATE_RUN,
	AC_R_EDIT,
	AC_R_EDIT_RUN,
	AC_R_DELETE,
	AC_R_DELETE_RUN,
	//ExportRelationCO
	AC_R_EXPORT,
	AC_R_EXPORT_RUN,
);

$ac_group_model = array(
	AC_MODE_DESIGN,
	AC_CAT_INDEX,
	AC_CAT_CREATE,
	AC_CAT_CREATE_RUN,
	AC_CAT_EDIT,
	AC_CAT_EDIT_RUN,
	AC_CAT_DELETE,
	AC_CAT_DELETE_RUN,
	AC_CATE_INDEX,
	AC_CATE_CREATE,
	AC_CATE_CREATE_RUN,
	AC_CATE_EDIT,
	AC_CATE_EDIT_RUN,
	AC_CATE_DELETE,
	AC_CATE_DELETE_RUN,
	AC_CATE_IMPORT,
	AC_CATE_IMPORT_RUN,
	AC_CATE_CHOOSE_ICON,
//ExportCatalogCO
	AC_CATE_EXPORT,
	AC_CATE_EXPORT_RUN,
	AC_CIT_INDEX,
	AC_CIT_VIEW,
	AC_CIT_CREATE,
	AC_CIT_CREATE_RUN,
	AC_CIT_EDIT,
	AC_CIT_EDIT_RUN,
	AC_CIT_DELETE,
	AC_CIT_DELETE_RUN,
	AC_CIT_CHOOSE_ICON,
	AC_TA_INDEX,
	AC_TA_CREATE,
	AC_TA_CREATE_RUN,
	AC_TA_EDIT,
	AC_TA_EDIT_RUN,
	AC_TA_DELETE,
	AC_TA_DELETE_RUN,
	AC_TA_UP_RUN,
	AC_TA_DOWN_RUN,
	AC_RT_INDEX,
	AC_RT_VIEW,
	AC_RT_CREATE,
	AC_RT_CREATE_RUN,
	AC_RT_EDIT,
	AC_RT_EDIT_RUN,
	AC_RT_DELETE,
	AC_RT_DELETE_RUN,
	AC_RT_SWITCH_RUN,
	AC_CP_CREATE,
	AC_CP_CREATE_RUN,
	AC_CP_EDIT,
	AC_CP_EDIT_RUN,
	AC_CP_DELETE,
	AC_CP_DELETE_RUN,
	AC_CP_VIEW,
	AC_CP_INDEX,
	AC_CP_LIST,
	AC_CP_CE_CREATE_RUN,
	AC_CP_CE_UPDATE_RUN,
	AC_CP_CE_DELETE_RUN,
	AC_CP_CE_SWAP_RUN,
);

$ac_group_manage_user = array(
	AC_MODE_MAINTAIN,
	AC_U_INDEX,
	AC_U_CREATE,
	AC_U_CREATE_RUN,
	AC_U_EDIT,
	AC_U_EDIT_RUN,
	AC_U_DELETE,
	AC_U_DELETE_RUN,
	AC_U_PW_EDIT,
	AC_U_PW_EDIT_RUN,
);

$ac_group_maintain = array(
	AC_MODE_MAINTAIN,
	AC_M_DB_CHECK,
	AC_M_CLEAR_CACHE,
	AC_M_DB_UPDATE,
	AC_M_SETUP_CHECK,
);

// -- roles -- 

$ac_role_viewer = array_merge(
	$ac_group_base,
	$ac_group_read
);

$ac_role_operator = array_merge(
	$ac_group_base,
	$ac_group_read,
	$ac_group_comment
);

$ac_role_change_manager = array_merge(
	$ac_group_base,
	$ac_group_read,
	$ac_group_comment,
	$ac_group_write
);

$ac_role_designer = array_merge(
	$ac_group_base,
	$ac_group_read,
	$ac_group_comment,
	$ac_group_write,
	$ac_group_model
);

$ac_role_user_admin = array_merge(
	$ac_group_base,
	$ac_group_read,
	$ac_group_manage_user
);

$ac_role_admin = array_merge(
	$ac_group_base,
	$ac_group_read,
	$ac_group_comment,
	$ac_group_write,
	$ac_group_model,
	$ac_group_manage_user,
	$ac_group_maintain
);
