<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

/**
* @author		Dr. Michael Scheibe
* @package		cmdb
* @subpackage	processing
* @version		$Id: csv_element_list.inc.php 345 2009-04-13 10:56:09Z micha $
*/

require_once 'core/core_list.inc.php';
require_once 'tables/db_type_attr.inc.php';
require_once 'tables/db_csv_element.inc.php';

class csv_element_list extends core_db_list
{
	protected $cp_id = 0;

	public function __construct ( $_cp_id )
	{
		$this->cp_id = $_cp_id;
		parent::__construct();
	}

	// advanced get

	/**
	 * reply first position of unique AND oblig type attribute in list,
	 * otherwise -1
	 * 
	 * @return	integer
	 */	
	public function get_unique_pos ()
	{
		$unique_pos = -1;
		$pos = 0;
		while (($pos < $this->count()) && ($unique_pos == -1))
		{
			$ta = new db_type_attr( $this->object_list[ $pos ]->get_ta_id() );
			if ($ta->get_unique() && $ta->get_oblig()) $unqiue_pos = $pos;
			$pos++;
		}
		return $unique_pos;
	}	
	
	/**
	 * reply array with the position to TA-ID mapping
	 * 
	 * pos => ta_id
	 * 
	 * @return	array
	 */
	public function & get_pos_ta_array ()
	{
		$pos_ta_array = array();
		$count = $this->count();
		for ($pos=0; $pos<$count; $pos++)
		{
			$pos_ta_array[ $pos ] = $this->object_list[ $pos ]->get_ta_id();
		}
		return $pos_ta_array;
	}

	// derived methods
	
	protected function get_id_name ()
	{
		return "ce_id";
	}
	
	protected function get_query ()
	{
		$query = array();
		$query[] = "SELECT * FROM csv_element " .
			"WHERE ce_cp_id='$this->cp_id' " .
			"ORDER BY ce_pos";
		return $query;
	}
	
	protected function create_object ( $_id )
	{
		$db_object = new db_csv_element( $_id ); 
		return $db_object;
	}
		
} 
