<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

function html_page_header_design()
{
	html_page_header( get_top_menu( get_string('Design_ttl') ), design_sub_menu(), MODE_DESIGN );
}


function & design_sub_menu ()
{
	// setup menu
	$menu = new html_menu();
	$menu->add_item( get_string('Catalogs_ttl'), CAT_INDEX_PHP, get_string('ManageCatalogs_dsc') );
	$menu->add_item( get_string('CITypes_ttl'), CIT_INDEX_PHP, get_string('ManageCITypes_dsc') );
	$menu->add_item( get_string('RelationTypes_ttl'), RT_INDEX_PHP, get_string('RelationTypes_dsc') );
	$menu->add_item( get_string('CSVProfiles_ttl'), CP_INDEX_PHP, get_string('CSVProfiles_dsc') );

	return $menu;
}

function & design_cit_index_menu ()
{
	// setup menu
	$menu = new html_menu();
	$menu->add_item( get_string('CreateCIType_ttl'), CIT_CREATE_PHP, get_string('CreateCIType_dsc') );

	return $menu;
}

function & design_cit_view_menu ( $cit_id=0 )
{
	// setup menu
	$menu = new html_menu();
	if ($cit_id != 0)
	{
		$menu->add_item( get_string('ChooseIcon_ttl'), CIT_CHOOSE_ICON_PHP . "?cit_id=$cit_id", get_string('ChooseIconForCIType_dsc') );
		$menu->add_item( get_string('DeleteCIType_ttl'), CIT_DELETE_PHP . "?cit_id=$cit_id", get_string('DeleteCIType_dsc') );

	}
	$menu->add_item( get_string('AllCITypes_ttl'), CIT_INDEX_PHP, get_string('AllCITypes_dsc') );

	return $menu;
}

function & design_cit_spec_menu ( $cit_id=0 )
{
	// setup menu
	$menu = new html_menu();
	if ($cit_id != 0)
	{
		$menu->add_item( get_string('Edit_ttl'), CIT_EDIT_PHP . "?cit_id=$cit_id", get_string('EditCITypeSpecification_dsc') );
	}

	return $menu;
}

function & design_cit_form_menu ( $cit_id=0 )
{
	// setup menu
	$menu = new html_menu();
	if ($cit_id!=0)
	{
		$menu->add_item( get_string('View_ttl'), CIT_VIEW_PHP . "?cit_id=$cit_id", get_string('ViewCIType_dsc') );
	}

	return $menu;
}

function & design_ta_index_menu ( $ct, $ct_id )
{
	// setup menu
	$menu = new html_menu();
	switch ($ct)
	{
		case CLASS_CI:
		{	
			$menu->add_item( get_string('CreateAttribute_ttl'), TA_CREATE_PHP . "?ta_classtype=$ct&amp;ta_classtype_id=$ct_id", get_string('CreateCITypeAttribute_dsc') );
			break;
		}
		case CLASS_REL:
		{	
			$menu->add_item( get_string('CreateAttribute_ttl'), TA_CREATE_PHP . "?ta_classtype=$ct&amp;ta_classtype_id=$ct_id", get_string('CreateRelationTypeAttribute_dsc') );
			break;
		}
	}
	return $menu;
}

function & design_ta_form_menu ( $ct, $ct_id )
{
	// setup menu
	$menu = new html_menu();
	switch ($ct)
	{
		case CLASS_CI:
		{
			$menu->add_item( get_string('View_ttl'), CIT_VIEW_PHP . "?cit_id=$ct_id", get_string('ViewCIType_dsc') );
			break;
		}
		case CLASS_REL:
		{
			$menu->add_item( get_string('View_ttl'), RT_VIEW_PHP . "?rt_id=$ct_id", get_string('ViewRelationType_dsc') );
			break;
		}
	}

	return $menu;
}

function & design_cat_index_menu ()
{
	// setup menu
	$menu = new html_menu();
	$menu->add_item( get_string('CreateCatalog_ttl'), CAT_CREATE_PHP, get_string('CreateCatalog_dsc') );

	return $menu;
}

function & design_cat_form_menu ()
{
	// setup menu
	$menu = new html_menu();
	$menu->add_item( get_string('AllCatalogs_ttl'), CAT_INDEX_PHP, get_string('AllCatalogs_dsc') );

	return $menu;
}

function & design_cate_index_menu ( $cat_id )
{
	// setup menu
	$menu = new html_menu();
	if ($cat_id != 0)
	{
		$menu->add_item( get_string('CreateCatalogEntry_ttl'), CATE_CREATE_PHP . "?cate_cat_id=$cat_id", get_string('CreateCatalogEntry_dsc') );
		$menu->add_item( get_string('ImportEntries_ttl'), CATE_IMPORT_PHP . "?cate_cat_id=$cat_id", get_string('ImportEntries_dsc') );
		//ExportCatalogCO
		$menu->add_item( get_string('ExportEntries_ttl'), CATE_EXPORT_RUN_PHP . "?cate_cat_id=$cat_id", get_string('ExportEntries_dsc') );
	}
	$menu->add_item( get_string('AllCatalogs_ttl'), CAT_INDEX_PHP, get_string('AllCatalogs_dsc') );

	return $menu;
}

function & design_cate_view_menu ( $cat_id, $cate_id=0 )
{
	// setup menu
	$menu = new html_menu();
	if ($cate_id != 0)
	{
		$menu->add_item( get_string('ChooseIcon_ttl'), CATE_CHOOSE_ICON_PHP . "?cate_id=$cate_id", get_string('ChooseIconForCatalogEntry_dsc') );
		$menu->add_item( get_string('Edit_ttl'), CATE_EDIT_PHP . "?cate_id=$cate_id", get_string('EditCatalogEntry_dsc') );
		$menu->add_item( get_string('Delete_ttl'), CATE_DELETE_PHP . "?cat_id=$cate_id", get_string('DeleteCatalogEntry_dsc') );
	}
	$menu->add_item( get_string('AllEntries_ttl'), CATE_INDEX_PHP . "?cat_id=$cat_id", get_string('AllCatalogEntries_dsc') );

	return $menu;
}

function & design_cate_form_menu ( $cat_id, $cate_id=0 )
{
	// setup menu
	$menu = new html_menu();
	if ($cate_id != 0)
	{
		$menu->add_item( get_string('ChooseIcon_ttl'), CATE_CHOOSE_ICON_PHP . "?cate_id=$cate_id", get_string('ChooseIconForCatalogEntry_dsc') );
		$menu->add_item( get_string('Delete_ttl'), CATE_DELETE_PHP . "?cate_id=$cate_id", get_string('DeleteCatalogEntry_dsc') );
	}
	$menu->add_item( get_string('AllEntries_ttl'), CATE_INDEX_PHP . "?cat_id=$cat_id", get_string('AllCatalogEntries_dsc') );

	return $menu;
}

function & design_cate_icon_menu ( $cat_id, $cate_id=0 )
{
	// setup menu
	$menu = new html_menu();
	if ($cate_id != 0)
	{
		$menu->add_item( get_string('Edit_ttl'), CATE_EDIT_PHP . "?cate_id=$cate_id", get_string('EditCatalogEntry_dsc') );
		$menu->add_item( get_string('Delete_ttl'), CATE_DELETE_PHP . "?cat_id=$cate_id", get_string('DeleteCatalogEntry_dsc') );
	}
	$menu->add_item( get_string('AllEntries_ttl'), CATE_INDEX_PHP . "?cat_id=$cat_id", get_string('AllCatalogEntries_dsc') );

	return $menu;
}

function & design_rel_index_menu ()
{
	// setup menu
	$menu = new html_menu();
	$menu->add_item( get_string('CreateRelationType_ttl'), RT_CREATE_PHP, get_string('CreateRelationType_dsc') );

	return $menu;
}

function & design_rel_view_menu ( $rt_id=0 )
{
	// setup menu
	$menu = new html_menu();
	if ($rt_id != 0)
	{
		$menu->add_item( get_string('Swap_ttl'), RT_SWITCH_RUN_PHP . "?rt_id=$rt_id", get_string('SwapDirectionOfRelationType_dsc') );
		$menu->add_item( get_string('Delete_ttl'), RT_DELETE_PHP . "?rt_id=$rt_id", get_string('DeleteRelationType_dsc') );
	}
	$menu->add_item( get_string('AllRelationTypes_ttl'), RT_INDEX_PHP, get_string('AllRelationTypes_dsc') );

	return $menu;
}

function & design_rel_view_spec_menu ( $rt_id=0 )
{
	// setup menu
	$menu = new html_menu();
	if ($rt_id != 0)
	{
		$menu->add_item( get_string('Edit_ttl'), RT_EDIT_PHP . "?rt_id=$rt_id", get_string('EditRelationType_dsc') );
	}

	return $menu;
}

function & design_rel_form_menu ( $rt_id=0 )
{
	// setup menu
	$menu = new html_menu();
	if ($rt_id != 0)
	{
		$menu->add_item( get_string('View_ttl'), RT_VIEW_PHP . "?rt_id=$rt_id", get_string('ViewRelationType_dsc') );
	}
	return $menu;
}

// CSV Profile

function & design_cp_index_menu ()
{
	// setup menu
	$menu = new html_menu();
	$menu->add_item( get_string('CreateCSVProfile_ttl'), CP_CREATE_PHP, get_string('CreateCSVProfile_dsc') );
	return $menu;
}

function & design_cp_view_menu ( $cp_id=0 )
{
	// setup menu
	$menu = new html_menu();
	if ($cp_id != 0)
	{
		$menu->add_item( get_string('DeleteCSVProfile_ttl'), CP_DELETE_PHP . "?cp_id=$cp_id", get_string('DeleteCSVProfile_dsc') );
	}
	$menu->add_item( get_string('AllCSVProfiles_ttl'), CP_INDEX_PHP, get_string('AllCSVProfiles_dsc') );

	return $menu;
}

function & design_cp_spec_menu ( $cp_id=0 )
{
	// setup menu
	$menu = new html_menu();
	if ($cp_id != 0)
	{
		$menu->add_item( get_string('Edit_ttl'), CP_EDIT_PHP . "?cp_id=$cp_id", get_string('EditCSVProfile_dsc') );
	}

	return $menu;
}

function & design_cp_form_menu ( $cp_id=0 )
{
	// setup menu
	$menu = new html_menu();
	if ($cp_id!=0)
	{
		$menu->add_item( get_string('View_ttl'), CP_VIEW_PHP . "?cp_id=$cp_id", get_string('ViewCSVProfile_dsc') );
	}

	return $menu;
}

// CSV Element

function & design_ce_index_menu ( $cp_id )
{
	// setup menu
	$menu = new html_menu();
	$menu->add_item( get_string('AddElement_ttl'), CP_CE_CREATE_RUN_PHP . "?cp_id=$cp_id", get_string('AddElementToCSVProfile_dsc') );
	return $menu;
}

function & design_ce_form_menu ( $cp_id )
{
	// setup menu
	$menu = new html_menu();
	if ($cp_id != 0)
	{
		$menu->add_item( get_string('View_ttl'), CP_VIEW_PHP . "?cp_id=$cp_id", get_string('ViewCSVProfile_dsc') );
	}

	return $menu;
}
