<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'core/core_processor.inc.php';

/**
 * klasse zur verwaltung eines items mit einer liste von attributen
 */
abstract class entity_processor extends core_db_processor
{

	/**
	 * display synopse 
	 */
	public function display_synopse ( $menu = false )
	{
		if ($menu === false) $menu = & get_empty_menu();
		$this->html_synopse_section( $menu );
		return;
	}


	/**
	 * get a string with the title for the sysnopse section
	 * 
	 * @return		string		title for synopse
	 */
	protected function get_synopse_title ()
	{
		$title = "";
		return $title;
	}

	/**
	 * get a HTML string including the icon for the
	 * synopse section
	 * 
	 * @return		string		HTML code including an icon 
	 */
	protected function get_synopse_icon_html ()
	{
		$icon_html = "";
		return $icon_html;
	}

	/**
	 * get a string with the information for the upper right
	 * corner in the synopse section
	 * 
	 * @return	string	information
	 */
	protected function get_synopse_info ()
	{
		$info = "";
		return $info;
	}

	/**
	 * html output the synopse section
	 */
	protected function html_synopse_section ( &$menu )
	{
		$icon_html = $this->get_synopse_icon_html();
		$title = $this->get_synopse_title();
		$info = $this->get_synopse_info();

		printf( "<div id='synopse'>\n" );
		html_table_header( 50, 600, 150 );
		printf( "<tr>" .
			"<td rowspan='2'>%s</td>" .
			"<td class='section'>%s</td>" .
			"<td class='session'>%s</td>" .
			"</tr>\n",
			$icon_html,
			$title,
			$info
			);
		printf( "<tr><td colspan='2' class='menu'>" );
		if ( $menu->get_count() > 0)
		{
			printf( "&gt;&gt; %s",
				$menu->get_menu_string() );
		}
		printf( "</td></tr>\n" );
		html_table_footer();
		printf( "</div>\n" );
	
		return;
	}

}
