<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'tables/db_typed_ci.inc.php';
require_once 'tables/db_typed_relation.inc.php';
require_once 'includes/ci_tracker.inc.php';
//require_once 'includes/graphviz_image.inc.php';

/**
 * tracking graph and add CIs and relations to a
 * graphviz_image
 */
class graphviz_tracker extends ci_tracker
{
	protected $g_image	= null;
	
	public function __construct ( $_ci_id, $_max_depth, $_g_image )
	{
		if ($_max_depth < 0) $_max_depth = 1000;
		parent::__construct( $_ci_id, $_max_depth );
		$this->g_image = $_g_image;
	}
	
	protected function process_ci ( $_ci_id )
	{
		$ci	= new db_typed_ci( $_ci_id );
		$this->g_image->add_typed_ci( $ci );
//		echo "DEBUG: graphviz_tracker::process_ci( $_ci_id ): " . $ci->get_title() . "<br>\n";
		return TRUE;
	}
	
	protected function process_relation ( $_r_id, $_ci_id )
	{
		$r	= new db_typed_relation( $_r_id );
		$this->g_image->add_typed_relation( $r );
//		echo "DEBUG: graphviz_tracker::process_relation( $_r_id, $_ci_id ): " . $r->get_ci1_id() . " -> " . $r->get_ci2_id() . "<br>\n";
		return TRUE;
	}
	
}
