<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

// update timestamp of current session
core_session::getInstance()->store();

/**
 * clear extended relation map files, if older than 
 * $cache_time_limit 
 */
function clear_ext_cache ( $cache_time_limit=86400 )
{
	$cache_dir = get_property( "cache_dir" );
	$ext_prefix = get_property("ext_prefix");
	$prefix_len = strlen( $ext_prefix );
	$clear_count = 0;
	$current_time = time();

	// check		
	if (! is_dir($cache_dir))
	{
		$message = "Cache directory not valid!";
		return STATUS_ERROR;
	}
	
	// open directory
    if ($dh = opendir($cache_dir))
    {
        while (($file = readdir($dh)) !== false)
        {
        	if (strpos( $file, $ext_prefix )===FALSE) continue;
        	$file_name = $cache_dir . "/" . $file;
        	if (
        		(is_file($file_name))
        		&&
        		(($current_time - filemtime($file_name)) > $cache_time_limit)
        		&&
        		(@unlink($file_name))
        		)
        	{
        		$clear_count++;
        	}
		}
	    closedir($dh);
    }
    return STATUS_OK;
}

clear_ext_cache();


// done logging
//syslog( LOG_INFO, "PAGE-DONE ($session->s_id) $running_script_name" );
//closelog();
