<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'libs/pdf/class.ezpdf.php';

define ('PDF_ARROW_LENGTH',		15 );
define ('PDF_TEXT_FONT',		3  );
define ('PDF_PADDING',			4  );

/**
 * zeichnet eine linie mit dreieckigem gefllten pfeil am endpunkt
 * 
 * @param	$image			Image-Resource
 * @param	$x0, $y0		Koordinaten des Anfangspunktes
 * @param	$x1, $y1		Koordinaten des Endpunktes
 * @param	$h				Lnge des Pfeils in Pixeln
 */
function pdf_arrow ( &$pdf, $x0, $y0, $x1, $y1, $h )
{
	// wichtige werte
	$lx = $x1 - $x0;	// linien-laenge projektion auf x
	$ly = $y1 - $y0;	// linien-laenge projektion auf y
	$ll = sqrt( $lx * $lx + $ly * $ly );	// laenge
	if ($ll == 0) return;
	
	$hx = floor( $lx * $h / $ll );	// pfeil-laenge projektion auf x
	$hy = floor( $ly * $h / $ll );	// pfeil-laenge projektion auf y
	$ha = floor( $h / sqrt(5) );	// seitenlaenge pfeil

	// offset
	if ($ly == 0)
	{
		$xo = 0;
		$yo = $ha;
	}
	else
	{
		if ($lx == 0)
		{
			$xo = $ha;
			$yo = 0;	
		}
		else
		{
			$wa = atan( $lx / $ly );
			$xo = floor( cos( $wa ) * $ha );
			$yo = floor( sin( $wa ) * $ha );
		}
	}
	
	// p5 koordinaten
	$x5 = $x1 - $hx;
	$y5 = $y1 - $hy;

	// p2 koordinaten
	$arrow[0] = $x1;
	$arrow[1] = $y1;

	// p3 koordinaten
	$arrow[2] = $x5 + $xo;
	$arrow[3] = $y5 - $yo;

	// p4 koordinaten
	$arrow[4] = $x5 - $xo;
	$arrow[5] = $y5 + $yo;

	// line
	$pdf->line( $x0, $y0, $x1, $y1 );

	// dreieck
	$pdf->polygon( $arrow, 3, 1 );
	
	return;
}
