<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'core/core_list.inc.php';
require_once 'tables/db_relation_peer.inc.php';
require_once 'includes/relation.inc.php';

class relation_peer_list extends core_db_list
{
	static private $instance = array();
	protected $ci_id = 0;

	protected function __construct ( $_ci_id )
	{
		$this->ci_id = $_ci_id;
		parent::__construct();
	}
	
	static public function getInstance( $_ci_id )
	{
		if (! array_key_exists( $_ci_id, self::$instance )) self::$instance[ $_ci_id ] = new relation_peer_list( $_ci_id );
		return self::$instance[ $_ci_id ];
	}
		
	protected function get_id_name ()
	{
		return "r_id";
	}
	
	protected function get_query ()
	{
		$query = array();
		$query[] = "SELECT * FROM relation, relation_type, ci, ci_type " .
			"WHERE r_ci1_id='$this->ci_id' " .
			"AND r_ci2_id=ci_id " .
			"AND ci_cit_id=cit_id " .
			"AND r_rt_id=rt_id " .
			"ORDER BY r_rt_id, ci_title";
		
		$query[] = "SELECT * FROM relation, relation_type, ci, ci_type " .
			"WHERE r_ci2_id='$this->ci_id' " .
			"AND r_ci1_id=ci_id " .
			"AND ci_cit_id=cit_id " .
			"AND r_rt_id=rt_id " .
			"ORDER BY r_rt_id, ci_title";

		return $query;
	}
	
//	protected function cat_option ( &$db_object, $ref_id )
//	{
//		cat_option( $db_object->get_id(), $ref_id, $db_object->get_to1_text() . "/" . $db_object->get_to2_text());
//	}

	public function clone_for_ci ( $_new_ci_id )
	{
		foreach ($this->object_list as $db_relation_peer)
		{
			$r_id = $db_relation_peer->get_id();
			$relation = new relation( $r_id, 0, $this->ci_id );
			$relation_clone = clone $relation;
			$relation_clone->set_ci(  $relation->get_ci_pos(), $_new_ci_id );
			$relation_clone->action_insert();
		}
		return;
	}

	protected function create_object ( $_id )
	{
		$db_object = new db_relation_peer( $_id, $this->ci_id ); 
		return $db_object;
	}

} 
