<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'core/core_list.inc.php';
require_once 'tables/db_relation_type_peer.inc.php';

class relation_type_peer_list extends core_db_list
{
	static private $instance = array();
	protected $cit_id = 0;
	protected $cit_pos = 0;

	protected function __construct ( $_cit_id, $_cit_pos )
	{
		$this->cit_id = $_cit_id;
		$this->cit_pos = $_cit_pos;
		parent::__construct();
	}
	
	static public function getInstance( $_cit_id, $_cit_pos )
	{
		if (
			(! array_key_exists( $_cit_id, self::$instance ))
			||
			(! array_key_exists( $_cit_pos, self::$instance[ $_cit_id ] ))
			)
		{
			self::$instance[ $_cit_id ][ $_cit_pos ] = new relation_type_peer_list( $_cit_id, $_cit_pos );
		}
		return self::$instance[ $_cit_id ][ $_cit_pos ];
	}
		
	protected function get_id_name ()
	{
		return "rt_id";
	}
	
	protected function get_query ()
	{
		$query = array();
		
		if ($this->cit_pos == 1)
		{
			$query[] = "SELECT * FROM relation_type, ci_type " .
				"WHERE rt_cit1_id='$this->cit_id' " .
				"AND rt_cit2_id=cit_id " .
				"ORDER BY rt_to2_text";
		}
		if ($this->cit_pos == 2)
		{
			$query[] = "SELECT * FROM relation_type, ci_type " .
				"WHERE rt_cit2_id='$this->cit_id' " .
				"AND rt_cit1_id=cit_id " .
				"ORDER BY rt_to1_text";
		}
		return $query;
	}
	
	protected function cat_option ( &$db_object, $ref_id )
	{
		$text = "";
		if ($this->cit_pos == 1) $text = $db_object->get_to2_text();
		if ($this->cit_pos == 2) $text = $db_object->get_to1_text();

		cat_option( $db_object->get_id(), $ref_id, $text . " - " . $db_object->get_cit_title());
	}

	protected function create_object ( $_id )
	{
		$db_object = new db_relation_type_peer( $_id, $this->cit_id ); 
		return $db_object;
	}

} 
