<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'includes/search_list.inc.php';
require_once 'includes/ci_type_list.inc.php';
require_once 'includes/cat_list.inc.php';
require_once 'includes/cat_entry_list.inc.php';

/**
 * display the simple search form
 * 
 * @param	$result_list		instance of search_list
 */
function search_form_simple ( $result_list )
{
	$search_text = $result_list->get_search_text();
?>
	<div id='form'>
<?php
	html_table_header( 100, 600, 100 );
	html_table_section( get_string('SearchBrowse_ttl')."....", get_empty_menu() );
?>
<tr>
	<td></td>
	<td class='searchmenu2'><form action='<?php echo INDEX_PHP; ?>' method='post' name='s_form2'>
	<input type='text' class='c_search2' name='s_text' size='20' maxlength='200' value='<?php echo $search_text; ?>' onchange='s_form2.submit()'>
	<input type='hidden' name='s_form' value='<?php echo SEARCH_MODE_SIMPLE; ?>'>
<?php
printf("	<input type='submit' class='b_search2' value='".get_string('Search_btn')."'>\n");
?>
	</form></td>
	<td></td>
</tr>
<?php
	html_table_footer();
?>
	</div>
<?php
	return;
}

/**
 * display the advanced search form
 * 
 * @param	$result_list		instance of search_list
 */
function search_form_advanced ( $result_list )
{
	$search_text	= $result_list->get_search_text();
//	$cit_list		= ci_type_list::getInstance();

	printf( "<div id='form'>\n" );
	printf( "<form action='%s' method='post' name='as_form'>\n", SEARCH_ADVANCED_PHP );
	html_table_header( 100, 150, 450, 100 );
	html_table_section( get_string('AdvancedSearchAndBrowse_dsc')."....", get_empty_menu() );
?>
<tr>
	<td colspan='4'>
		<input type='hidden' name='s_form' value='<?php echo SEARCH_MODE_ADVANCED; ?>'>
	</td>
</tr>
<tr>
	<td></td>
<?php
printf( "	<td class='c_text r_attr'>".get_string('Words_ttl').":</td>\n" );
?>
	<td class='c_search2'><input type='text' class='c_search2' name='s_text' size='20' maxlength='200' value='<?php echo $search_text; ?>' onchange='as_form.submit()'></td>
	<td></td>
</tr>
<tr>
	<td></td>
<?php
printf( "	<td class='c_text r_attr'>".get_string('CIType_ttl').":</td>\n" );
?>
	<td class='c_search2'><?php ci_type_list::getInstance()->html_options( array( $result_list->get_search_cit_id() ), array(), "s_cit_id", array( 0 => "--- ".get_string('Any_dsc')." ---" ), "as_form" ); ?></td>
	<td></td>
</tr>
<tr>
	<td></td>
<?php
printf( "	<td class='c_text r_attr'>".get_string('Catalog_ttl').":</td>\n" );
?>
	<td class='c_search2'>
<?php
		cat_list::getInstance()->html_options( array( $result_list->get_search_cat_id() ), array(), "s_cat_id", array( 0 => "--- ".get_string('Any_dsc')." ---" ), "as_form" );
		if (($cat_id = $result_list->get_search_cat_id()) != 0)
		{
			echo " &gt;&gt; ";
			cat_entry_list::getInstance( $cat_id )->html_options( array( $result_list->get_search_cate_id() ), array(), "s_cate_id", array( 0 => "--- ".get_string('Any_dsc')." ---" ), "as_form" );
		}	
	?></td>
	<td></td>
</tr>
<tr>
	<td></td>
<?php
printf( "	<td class='c_text r_attr'>".get_string('NumberOfRelation_ttl').":</td>\n" );
?>
	<td class='c_search2'><?php
		$_compare_operator = $result_list->get_search_compare_operator();
		$enum_compare_operator = get_enum_to_array( "enum_compare_operator" );
		cat_array( $enum_compare_operator,
			$_compare_operator,
			-1,
			"s_compare_operator",
			"",
			"as_form"	 
			);
		if ($_compare_operator != 0)
		{
			printf( "<input type='text' class='c_search2' name='s_compare_value' size='5' maxlength='5' value='%d' onchange='as_form.submit()'>",
				$result_list->get_search_compare_value() );
		}	
	?></td>
	<td></td>
</tr>
<tr>
	<td></td>
	<td class='c_text r_attr'></td>
	<td class='c_search2'></td>
	<td></td>
</tr>
<tr>
	<td></td>
	<td class='c_text r_attr'></td>
<?php
printf( "	<td class='c_search2'><input type='submit' class='b_search2' value='".get_string('Search_btn')."'></td>\n" );
?>
	<td></td>
</tr>
<?php
	html_table_footer();
	printf( "</form>\n" );
	printf( "</div>\n" );

	return;
}
