<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'core/core_list.inc.php';
require_once 'tables/db_type_attr.inc.php';

class type_attr_list extends core_db_list
{
	static private $instance = array();
	protected $classtype = 0;
	protected $classtype_id = 0;

	protected function __construct ( $_classtype, $_classtype_id )
	{
		$this->classtype = $_classtype;
		$this->classtype_id = $_classtype_id;
		parent::__construct();
	}
	
	static public function &getInstance( $_classtype, $_classtype_id )
	{
		if (
			(! array_key_exists( $_classtype, self::$instance ))
			||
			(! array_key_exists( $_classtype_id, self::$instance[$_classtype] ))
			)			
			 self::$instance[ $_classtype ][ $_classtype_id ] = new type_attr_list( $_classtype, $_classtype_id );
		return self::$instance[ $_classtype ][ $_classtype_id ];
	}
	
	protected function get_id_name ()
	{
		return "ta_id";
	}
	
	protected function get_query ()
	{
		$query = array();
		$query[] = "SELECT * FROM type_attr " .
			"WHERE ta_classtype='$this->classtype' " .
			"AND ta_classtype_id='$this->classtype_id' " .
			"ORDER BY ta_order, ta_title";
		return $query;
	}
	
	protected function create_object ( $_id )
	{
		$db_object = new db_type_attr( $_id ); 
		return $db_object;
	}
		
} 
