<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'core/core_list.inc.php';
require_once 'tables/db_typed_ci.inc.php';

class typed_ci_list extends core_db_list
{
	static private $instance	= array();
	protected $cit_id			= 0;
	protected $cit_filter		= "";

	protected function __construct ( $_cit_id, $_cit_filter )
	{
		$this->cit_id = $_cit_id;
		$this->cit_filter = $_cit_filter;
		parent::__construct();
	}

	static public function getInstance( $_cit_id, $_cit_filter )
	{
		if (! array_key_exists( $_cit_id, self::$instance )) self::$instance[ $_cit_id ] = new typed_ci_list( $_cit_id, $_cit_filter );
		return self::$instance[ $_cit_id ];
	}
	
	protected function get_id_name ()
	{
		return "ci_id";
	}
	
	protected function get_query ()
	{
		$query = array();
		$query[] = "SELECT * FROM ci, ci_type " .
			"WHERE ci_cit_id=cit_id " .
			"AND cit_id='" . $this->cit_id . "' " .
			"AND ci_title LIKE '%" . $this->cit_filter . "%' " .
			"ORDER BY ci_title, cit_title";
//echo "<pre>";
//print_r( $query );
//echo "</pre>\n";
		return $query;
	}

	protected function cat_option ( &$db_object, $ref_id )
	{
		cat_option( $db_object->get_id(), $ref_id, $db_object->get_full_title() );
	}
	
	protected function create_object ( $_id )
	{
		$db_object = new db_typed_ci( $_id ); 
		return $db_object;
	}
		
} 
