<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'core/core_list.inc.php';
require_once 'tables/db_user.inc.php';

class user_list extends core_db_list
{
	static private $instance = false;
	
	static public function getInstance()
	{
		if (self::$instance === false) self::$instance = new user_list();
		return self::$instance;
	}
	
	protected function get_id_name ()
	{
		return "u_id";
	}
	
	protected function get_query ()
	{
		$query = array();
		$query[] = "SELECT * FROM user ORDER BY u_login"; 
		return $query;
	}
	
	protected function create_object ( $_id )
	{
		$db_object = new db_user( $_id ); 
		return $db_object;
	}

	static public function get_by_login ( $_login )
	{
		$id = 0;
		$db	= core_db::getInstance();
		$query = "SELECT u_id FROM user WHERE u_login='".$db->escape_string($_login)."'";
		$result = $db->query( $query );
		if ($db->num_rows($result)==1) $id = $db->result( $result, 0 );
		return $id;
	}

}
