<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'includes/page_init.inc.php';

require_once 'core/core_html_icon.inc.php';
require_once 'includes/browse.inc.php';
require_once 'includes/search_list.inc.php';
require_once 'includes/search_form.inc.php';

// init search list
$result_list = search_list::getInstance();
$result_count = $result_list->count();

// check for single result and redirect (if configured)
if (($result_count==1) && get_user_property('redirect_single_result', 0, 0) )
{
	$ci = $result_list->at( 0 );
	html_page_redirect( 0, CI_VIEW_PHP . '?ci_id=' . $ci->get_id() );
	exit; 
}

// build page
html_page_header_browser();

// display search form
search_form_simple( $result_list );

// display result list
printf( "<div id='list'>\n" );
$result_list->show();
printf( "</div>\n" );

html_page_footer();

require_once 'includes/page_done.inc.php';
