<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

# PLEASE NOTE: php-cmdb deploy html pages with charset ISO-8859-1
# so please setup your editor to this character set and pay attention
# for correct typing

//==============================================================================
// enum strings
//==============================================================================
$s_enum_auth_backend                      = '0:Local,1:LDAP'; // 0:Local,1:LDAP
$s_enum_classtypes                        = '1:CI-Type,2:Relation-Type'; // 1:CI-Type,2:Relation-Type
$s_enum_colors                            = '0:Default,1:Black,2:Navy,3:Blue,4:Green,5:Teal,6:Lime,7:Aqua,8:Maroon,9:Purple,10:Olive,11:Gray,12:Silver,13:Red,14:Fuchsia,15:Yellow,16:White'; // 0:Default,1:Black,2:Navy,3:Blue,4:Green,5:Teal,6:Lime,7:Aqua,8:Maroon,9:Purple,10:Olive,11:Gray,12:Silver,13:Red,14:Fuchsia,15:Yellow,16:White
$s_enum_compare_operator                  = '0:--- Any ---,1:&lt;,2:=,3:&gt;'; // 0:--- any ---,1:&lt;,2:=,3:&gt;
$s_enum_datatypes                         = '1:Integer,2:Float,3:Date,4:Time,5:Text,6:Varchar,7:URL,8:Catalog,9:CI-Type,10:IP-Address'; // 1:Integer,2:Float,3:Date,4:Time,5:Text,6:Varchar,7:URL,8:Catalog,9:CI-Type,10:IP-Address
$s_enum_input                             = '0:with formular,1:with implicit function'; // 0:with formular,1:with implicit function
$s_enum_months                            = '1:January,2:February,3:March,4:April,5:May,6:June,7:July,8:August,9:September,10:October,11:November,12:December,13:January-December'; // 1:January,2:February,3:March,4:April,5:May,6:June,7:July,8:August,9:September,10:October,11:November,12:December,13:January-December
$s_enum_rel_visible                       = '1:normal,2:with attributes'; // 1:normal,2:with attributes
$s_enum_roles                             = '1:Viewer,2:Operator,3:Change Manager,4:Designer,5:User Admin,6:Admin'; // 1:Viewer,2:Operator,3:Change Manager,4:Designer,5:User Admin,6:Admin
$s_enum_weekdays                          = '0:Monday,1:Tuesday,2:Wednesday,3:Thursday,4:Friday,5:Saturday,6:Sunday'; // 0:Monday,1:Tuesday,2:Wednesday,3:Thursday,4:Friday,5:Saturday,6:Sunday

//==============================================================================
// standard strings
//==============================================================================
$s_Account_dsc                            = '&#31649;&#29702;&#24744;&#30340;&#24115;&#25142;&#36039;&#26009;'; // Manage your account data
$s_Account_ttl                            = '&#24080;&#25143;'; // Account
$s_ActionCompleted_dsc                    = '&#24050;&#23436;&#25104;&#30340;&#38917;&#30446;'; // action completed
$s_ActionNotPermitted_dsc                 = '&#19981;&#20801;&#35377;&#34892;&#21205;'; // Action not permitted
$s_Action_ttl                             = '&#34892;&#21205;'; // Action
$s_Actions_ttl                            = '&#34892;&#21205;'; // Actions
$s_Active_ttl                             = '&#20027;&#21205;'; // Active
$s_AddComment_dsc                         = '&#28155;&#21152;&#26032;&#35413;&#35542;&#27492;&#21312;&#38291;'; // Add a new comment to this CI
$s_AddComment_ttl                         = '&#21109;&#24314;&#19968;&#20491;&#26032;&#30340;&#35413;&#35542;'; // Add comment
$s_AddElementBehind_dsc                   = ''; // add an element behind
$s_AddElementToCSVProfile_dsc             = ''; // Add an element to this CSV-Profile
$s_AddElement_ttl                         = ''; // Add element
$s_AddFromRelation_dsc                    = '&#28155;&#21152;&#19968;&#20491;&#26032;&#30340;&#38364;&#20418;&#24478;&#36889;&#20491;&#21312;&#38291;'; // add a new relation from this CI
$s_AddFromRelation_ttl                    = '&#28155;&#21152;&#24478;&#38364;&#20418;'; // Add from-relation
$s_AddToRelation_dsc                      = '&#28155;&#21152;&#19968;&#20491;&#26032;&#30340;&#38364;&#20418;&#36889;&#19968;&#36575;&#20214;&#32068;'; // add a new relation to this CI
$s_AddToRelation_ttl                      = '&#28155;&#21152;&#21040;&#38364;&#20418;'; // Add to-relation
$s_Administration_dsc                     = '&#31649;&#29702;&#29992;&#25142;&#65292;&#32068;&#21644;&#35373;&#32622;'; // Administrate users, groups and setups
$s_Administration_ttl                     = '&#25919;&#24220;&#30070;&#23616;'; // Administration
$s_AdvancedSearchAndBrowse_dsc            = '&#20808;&#36914;&#30340;&#25628;&#32034;&#21644;&#28687;&#35261;'; // Advanced Search and Browse
$s_AdvancedSearch_dsc                     = '&#39640;&#32026;&#25628;'; // advanced search
$s_AdvancedSearch_ttl                     = '&#39640;&#32026;&#25628;'; // Advanced Search
$s_AllCITypes_dsc                         = ''; // goto CI-Types index page
$s_AllCITypes_ttl                         = '&#25152;&#26377;&#36575;&#20214;&#32068;&#20214;&#30340;&#39006;&#22411;'; // All CI-Types
$s_AllCIofthisTypes_dsc                   = '&#36681;&#21040;&#32034;&#24341;&#38913;&#38754;&#65292;&#25152;&#26377;&#29544;&#32879;&#39636;&#36889;&#20491;&#36575;&#20214;&#32068;&#20214;&#24335;'; // goto index page with all CIs of this CI-Type
$s_AllCIofthisTypes_ttl                   = '&#25152;&#26377;&#27492;&#39006;&#22411;&#30340;&#36575;&#20214;&#32068;&#20214;'; // All CIs of this Type
$s_AllCSVProfiles_dsc                     = ''; // goto CSV-Profiles index page
$s_AllCSVProfiles_ttl                     = ''; // All CSV-Profiles
$s_AllCatalogEntries_dsc                  = '&#26781;&#30446;&#21015;&#34920;&#38913;&#36681;&#21040;&#27492;&#30446;&#37636;'; // goto index page with all entries of this catalog
$s_AllCatalogEntries_ttl                  = '&#27492;&#30446;&#37636;&#30340;&#25152;&#26377;&#26781;&#30446;'; // All Entries of this Catalog
$s_AllCatalogs_dsc                        = ''; // goto catalogs index page
$s_AllCatalogs_ttl                        = '&#25152;&#26377;&#30446;&#37636;'; // All Catalogs
$s_AllEntries_ttl                         = '&#25152;&#26377;&#21443;&#36093;&#20316;&#21697;'; // All entries
$s_AllRelationTypes_dsc                   = ''; // goto Relation-Type index page
$s_AllRelationTypes_ttl                   = '&#25152;&#26377;&#38364;&#20418;&#65292;&#39006;&#22411;'; // All Relation-Types
$s_AllUsers_dsc                           = ''; // goto users index page
$s_AllUsers_ttl                           = '&#25152;&#26377;&#29992;&#25142;'; // All users
$s_Any_dsc                                = 'Any'; // Any
$s_Attribute_ttl                          = '&#23660;&#24615;'; // Attribute
$s_Attributes_ttl                         = '&#23660;&#24615;'; // Attributes
$s_AuthBackend_ttl                        = '&#24460;&#31471;&#35469;&#35657;'; // Auth.-Backend
$s_AutoRefreshAfterSuccess_ttl            = '&#25104;&#21151;&#24460;&#33258;&#21205;&#21047;&#26032;'; // Auto Refresh after Success
$s_BackToCI_dsc                           = '&#22238;&#21040;&#36575;&#20214;&#32068;&#20214;&#35222;&#22294;'; // Back to CI view
$s_BackToCI_ttl                           = '&#22238;&#21040;&#36575;&#20214;&#27083;&#20214;'; // Back to CI
$s_BackgroundColor_ttl                    = ''; // Background Color
$s_By_dsc                                 = '&#30001;'; // by
$s_CIAttributes_dsc                       = '&#36575;&#20214;&#32068;&#20214;&#30340;&#23660;&#24615;'; // CI Attribute(s)
$s_CIClearAll_dsc                         = '&#28165;&#38500;&#25152;&#26377;&#36889;&#31278;&#39006;&#22411;&#30340;&#36575;&#20214;&#27083;&#20214;'; // Clear all CI of this type
$s_CIClearAll_ttl                         = '&#28165;&#26224;&#30340;&#36575;&#20214;&#32068;&#20214;'; // Clear CI
$s_CIInsertSuccesfull_dsc                 = 'ci::insert succesfull'; // ci::insert succesfull
$s_CIS_dsc                                = '&#36575;&#20214;&#32068;&#20214;'; // CI(s)
$s_CIType1_ttl                            = ''; // CI-Type 1
$s_CIType2_ttl                            = ''; // CI-Type 2
$s_CITypeAttributes_dsc                   = '&#36575;&#20214;&#32068;&#20214;&#39006;&#22411;&#30340;&#23660;&#24615;'; // CI-Type Attribute(s)
$s_CITypeUsedBy_dsc                       = '&#36575;&#20214;&#32068;&#20214;&#24335;&#20351;&#29992;'; // CI-Type used by
$s_CIType_ttl                             = '&#36575;&#20214;&#27083;&#20214;&#39006;&#22411;'; // CI-Type
$s_CITypes_ttl                            = '&#36575;&#20214;&#32068;&#20214;&#39006;&#22411;'; // CI-Types
$s_CIUpdateSuccessful_dsc                 = ''; // ci::update succesfull
$s_CI_ttl                                 = '&#36575;&#20214;&#27083;&#20214;'; // CI
$s_CIsOfCIType_ttl                        = '&#36575;&#20214;&#32068;&#20214;&#36575;&#20214;&#32068;&#20214;&#24335;'; // CIs of CI-Type
$s_CIsWithEntry_ttl                       = '&#36575;&#20214;&#32068;&#20214;&#33287;&#20837;&#19990;'; // CIs with Entry
$s_CIs_ttl                                = '&#36575;&#20214;&#32068;&#20214;'; // CIs
$s_CSVExport_dsc                          = ''; // Export all data from CMDB as CSV
$s_CSVExport_ttl                          = '&#30340;CSV&#20986;&#21475;'; // CSV-Export
$s_CSVFile_ttl                            = 'CSV&#26684;&#24335;&#25991;&#20214;'; // CSV-File
$s_CSVProfile_ttl                         = 'CSV&#26684;&#24335;&#30682;&#30446;'; // CSV-Profile
$s_CSVProfiles_dsc                        = 'Manage your CSV-Profile'; // Manage your CSV-Profile
$s_CSVProfiles_ttl                        = 'CSV-&#27010;&#27841;'; // CSV-Profiles
$s_CSVProfileNotConfigured_dsc            = 'CSV-Profile not configured!'; // CSV-Profile not configured!
$s_CacheDirectory_dsc                     = '&#32233;&#23384;&#30446;&#37636;'; // Cache directory
$s_CatalogEntryUsed_dsc                   = '&#30446;&#37636;&#38917;&#20351;&#29992;'; // catalog entry used by
$s_CatalogUsedby_dsc                      = '&#30446;&#37636;&#20351;&#29992;'; // catalog used by
$s_Catalog_ttl                            = '&#30446;&#37636;'; // Catalog
$s_Catalogs_ttl                           = '&#30446;&#37636;'; // Catalogs
$s_ChangePassword_dsc                     = '&#26356;&#25913;&#23494;&#30908;'; // change password of this user
$s_ChangePassword_ttl                     = ''; // Change password
$s_Change_btn                             = '&#35722;&#26356;'; // Change!
$s_CheckCompleted_ttl                     = '&#27298;&#26597;&#23436;&#25104;'; // Check completed
$s_CheckTable_ttl                         = ''; // Check table
$s_ChooseIconForCIType_dsc                = ''; // choose an icon for this CI-Type
$s_ChooseIconForCI_dsc                    = ''; // choose an icon for this CI
$s_ChooseIconForCatalogEntry_dsc          = ''; // Choose an icon for this catalog entry
$s_ChooseIcon_dsc                         = 'Choose an icon for this CI-Type'; // Click on icon to select!
$s_ChooseIcon_ttl                         = '&#36984;&#25799;&#22294;&#27161;'; // Choose Icon
$s_ChooseYourFilterSetup_dsc              = '&#36984;&#25799;&#20320;&#30340;&#36942;&#28670;&#22120;&#35373;&#32622;&#65292;&#35531;&#65281;!'; // Choose your filter setup, please!
$s_Clear                                  = '&#28165;&#38500;'; // Clear
$s_ClearCache_dsc                         = '&#28165;&#38500;&#32233;&#23384;&#22294;&#20687;&#25991;&#20214;&#30340;&#25152;&#26377;&#38364;&#20418;&#22294;'; // Clear cache of all relation map image files
$s_ClearCache_ttl                         = '&#28165;&#38500;&#32233;&#23384;'; // Clear Cache
$s_ClearIconCacheCompleted_dsc            = '&#28165;&#38500;&#22294;&#27161;&#32233;&#23384;&#23436;&#25104;'; // clear icon cache completed
$s_ClearMapCacheCompleted_dsc             = 'clear map cache completed'; // clear map cache completed
$s_ClickOnIconToSelect_dsc                = '&#40670;&#25802;&#22294;&#27161;&#20358;&#36984;&#25799;!'; // Click on icon to select!
$s_CloneCI_dsc                            = '&#20811;&#38534;&#23436;&#25972;&#30340;&#36575;&#20214;&#32068;&#20214;&#65292;&#21253;&#25324;&#38364;&#20418;'; // Clone this CI including relations
$s_CloneCI_ttl                            = '&#20811;&#38534;&#36575;&#20214;&#32068;&#20214;'; // Clone CI
$s_CloneOf_dsc                            = 'CLONE OF'; // CLONE OF
$s_CloneRelations_ttl                     = ''; // Clone relations
$s_CommentIgnored_dsc                     = 'comment ignored'; // comment ignored
$s_Comment_ttl                            = '&#35413;&#35542;'; // Comment
$s_Comments_ttl                           = '&#35413;&#35542;'; // Comments
$s_Continue                               = '&#32380;&#32396;'; // Continue
$s_Continue_btn                           = ''; // Continue!
$s_Count_dsc                              = '&#35336;&#25976;'; // Count
$s_Counter_dsc                            = ''; // Show total item counter
$s_Counter_ttl                            = '&#35336;&#25976;&#22120;'; // Counter
$s_CreateAttribute_dsc                    = '&#21109;&#24314;&#26032;&#30340;&#23660;&#24615;'; // create a new attribute
$s_CreateAttribute_ttl                    = '&#21109;&#24314;&#26032;&#30340;&#23660;&#24615;'; // Create attribute
$s_CreateCITypeAttribute_dsc              = 'Create a new attribute for the CI-Type'; // create a new attribute for this CI-type
$s_CreateCIType_dsc                       = '&#21109;&#24314;&#19968;&#20491;&#26032;&#30340;&#36575;&#20214;&#32068;&#20214;&#24335;'; // create a new CI-Type
$s_CreateCIType_ttl                       = '&#21109;&#24314;&#26032;&#30340;&#36575;&#20214;&#32068;&#20214;&#24335;'; // Create CI-Type
$s_CreateCI_dsc                           = '&#21109;&#24314;&#19968;&#20491;&#26032;&#30340;&#36575;&#20214;&#32068;&#20214;'; // create a new CI
$s_CreateCI_ttl                           = '&#21109;&#24314;&#19968;&#20491;&#26032;&#30340;&#36575;&#20214;&#32068;&#20214;'; // Create CI
$s_CreateCIofThisCIType_ttl               = '&#21109;&#24314;&#36889;&#20491;&#26032;&#30340;&#36575;&#20214;&#32068;&#20214;&#36575;&#20214;&#32068;&#20214;&#24335;'; // Create CI of this CI-Type
$s_CreateCSVProfile_dsc                   = '&#21109;&#24314;&#19968;&#20491;&#26032;&#30340;CSV&#21488;'; // Create a new CSV-Profile
$s_CreateCSVProfile_ttl                   = '&#21109;&#24314;&#26032;&#30340;CSV&#21488;'; // Create CSV-Profile
$s_CreateCatalogEntry_dsc                 = ''; // create a new entry for this catalog
$s_CreateCatalogEntry_ttl                 = '&#21109;&#24314;&#26032;&#26781;&#30446;'; // Create entry
$s_CreateCatalog_dsc                      = ''; // create a new catalog
$s_CreateCatalog_ttl                      = '&#21109;&#24314;&#26032;&#30446;&#37636;'; // Create catalog
$s_CreateRelationTypeAttribute_dsc        = 'Create a new attribute for the Relation-Type'; // create a new attribute for this relation-type
$s_CreateRelationType_dsc                 = '&#21109;&#24314;&#19968;&#20491;&#26032;&#30340;&#38364;&#20418;&#24335;'; // Create a new relation-type
$s_CreateRelationType_ttl                 = '&#24314;&#31435;&#26032;&#30340;&#38364;&#20418;&#24335;'; // Create Relation-Type
$s_CreateRelation_dsc                     = ''; // Create a new relation
$s_CreateRelation_ttl                     = '&#21109;&#24314;&#19968;&#20491;&#26032;&#30340;&#38364;&#20418;'; // Create relation
$s_CreateUser_dsc                         = '&#21109;&#24314;&#19968;&#20491;&#26032;&#30340;&#29992;&#25142;&#24115;&#25142;'; // create a new user account
$s_CreateUser_ttl                         = '&#21109;&#24314;&#26032;&#29992;'; // Create user
$s_Create_btn                             = ''; // Create!
$s_CurrentPassword_ttl                    = '&#30070;&#21069;&#23494;&#30908;'; // Current Password
$s_DBCheck_dsc                            = '&#19968;&#33268;&#24615;&#27298;&#26597;&#25976;&#25818;&#24235;&#20013;&#30340;&#25976;&#25818;'; // Consistency check of data in DB
$s_DBCheck_ttl                            = '&#25976;&#25818;&#24235;&#27298;&#26597;'; // DB-Check
$s_DBError_dsc                            = '&#25976;&#25818;&#24235;&#37679;&#35492;'; // db error
$s_DBUpdate_dsc                           = '&#26356;&#26032;&#25976;&#25818;&#24235;&#32080;&#27083;&#25551;&#36848;'; // Update DB-Schema
$s_DBUpdate_ttl                           = '&#25976;&#25818;&#24235;&#26356;&#26032;'; // DB-Update
$s_DB_ttl                                 = 'Database'; // DB
$s_Datatype_ttl                           = ''; // Datatype
$s_DeleteAllCIs_dsc                       = ''; // delete all CIs of this CI-Type
$s_DeleteAllCIs_ttl                       = ''; // Delete All CIs
$s_DeleteAllEntries_ttl                   = '&#21034;&#38500;&#25152;&#26377;&#26781;&#30446;'; // Delete All Entries
$s_DeleteAttribute_ttl                    = ''; // Delete attribute
$s_DeleteCITypeAttribute_dsc              = ''; // delete this attribute of the CI-Type
$s_DeleteCIType_dsc                       = 'Delete this CI-Type'; // delete this CI-Type
$s_DeleteCIType_ttl                       = '&#21034;&#38500;&#36575;&#20214;&#32068;&#20214;&#24335;'; // Delete CI-Type
$s_DeleteCI_dsc                           = '&#21034;&#38500;&#23436;&#25972;&#30340;&#36575;&#20214;&#32068;&#20214;&#65292;&#21253;&#25324;&#38364;&#20418;&#21644;&#35413;&#35542;'; // delete this CI
$s_DeleteCI_ttl                           = '&#21034;&#38500;&#36575;&#20214;&#32068;&#20214;'; // Delete CI
$s_DeleteCSVProfile_dsc                   = ''; // delete this CSV-Profile
$s_DeleteCSVProfile_ttl                   = ''; // Delete CSV-Profile
$s_DeleteCatalogEntry_dsc                 = ''; // delete this catalog entry
$s_DeleteCatalogEntry_ttl                 = ''; // Delete entry
$s_DeleteCatalog_dsc                      = '&#21034;&#38500;&#30446;&#37636;'; // delete this catalog
$s_DeleteCatalog_ttl                      = ''; // Delete catalog
$s_DeleteComment_dsc                      = '&#21034;&#38500;&#35413;&#35542;'; // delete this comment
$s_DeleteComment_ttl                      = ''; // Delete comment
$s_DeleteElement_dsc                      = ''; // delete this element
$s_DeleteEntry_dsc                        = ''; // delete this entry
$s_DeleteRelationTypeAttribute_dsc        = ''; // delete this attribute of the relation-type
$s_DeleteRelationType_dsc                 = ''; // delete this relation-type
$s_DeleteRelationType_ttl                 = ''; // Delete Relation-Type
$s_DeleteRelation_dsc                     = ''; // delete this relation
$s_DeleteRelation_ttl                     = ''; // Delete relation
$s_DeleteSuccessful_dsc                   = ''; // delete successful
$s_DeleteUser_dsc                         = ''; // delete this user
$s_DeleteUser_ttl                         = ''; // Delete user
$s_DeleteYourAccount_dsc                  = '&#23427;&#19981;&#20801;&#35377;&#30340;&#65292;&#35201;&#21034;&#38500;&#33258;&#24049;&#30340;&#24115;&#25142;!'; // Its not allowed, to delete your own account!
$s_Delete_ttl                             = '&#21034;&#38500;'; // Delete
$s_Description_ttl                        = '&#35498;&#26126;'; // Description
$s_Design_dsc                             = '&#35373;&#35336;&#36575;&#20214;&#32068;&#20214;&#39006;&#22411;&#65292;&#38364;&#20418;&#21644;&#26356;'; // Design CI-Types, Relations and more
$s_Design_ttl                             = '&#35373;&#35336;'; // Design
$s_DisplayAndManageCIType_dsc             = ''; // display and manage this CI-Type
$s_DisplayAndManageCatalogEntries_dsc     = '&#39023;&#31034;&#21644;&#32232;&#36655;&#26781;&#30446;&#27492;&#30446;'; // display and manage entries of this catalog
$s_DisplayCI_ttl                          = '&#39023;&#31034;&#36575;&#20214;&#32068;&#20214;'; // Display CI
$s_Display_dsc                            = '&#39023;&#31034;'; // Display
$s_EMail_ttl                              = '&#38651;&#23376;&#37109;&#20214;'; // E-Mail
$s_EditAttribute_ttl                      = '&#32232;&#36655;&#23660;&#24615;'; // Edit attribute
$s_EditAttributes_ttl                     = '&#32232;&#36655;&#23660;&#24615;'; // Edit attributes
$s_EditCIAttributes_dsc                   = '&#32232;&#36655;&#36575;&#20214;&#32068;&#20214;&#30340;&#23660;&#24615;'; // edit attributes of this CI
$s_EditCITypeAttribute_dsc                = ''; // edit this attribute of the CI-Type
$s_EditCITypeSpecification_dsc            = ''; // edit specification of this CI-Type
$s_EditCIType_dsc                         = ''; // edit this CI-Type
$s_EditCIType_ttl                         = ''; // Edit CI-Type
$s_EditCI_dsc                             = ''; // edit this CI
$s_EditCSVProfile_dsc                     = ''; // edit this CSV-Profile
$s_EditCSVProfile_ttl                     = ''; // Edit CSV-Profile
$s_EditCatalogEntry_dsc                   = ''; // edit this catalog entry
$s_EditCatalogEntry_ttl                   = ''; // Edit entry
$s_EditCatalog_dsc                        = '&#32232;&#36655;&#30446;&#37636;'; // edit this catalog
$s_EditCatalog_ttl                        = ''; // Edit catalog
$s_EditComment_dsc                        = '&#32232;&#36655;&#35413;&#35542;'; // edit this comment
$s_EditComment_ttl                        = ''; // Edit comment
$s_EditRelationTypeAttribute_dsc          = ''; // edit this attribute of the relation-type
$s_EditRelationType_dsc                   = ''; // edit this relation-type
$s_EditRelationType_ttl                   = ''; // Edit relation-type
$s_EditRelation_dsc                       = '&#32232;&#36655;&#26781;&#30446;'; // edit this relation
$s_EditRelation_ttl                       = ''; // Edit relation
$s_EditUser_dsc                           = ''; // edit this user
$s_EditUser_ttl                           = '&#32232;&#36655;&#38364;&#20418;'; // Edit user
$s_Edit_ttl                               = '&#32232;&#36655;'; // Edit
$s_Elements_ttl                           = '&#20803;&#32032;'; // Elements
$s_EndOfImport_ttl                        = '&#32080;&#26463;&#36914;&#21475;'; // End of Import
$s_EnterNewOne_dsc                        = '&#36914;&#20837;&#26032;&#19968;'; // enter new one
$s_EntriesImportedFromCSV_dsc             = '&#21443;&#36093;&#20316;&#21697;&#24478; CSV&#23566;&#20837;&#25991;&#20214;'; // entries imported from csv-file
$s_EntriesOfCatalogTypeWithoutCatalog_dsc = ''; // entries from datatype catalog without a valid catalog.
$s_EntriesWithoutCI1ID_dsc                = ''; // entries without a valid CI 1 ID
$s_EntriesWithoutCI2ID_dsc                = ''; // entries without a valid CI 2 ID
$s_EntriesWithoutCIType1ID_dsc            = ''; // entries without a valid CI-Type 1 ID
$s_EntriesWithoutCIType2ID_dsc            = ''; // entries without a valid CI-Type 2 ID
$s_EntriesWithoutCIType_dsc               = ''; // entries without a valid CI-Type
$s_EntriesWithoutCI_dsc                   = ''; // entries without a valid CI
$s_EntriesWithoutCatalog_dsc              = ''; // entries without a valid catalog
$s_EntriesWithoutRelationType_dsc         = ''; // entries without a valid Relation-Type
$s_EntriesWithoutRelation_dsc             = ''; // entries without a valid relation
$s_EntriesWithoutTypeAttribute_dsc        = ''; // entries without a valid type attribute
$s_Entries_ttl                            = ''; // Entries
$s_Entry_dsc                              = '&#26781;&#30446;'; // Entry
$s_Entry_ttl                              = ''; // Entry
$s_ErrorFromCIInsert_dsc                  = 'error from ci::insert'; // error from ci::insert
$s_ErrorFromCIUpdate_dsc                  = 'error from ci::update'; // error from ci::update
$s_ErrorWhileUploadingFile_dsc            = 'Error while uploading file!'; // Error while uploading file!
$s_ErrorWhileUploading_dsc                = '&#19978;&#20659;&#25991;&#20214;&#26178;&#20986;&#37679;!'; // Error while uploading file!
$s_Errors_dsc                             = '&#37679;&#35492;'; // errors
$s_Errors_ttl                             = '&#37679;&#35492;'; // Errors
$s_ExportAsPDF_dsc                        = '&#30070;&#21069;&#25844;&#22823;&#20986;&#21475;&#30340;&#22320;&#22294;&#28858; PDF'; // Export current extended map as PDF
$s_ExportAsPDF_ttl                        = '&#23566;&#20986;&#28858; PDF&#26684;&#24335;'; // Export as PDF
$s_ExportCIs_dsc                          = '&#25152;&#26377;&#36575;&#20214;&#32068;&#20214;&#20986;&#21475;&#26412;&#36575;&#20214;&#32068;&#20214;&#39006;&#22411;&#28858; CSV'; // Export all CIs of this CI-Type to CSV
$s_ExportCIs_ttl                          = '&#20986;&#21475;&#30340;&#36575;&#20214;&#32068;&#20214;'; // Export CIs
$s_ExportEntries_dsc                      = ''; // Export catalog entries to CSV-file
$s_ExportEntries_ttl                      = '&#20986;&#21475;&#38917;'; // Export Entries
$s_ExportRelationTypes_ttl                = '&#36889;&#31278;&#39006;&#22411;&#30340;&#20986;&#21475;&#38364;&#20418;'; // Export Relations-Types
$s_Export_btn                             = '&#20986;&#21475;'; // Export!
$s_Extended_dsc                           = '&#25844;&#23637;&#22320;&#22294;'; // Extended Map
$s_Extended_ttl                           = '&#25844;&#23637;'; // Extended
$s_ExtentedRelationMap_ttl                = '&#25844;&#23637;&#38364;&#20418;&#22320;&#22294;'; // Extended Relations-Map
$s_FieldSeparator_ttl                     = ''; // Field Separator
$s_FilesDeleted_dsc                       = '&#25991;&#20214;&#21034;&#38500;'; // files deleted
$s_FilterPeerCIsWith_note                 = ''; // Note: Enter a filter expression to reduce the list of possible peer CIs!
$s_FilterPeerCIsWith_ttl                  = ''; // Filter Peer CIs with
$s_FirstName_ttl                          = '&#21517;&#23383;'; // First Name
$s_FollowSingleResults_ttl                = '&#25353;&#29031;&#21934;&#32080;&#26524;'; // Follow Single Results
$s_ForegroundColor_ttl                    = ''; // Foregroud Color
$s_Format_ttl                             = ''; // Format
$s_Found_dsc                              = 'found:'; // found
$s_FromCatalog_dsc                        = '&#24478;&#30446;&#37636;'; // from Catalog
$s_FunctionNotActivated_dsc               = '&#21151;&#33021;&#27794;&#26377;&#34987;&#28608;&#27963;!'; // Function not activated!
$s_GotoCatalogLP_dsc                      = '&#36681;&#21040;&#30446;&#37636;&#21015;&#34920;&#38913;'; // Goto Catalog List Page
$s_GotoViewThisCI_ttl                     = '&#36681;&#21040;&#26597;&#30475;&#27492;&#36575;&#20214;&#27083;&#20214;'; // Goto view this CI
$s_IDofTANotEqual_dsc                     = 'ID of Type-Attr not equal'; // ID of Type-Attr not equal
$s_IllegalCall_dsc                        = '&#38750;&#27861;&#35519;&#29992;!'; // Illegal call!
$s_IllegalImportRequest_dsc               = '&#38750;&#27861;&#36914;&#21475;&#30340;&#35201;&#27714;'; // illegal import request
$s_ImportCIs_dsc                          = '&#36914;&#21475;&#36575;&#20214;&#30340;&#32068;&#25104;&#37096;&#20998;&#36889;&#19968;&#36575;&#20214;&#27083;&#20214;&#22411;&#24478; CSV'; // Import CIs of this CI-Type from CSV
$s_ImportCIs_ttl                          = '&#36914;&#21475;&#36575;&#20214;&#32068;&#20214;'; // Import CIs
$s_ImportEntries_dsc                      = ''; // Import catalog entries from CSV-file
$s_ImportEntries_ttl                      = '&#23566;&#20837;&#26781;&#30446;'; // Import Entries
$s_ImportNew_dsc                          = '&#36914;&#21475;&#26032;'; // import new
$s_Import_btn                             = '&#36914;&#21475;'; // Import!
$s_InputValue_ttl                         = ''; // Input Value
$s_InsertSuccessful_dsc                   = ''; // insert successful
$s_Inserts_ttl                            = ''; // Inserts
$s_InvalidCountElements_dsc               = 'invalid count of elements (required:'; // invalid count of elements
$s_InvalidIDofCT_dsc                      = 'invalid ID of Classtype'; // invalid ID of Classtype
$s_InvalidIDofTA_dsc                      = 'invalid ID of Type-Attr'; // invalid ID of Type-Attr
$s_IsNotAnArray_dsc                       = '&#26159;&#19981;&#26159;&#19968;&#20491;&#25976;&#32068;!'; // is not an array!
$s_Item_ttl                               = '&#38917;&#30446;'; // Item
$s_Label_ttl                              = ''; // Label
$s_Language_ttl                           = '&#35486;&#35328;'; // Language
$s_LastChangeAt_dsc                       = '&#26368;&#24460;&#20462;&#35330;&#26085;'; // last changed at
$s_LastChange_ttl                         = '&#26368;&#24460;&#26356;&#25913;'; // Last Change
$s_LastChangedCIs_ttl                     = '&#26368;&#24460;&#20462;&#25913;&#36575;&#20214;&#32068;&#20214;'; // Last changed CIs
$s_LastChangedComments_ttl                = '&#26368;&#24460;&#20462;&#25913;&#24847;&#35211;'; // Last changed comments
$s_LastChanged_dsc                        = '&#26368;&#24460;&#20462;&#35330;'; // last changed
$s_LastChanges_dsc                        = ''; // List last changes in CMDB
$s_LastChanges_ttl                        = '&#26368;&#36817;&#35722;&#21205;'; // Last Changes
$s_LastName_ttl                           = '&#22995;'; // Last Name
$s_Line_dsc                               = 'Line '; // Line
$s_LinesProcessed_ttl                     = ''; // Lines processed
$s_List_dsc                               = '&#21015;&#20986;&#25152;&#26377;&#30340;&#36575;&#20214;&#32068;&#20214;&#36889;&#20491;&#36575;&#20214;&#27083;&#20214;&#22411;'; // List all CIs of this CI-Type
$s_List_ttl                               = '&#21517;&#21934;'; // List
$s_LoginErrBackEnd_inf                    = 'Login error : Authentification Backend not supported!'; // Login error : Authentification Backend not supported!
$s_LoginErrEmtyPass_inf                   = 'Login error : Password empty'; // Login error : Password empty
$s_LoginErrPassword_inf                   = 'Login error : Incorrect Password'; // Login error : Incorrect Password
$s_LoginErrUserActive_inf                 = 'Login error : User not active : Please contact Cmdb Manager'; // Login error : User not active : Please contact Cmdb Manager
$s_LoginErrUserGroup_inf                  = 'Login error : User not in right group'; // Login error : User not in right group
$s_LoginErrUser_inf                       = 'Login error : Unknown user'; // Login error : Unknown user
$s_LoginErr_inf                           = '&#30331;&#37636;&#19981;&#25104;&#21151;'; // Login not successfull
$s_Login_ttl                              = '&#30331;&#37636;'; // Login
$s_LogoutCompleted_dsc                    = '&#35387;&#37559;&#23436;&#25104;!'; // Logout completed!
$s_Logout_dsc                             = ''; // Logout from PHP-CMDB
$s_Logout_ttl                             = '&#35387;&#37559;'; // Logout
$s_ManageCITypes_dsc                      = ''; // Modeling your CI-Types
$s_ManageCatalogs_dsc                     = ''; // Manage your catalogs
$s_MapOfRelations_dsc                     = ''; // map of relations
$s_ModifyYourAccount_dsc                  = '&#23427;&#19981;&#20801;&#35377;&#30340;&#65292;&#20462;&#25913;&#33258;&#24049;&#30340;&#24115;&#25142;!'; // Its not allowed, to modify your own account!
$s_MoveDown_dsc                           = ''; // move this line down
$s_MoveUp_dsc                             = ''; // move this line up
$s_MyAccount_dsc                          = ''; // Manage personal Settings and Account Data
$s_MyAccount_ttl                          = '&#25105;&#30340;&#24115;&#25142;'; // My Account
$s_MySettings_ttl                         = '&#25105;&#30340;&#35373;&#32622;'; // My Settings
$s_NO_btn                                 = '&#28961;!'; // No!
$s_Name_ttl                               = '&#21517;&#31281;'; // Name
$s_NewPassword_ttl                        = '&#26032;&#23494;&#30908;'; // New Password
$s_NoEntries_inf                          = '&#27794;&#26377;&#38917;&#30446;'; // no entries
$s_NoFileForUpload_dsc                    = '&#27794;&#26377;&#36984;&#25799;&#19978;&#20659;&#25991;&#20214;!'; // No file for upload selected!
$s_NoIcon_dsc                             = ''; // no icon
$s_NoMessageAvailable_dsc                 = ''; // no message available
$s_NotValid_dsc                           = '&#28961;&#25928;'; // not valid
$s_Notify_ttl                             = '&#36890;&#30693;'; // Notify
$s_NumberOfRelation_ttl                   = '&#25976;&#37327;&#38364;&#20418;'; // Number of relations
$s_ObligValueMustNotBeEmpty_dsc           = 'is oblig: value must not be empty'; // is oblig: value must not be empty
$s_Obligate_ttl                           = '&#38928;&#30041;'; // Obligate
$s_Options_ttl                            = '&#36984;&#38917;'; // Options
$s_Order_ttl                              = '&#35330;&#36092;'; // Order
$s_Password_ttl                           = 'Password'; // Password
$s_PeerCI_note                            = ''; // Note: Press Ctrl-Key to select more than one item from list!
$s_PeerCI_ttl                             = ''; // Peer CI
$s_PhpCmdbSetup_dsc                       = 'PHP&#30340;CMDB&#30340;&#35373;&#32622;'; // PHP-CMDB Setup
$s_PleaseCreateCSVProfile_dsc             = ''; // Please create a CSV-Profile first over &quot;Design / CSV-Profiles&quot;.
$s_Position_ttl                           = '&#20301;&#32622;'; // Position
$s_Refresh_dsc                            = '&#21047;&#26032;&#22320;&#22294;'; // Refresh relations map
$s_Refresh_ttl                            = '&#21047;&#26032;'; // Refresh
$s_RelationCounter_ttl                    = ''; // Relation Counter
$s_RelationCreated_dsc                    = '&#21109;&#24314;&#38364;&#20418;'; // relations created
$s_RelationMap_ttl                        = '&#38364;&#20418;&#22320;&#22294;'; // Relations-Map
$s_RelationText1gt2_ttl                   = ''; // Text CI 1 -&gt; CI 2
$s_RelationText1lt2_ttl                   = ''; // Text CI 1 &lt;- CI 2
$s_RelationType_dsc                       = '&#28687;&#35261;&#26041;&#24335;&#30340;&#38364;&#20418;&#65292;&#39006;&#22411;'; // Browse with Relations-Types
$s_RelationType_ttl                       = '&#38364;&#20418;&#22411;'; // Relation-Type
$s_RelationTypes_dsc                      = 'Modeling your Relation-Types'; // Modeling your Relation-Types
$s_RelationTypes_ttl                      = '&#38364;&#20418;&#65292;&#39006;&#22411;'; // Relation-Types
$s_Relation_ttl                           = '&#38364;&#20418;'; // Relation
$s_Relations_ttl                          = '&#38364;&#20418;'; // Relations
$s_RepeatPassword_ttl                     = '&#37325;&#35079;&#23494;&#30908;'; // Repeat Password
$s_Reports_dsc                            = '&#35373;&#35336;&#36575;&#20214;&#32068;&#20214;&#39006;&#22411;&#65292;&#38364;&#20418;&#21644;&#26356;'; // Reports, last Changes, Counter and more
$s_Reports_ttl                            = '&#22577;&#21578;'; // Reports
$s_RequestingNotAllowedForTrigger_dsc     = '&#25552;&#20986;&#35531;&#27714;&#30340;IP&#26159;&#19981;&#20801;&#35377;&#35320;&#30332;!'; // the requesting ip is not allowed for trigger!
$s_Required_dsc                           = ''; // required
$s_Role_ttl                               = '&#35282;&#33394;'; // Role
$s_RowsPerPage_ttl                        = '&#27599;&#38913;&#34892;'; // Rows per Page
$s_Save_btn                               = ''; // Save!
$s_SearchBrowse_dsc                       = '&#28687;&#35261;&#30340;CMDB'; // Browse CMDB
$s_SearchBrowse_ttl                       = '&#25628;&#32034;&#21644;&#28687;&#35261;'; // Search and Browse
$s_Search_btn                             = '&#25628;&#32034;'; // Search
$s_Seconds_ttl                            = '&#31186;'; // Seconds
$s_SelectCIType_ttl                       = '&#36984;&#25799;&#36575;&#20214;&#32068;&#20214;&#24335;'; // select CI-Type
$s_SelectPlease                           = 'Select Please'; // Select please
$s_ServiceOffline_dsc                     = '&#26381;&#21209;&#26159;&#38626;&#32218;!'; // service is offline!
$s_Settings_dsc                           = '&#31649;&#29702;&#24744;&#30340;&#20491;&#20154;&#35373;&#32622;'; // Manage your personal settings
$s_Settings_ttl                           = '&#35373;&#32622;'; // Settings
$s_SetupCVSExport                         = 'Setup CSV-Export'; // Setup CSV-Export
$s_SetupCheck_dsc                         = '&#27298;&#26597;&#35373;&#32622;&#21644;&#29872;&#22659;'; // Check setup and environment
$s_SetupCheck_ttl                         = '&#35373;&#32622;&#27298;&#26597;'; // Setup-Check
$s_SetupCompleted_dsc                     = '&#23433;&#35037;&#23436;&#25104;&#65281;&#25353;&#29031;&#37832;&#25509;&#36914;&#20837; PHP&#30340;&#37197;&#32622;&#31649;&#29702;&#25976;&#25818;&#24235;'; // Setup completed! Follow the link to enter PHP-CMDB.
$s_ShowAllComments_dsc                    = '&#21517;&#21934;&#39023;&#31034;&#25152;&#26377;&#35413;&#35542;&#35442;&#36575;&#20214;&#32068;&#20214;'; // Show list with all comments for this CI
$s_ShowAllComments_ttl                    = '&#39023;&#31034;&#25152;&#26377;&#35413;&#35542;'; // Show all comments
$s_ShowRelationType_dsc                   = ''; // Show relation type
$s_SorryNoCIWithThisType_dsc              = '&#23565;&#19981;&#36215;&#65292;&#27794;&#26377;&#36889;&#20491;&#35422;&#30340;&#39006;&#22411;&#21644;&#21517;&#31281;!'; // Sorry, there is no CI with this type and name!
$s_Specification_dsc                      = '&#35215;&#31684;'; // Specification
$s_Specification_ttl                      = ''; // Specification
$s_Status_ERROR                           = ''; // ERROR
$s_Status_OK                              = ''; // OK
$s_Status_WARNING                         = '&#35686;&#21578;'; // WARNING
$s_Strict_ttl                             = ''; // Strict
$s_StringDelimiter_ttl                    = ''; // String-Delimiter
$s_SwapDirectionOfRelationType_dsc        = ''; // Swap direction of this relation-type
$s_SwapDirection_dsc                      = ''; // Swap direction
$s_Swap_ttl                               = '&#20132;&#25563;'; // Swap
$s_SwitchSuccessful_dsc                   = ''; // Switch successful
$s_TableColumnUpToDate_dsc                = ''; // table column is up-to-date
$s_TableColumnUpdated_dsc                 = ''; // table column updated
$s_TableCreated_dsc                       = ''; // table created
$s_TableDropped_dsc                       = ''; // table dropped
$s_TableExists_dsc                        = ''; // table exists
$s_TableFilled_dsc                        = ''; // table filled
$s_TableUpToDate_dsc                      = ''; // table is up-to-date
$s_Tag_ttl                                = '&#27161;&#31844;'; // Tag
$s_Title_ttl                              = '&#27161;&#38988;'; // Title
$s_Total_ttl                              = '&#32317;&#35336;'; // Total
$s_TriggerNotEnabled_dsc                  = '&#35320;&#30332;&#26410;&#21855;&#29992;!'; // trigger not enabled!
$s_Type_ttl                               = '&#39006;&#22411;'; // Type
$s_UnexpectedNumberOfRows_dsc             = 'unexpected number of rows'; // unexpected number of rows
$s_Unique_ttl                             = '&#29544;&#29305;'; // Unique
$s_Unknown_ttl                            = ''; // UNKNOWN
$s_UpdateCompleted_dsc                    = ''; // update completed
$s_UpdateSuccessful_dsc                   = ''; // update successful
$s_Update_btn                             = ''; // Update!
$s_Updates_ttl                            = ''; // Updates
$s_UseIconFromCIType_dsc                  = '&#20351;&#29992;&#22294;&#27161;&#30340;&#36575;&#20214;&#27083;&#20214;&#22411;'; // use icon from CI-Type
$s_User_dsc                               = '&#32173;&#35703;&#29992;&#25142;'; // Maintain users
$s_User_ttl                               = '&#29992;&#25142;'; // User
$s_ValidationError_dsc                    = '&#39511;&#35657;&#37679;&#35492;'; // validation error
$s_ValueMustBeUnique_dsc                  = 'value must be unique for all instances of this classtype'; // value must be unique for all instances of this classtype
$s_Version_ttl                            = 'Version'; // Release
$s_ViewAllCIsReferingthisCat_dsc          = '&#26597;&#30475;&#25152;&#26377;&#29544;&#32879;&#39636;&#25351;&#36889;&#20491;&#30446;&#37636;&#26781;&#30446;'; // View all CIs refering this catalog entry
$s_ViewCIType_dsc                         = 'Show this CI-Type'; // View this CI-Type
$s_ViewCI_dsc                             = ''; // View this CI
$s_ViewCSVProfile_dsc                     = ''; // View this CSV-Profile
$s_ViewRelationType_dsc                   = 'Show this Relation-Type'; // View this relation-type
$s_View_ttl                               = '&#26597;&#30475;'; // View
$s_Vis_dsc                                = '&#33021;&#35211;&#24230;'; // Vis.
$s_Visibility_ttl                         = '&#33021;&#35211;&#24230;'; // Visibility
$s_WandDeleteCSVProfile_dsc               = ''; // Do you really want do delete this CSV-Profile?
$s_WandDeleteRelationType_dsc             = ''; // Do you really want do delete this Relation-Type?
$s_WantClearCIType_dsc                    = '&#20320;&#30495;&#27491;&#24076;&#26395;&#20570;&#30340;&#28165;&#31354;&#35442;&#36575;&#20214;&#27083;&#20214;&#22411;?'; // Do you really want do empty this CI-Type?
$s_WantClearCache_dsc                     = ''; // Do you really want do clear the cache with all relation map image files?
$s_WantDeleteAllCIsOfCIType               = ''; // Do you really want do delete all CIs of this CI-Type?
$s_WantDeleteAttribute_dsc                = ''; // Do you really want do delete this attribute?
$s_WantDeleteCIType_dsc                   = '&#38627;&#36947;&#20320;&#30495;&#30340;&#24819;&#35201;&#20570;&#21034;&#38500;&#36889;&#20491;&#36575;&#20214;&#27083;&#20214;&#22411;?'; // Do you really want do delete this CI-Type?
$s_WantDeleteCI_dsc                       = '&#38627;&#36947;&#20320;&#30495;&#30340;&#24819;&#35201;&#20570;&#21034;&#38500;&#36889;&#20491;&#36575;&#20214;&#27083;&#20214;?'; // Do you really want do delete this CI including relations and comments?
$s_WantDeleteCatalog_dsc                  = '&#20320;&#30495;&#27491;&#24076;&#26395;&#20570;&#30340;&#21034;&#38500;&#30446;&#37636;'; // Do you really want do delete this catalog?
$s_WantDeleteComment_dsc                  = '&#38627;&#36947;&#20320;&#30495;&#30340;&#24819;&#35201;&#20570;&#21034;&#38500;&#27492;&#35413;&#35542;?'; // Do you really want do delete this comment?
$s_WantDeleteEntry_dsc                    = ''; // Do you really want do delete this entry?
$s_WantDeleteRelation_dsc                 = '&#20320;&#30495;&#30340;&#35201;&#21034;&#38500;&#36889;&#20491;&#38364;&#20418;&#20570;?'; // Do you really want do delete this relation?
$s_WantDeleteUser_dsc                     = ''; // Do you really want do delete this user?
$s_Words_ttl                              = '&#35422;'; // Words
$s_YES_btn                                = '&#26159;&#30340;!'; // YES!
$s_none                                   = ''; // none

