<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

# PLEASE NOTE: php-cmdb deploy html pages with charset ISO-8859-1
# so please setup your editor to this character set and pay attention
# for correct typing

//==============================================================================
// enum strings
//==============================================================================
$s_enum_auth_backend                      = '0:Local,1:LDAP';
$s_enum_classtypes                        = '1:CI-Type,2:Relation-Type';
$s_enum_colors                            = '0:Default,1:Black,2:Navy,3:Blue,4:Green,5:Teal,6:Lime,7:Aqua,8:Maroon,9:Purple,10:Olive,11:Gray,12:Silver,13:Red,14:Fuchsia,15:Yellow,16:White';
$s_enum_compare_operator                  = '0:--- any ---,1:&lt;,2:=,3:&gt;';
$s_enum_datatypes                         = '1:Integer,2:Float,3:Date,4:Time,5:Text,6:Varchar,7:URL,8:Catalog,9:CI-Type,10:IP-Address';
$s_enum_input                             = '0:with formular,1:with implicit function';
$s_enum_months                            = '1:January,2:February,3:March,4:April,5:May,6:June,7:July,8:August,9:September,10:October,11:November,12:December,13:January-December';
$s_enum_rel_visible                       = '1:normal,2:with attributes';
$s_enum_roles                             = '1:Viewer,2:Operator,3:Change Manager,4:Designer,5:User Admin,6:Admin';
$s_enum_weekdays                          = '0:Monday,1:Tuesday,2:Wednesday,3:Thursday,4:Friday,5:Saturday,6:Sunday';

//==============================================================================
// standard strings
//==============================================================================
$s_Account_dsc                            = 'Manage your account data';
$s_Account_ttl                            = 'Account';
$s_ActionCompleted_dsc                    = 'action completed';
$s_ActionNotPermitted_dsc                 = 'Action not permitted';
$s_Action_ttl                             = 'Action';
$s_Actions_ttl                            = 'Actions';
$s_Active_ttl                             = 'Active';
$s_AddComment_dsc                         = 'Add a new comment to this CI';
$s_AddComment_ttl                         = 'Add comment';
$s_AddElementBehind_dsc                   = 'add an element behind';
$s_AddElementToCSVProfile_dsc             = 'Add an element to this CSV-Profile';
$s_AddElement_ttl                         = 'Add element';
$s_AddFromRelation_dsc                    = 'add a new relation from this CI';
$s_AddFromRelation_ttl                    = 'Add from-relation';
$s_AddToRelation_dsc                      = 'add a new relation to this CI';
$s_AddToRelation_ttl                      = 'Add to-relation';
$s_Administration_dsc                     = 'Administrate users, groups and setups';
$s_Administration_ttl                     = 'Administration';
$s_AdvancedSearchAndBrowse_dsc            = 'Advanced Search and Browse';
$s_AdvancedSearch_dsc                     = 'advanced search';
$s_AdvancedSearch_ttl                     = 'Advanced Search';
$s_AllCITypes_dsc                         = 'goto CI-Types index page';
$s_AllCITypes_ttl                         = 'All CI-Types';
$s_AllCIofthisTypes_dsc                   = 'goto index page with all CIs of this CI-Type';
$s_AllCIofthisTypes_ttl                   = 'All CIs of this Type';
$s_AllCSVProfiles_dsc                     = 'goto CSV-Profiles index page';
$s_AllCSVProfiles_ttl                     = 'All CSV-Profiles';
$s_AllCatalogEntries_dsc                  = 'goto index page with all entries of this catalog';
$s_AllCatalogEntries_ttl                  = 'All Entries of this Catalog';
$s_AllCatalogs_dsc                        = 'goto catalogs index page';
$s_AllCatalogs_ttl                        = 'All Catalogs';
$s_AllEntries_ttl                         = 'All entries';
$s_AllRelationTypes_dsc                   = 'goto Relation-Type index page';
$s_AllRelationTypes_ttl                   = 'All Relation-Types';
$s_AllUsers_dsc                           = 'goto users index page';
$s_AllUsers_ttl                           = 'All users';
$s_Any_dsc                                = 'Any';
$s_Attribute_ttl                          = 'Attribute';
$s_Attributes_ttl                         = 'Attributes';
$s_AuthBackend_ttl                        = 'Auth.-Backend';
$s_AutoRefreshAfterSuccess_ttl            = 'Auto Refresh after Success';
$s_BackToCI_dsc                           = 'Back to CI view';
$s_BackToCI_ttl                           = 'Back to CI';
$s_BackgroundColor_ttl                    = 'Background Color';
$s_By_dsc                                 = 'by';
$s_CIAttributes_dsc                       = 'CI Attribute(s)';
$s_CIClearAll_dsc                         = 'Clear all CI of this type';
$s_CIClearAll_ttl                         = 'Clear CI';
$s_CIInsertSuccesfull_dsc                 = 'ci::insert succesfull';
$s_CIS_dsc                                = 'CI(s)';
$s_CIType1_ttl                            = 'CI-Type 1';
$s_CIType2_ttl                            = 'CI-Type 2';
$s_CITypeAttributes_dsc                   = 'CI-Type Attribute(s)';
$s_CITypeUsedBy_dsc                       = 'CI-Type used by';
$s_CIType_ttl                             = 'CI-Type';
$s_CITypes_ttl                            = 'CI-Types';
$s_CIUpdateSuccessful_dsc                 = 'ci::update succesfull';
$s_CI_ttl                                 = 'CI';
$s_CIsOfCIType_ttl                        = 'CIs of CI-Type';
$s_CIsWithEntry_ttl                       = 'CIs with Entry';
$s_CIs_ttl                                = 'CIs';
$s_CSVExport_dsc                          = 'Export all data from CMDB as CSV';
$s_CSVExport_ttl                          = 'CSV-Export';
$s_CSVFile_ttl                            = 'CSV-File';
$s_CSVProfile_ttl                         = 'CSV-Profile';
$s_CSVProfiles_dsc                        = 'Manage your CSV-Profile';
$s_CSVProfiles_ttl                        = 'CSV-Profiles';
$s_CSVProfileNotConfigured_dsc            = 'CSV-Profile not configured!';
$s_CacheDirectory_dsc                     = 'Cache directory';
$s_CatalogEntryUsed_dsc                   = 'catalog entry used by';
$s_CatalogUsedby_dsc                      = 'catalog used by';
$s_Catalog_ttl                            = 'Catalog';
$s_Catalogs_ttl                           = 'Catalogs';
$s_ChangePassword_dsc                     = 'change password of this user';
$s_ChangePassword_ttl                     = 'Change password';
$s_Change_btn                             = 'Change!';
$s_CheckCompleted_ttl                     = 'Check completed';
$s_CheckTable_ttl                         = 'Check table';
$s_ChooseIconForCIType_dsc                = 'choose an icon for this CI-Type';
$s_ChooseIconForCI_dsc                    = 'choose an icon for this CI';
$s_ChooseIconForCatalogEntry_dsc          = 'Choose an icon for this catalog entry';
$s_ChooseIcon_dsc                         = 'Click on icon to select!';
$s_ChooseIcon_ttl                         = 'Choose Icon';
$s_ChooseYourFilterSetup_dsc              = 'Choose your filter setup, please!';
$s_Clear                                  = 'Clear';
$s_ClearCache_dsc                         = 'Clear cache of all relation map image files';
$s_ClearCache_ttl                         = 'Clear Cache';
$s_ClearIconCacheCompleted_dsc            = 'clear icon cache completed';
$s_ClearMapCacheCompleted_dsc             = 'clear map cache completed';
$s_ClickOnIconToSelect_dsc                = 'Click on icon to select!';
$s_CloneCI_dsc                            = 'Clone this CI including relations';
$s_CloneCI_ttl                            = 'Clone CI';
$s_CloneOf_dsc                            = 'CLONE OF';
$s_CloneRelations_ttl                     = 'Clone relations';
$s_CommentIgnored_dsc                     = 'comment ignored';
$s_Comment_ttl                            = 'Comment';
$s_Comments_ttl                           = 'Comments';
$s_Continue                               = 'Continue';
$s_Continue_btn                           = 'Continue!';
$s_Count_dsc                              = 'Count';
$s_Counter_dsc                            = 'Show total item counter';
$s_Counter_ttl                            = 'Counter';
$s_CreateAttribute_dsc                    = 'create a new attribute';
$s_CreateAttribute_ttl                    = 'Create attribute';
$s_CreateCITypeAttribute_dsc              = 'create a new attribute for this CI-type';
$s_CreateCIType_dsc                       = 'create a new CI-Type';
$s_CreateCIType_ttl                       = 'Create CI-Type';
$s_CreateCI_dsc                           = 'create a new CI';
$s_CreateCI_ttl                           = 'Create CI';
$s_CreateCIofThisCIType_ttl               = 'Create CI of this CI-Type';
$s_CreateCSVProfile_dsc                   = 'Create a new CSV-Profile';
$s_CreateCSVProfile_ttl                   = 'Create CSV-Profile';
$s_CreateCatalogEntry_dsc                 = 'create a new entry for this catalog';
$s_CreateCatalogEntry_ttl                 = 'Create entry';
$s_CreateCatalog_dsc                      = 'create a new catalog';
$s_CreateCatalog_ttl                      = 'Create catalog';
$s_CreateRelationTypeAttribute_dsc        = 'create a new attribute for this relation-type';
$s_CreateRelationType_dsc                 = 'Create a new relation-type';
$s_CreateRelationType_ttl                 = 'Create Relation-Type';
$s_CreateRelation_dsc                     = 'Create a new relation';
$s_CreateRelation_ttl                     = 'Create relation';
$s_CreateUser_dsc                         = 'create a new user account';
$s_CreateUser_ttl                         = 'Create user';
$s_Create_btn                             = 'Create!';
$s_CurrentPassword_ttl                    = 'Current Password';
$s_DBCheck_dsc                            = 'Consistency check of data in DB';
$s_DBCheck_ttl                            = 'DB-Check';
$s_DBError_dsc                            = 'db error';
$s_DBUpdate_dsc                           = 'Update DB-Schema';
$s_DBUpdate_ttl                           = 'DB-Update';
$s_DB_ttl                                 = 'DB';
$s_Datatype_ttl                           = 'Datatype';
$s_DeleteAllCIs_dsc                       = 'delete all CIs of this CI-Type';
$s_DeleteAllCIs_ttl                       = 'Delete All CIs';
$s_DeleteAllEntries_ttl                   = 'Delete All Entries';
$s_DeleteAttribute_ttl                    = 'Delete attribute';
$s_DeleteCITypeAttribute_dsc              = 'delete this attribute of the CI-Type';
$s_DeleteCIType_dsc                       = 'delete this CI-Type';
$s_DeleteCIType_ttl                       = 'Delete CI-Type';
$s_DeleteCI_dsc                           = 'delete this CI';
$s_DeleteCI_ttl                           = 'Delete CI';
$s_DeleteCSVProfile_dsc                   = 'delete this CSV-Profile';
$s_DeleteCSVProfile_ttl                   = 'Delete CSV-Profile';
$s_DeleteCatalogEntry_dsc                 = 'delete this catalog entry';
$s_DeleteCatalogEntry_ttl                 = 'Delete entry';
$s_DeleteCatalog_dsc                      = 'delete this catalog';
$s_DeleteCatalog_ttl                      = 'Delete catalog';
$s_DeleteComment_dsc                      = 'delete this comment';
$s_DeleteComment_ttl                      = 'Delete comment';
$s_DeleteElement_dsc                      = 'delete this element';
$s_DeleteEntry_dsc                        = 'delete this entry';
$s_DeleteRelationTypeAttribute_dsc        = 'delete this attribute of the relation-type';
$s_DeleteRelationType_dsc                 = 'delete this relation-type';
$s_DeleteRelationType_ttl                 = 'Delete Relation-Type';
$s_DeleteRelation_dsc                     = 'delete this relation';
$s_DeleteRelation_ttl                     = 'Delete relation';
$s_DeleteSuccessful_dsc                   = 'delete successful';
$s_DeleteUser_dsc                         = 'delete this user';
$s_DeleteUser_ttl                         = 'Delete user';
$s_DeleteYourAccount_dsc                  = 'Its not allowed, to delete your own account!';
$s_Delete_ttl                             = 'Delete';
$s_Description_ttl                        = 'Description';
$s_Design_dsc                             = 'Design CI-Types, Relations and more';
$s_Design_ttl                             = 'Design';
$s_DisplayAndManageCIType_dsc             = 'display and manage this CI-Type';
$s_DisplayAndManageCatalogEntries_dsc     = 'display and manage entries of this catalog';
$s_DisplayCI_ttl                          = 'Display CI';
$s_Display_dsc                            = 'Display';
$s_EMail_ttl                              = 'E-Mail';
$s_EditAttribute_ttl                      = 'Edit attribute';
$s_EditAttributes_ttl                     = 'Edit attributes';
$s_EditCIAttributes_dsc                   = 'edit attributes of this CI';
$s_EditCITypeAttribute_dsc                = 'edit this attribute of the CI-Type';
$s_EditCITypeSpecification_dsc            = 'edit specification of this CI-Type';
$s_EditCIType_dsc                         = 'edit this CI-Type';
$s_EditCIType_ttl                         = 'Edit CI-Type';
$s_EditCI_dsc                             = 'edit this CI';
$s_EditCSVProfile_dsc                     = 'edit this CSV-Profile';
$s_EditCSVProfile_ttl                     = 'Edit CSV-Profile';
$s_EditCatalogEntry_dsc                   = 'edit this catalog entry';
$s_EditCatalogEntry_ttl                   = 'Edit entry';
$s_EditCatalog_dsc                        = 'edit this catalog';
$s_EditCatalog_ttl                        = 'Edit catalog';
$s_EditComment_dsc                        = 'edit this comment';
$s_EditComment_ttl                        = 'Edit comment';
$s_EditRelationTypeAttribute_dsc          = 'edit this attribute of the relation-type';
$s_EditRelationType_dsc                   = 'edit this relation-type';
$s_EditRelationType_ttl                   = 'Edit relation-type';
$s_EditRelation_dsc                       = 'edit this relation';
$s_EditRelation_ttl                       = 'Edit relation';
$s_EditUser_dsc                           = 'edit this user';
$s_EditUser_ttl                           = 'Edit user';
$s_Edit_ttl                               = 'Edit';
$s_Elements_ttl                           = 'Elements';
$s_EndOfImport_ttl                        = 'End of Import';
$s_EnterNewOne_dsc                        = 'enter new one';
$s_EntriesImportedFromCSV_dsc             = 'entries imported from csv-file';
$s_EntriesOfCatalogTypeWithoutCatalog_dsc = 'entries from datatype catalog without a valid catalog.';
$s_EntriesWithoutCI1ID_dsc                = 'entries without a valid CI 1 ID';
$s_EntriesWithoutCI2ID_dsc                = 'entries without a valid CI 2 ID';
$s_EntriesWithoutCIType1ID_dsc            = 'entries without a valid CI-Type 1 ID';
$s_EntriesWithoutCIType2ID_dsc            = 'entries without a valid CI-Type 2 ID';
$s_EntriesWithoutCIType_dsc               = 'entries without a valid CI-Type';
$s_EntriesWithoutCI_dsc                   = 'entries without a valid CI';
$s_EntriesWithoutCatalog_dsc              = 'entries without a valid catalog';
$s_EntriesWithoutRelationType_dsc         = 'entries without a valid Relation-Type';
$s_EntriesWithoutRelation_dsc             = 'entries without a valid relation';
$s_EntriesWithoutTypeAttribute_dsc        = 'entries without a valid type attribute';
$s_Entries_ttl                            = 'Entries';
$s_Entry_dsc                              = 'Entry';
$s_Entry_ttl                              = 'Entry';
$s_ErrorFromCIInsert_dsc                  = 'error from ci::insert';
$s_ErrorFromCIUpdate_dsc                  = 'error from ci::update';
$s_ErrorWhileUploadingFile_dsc            = 'Error while uploading file!';
$s_ErrorWhileUploading_dsc                = 'Error while uploading file!';
$s_Errors_dsc                             = 'errors';
$s_Errors_ttl                             = 'Errors';
$s_ExportAsPDF_dsc                        = 'Export current extended map as PDF';
$s_ExportAsPDF_ttl                        = 'Export as PDF';
$s_ExportCIs_dsc                          = 'Export all CIs of this CI-Type to CSV';
$s_ExportCIs_ttl                          = 'Export CIs';
$s_ExportEntries_dsc                      = 'Export catalog entries to CSV-file';
$s_ExportEntries_ttl                      = 'Export Entries';
$s_ExportRelationTypes_ttl                = 'Export Relations-Types';
$s_Export_btn                             = 'Export!';
$s_Extended_dsc                           = 'Extended Map';
$s_Extended_ttl                           = 'Extended';
$s_ExtentedRelationMap_ttl                = 'Extended Relations-Map';
$s_FieldSeparator_ttl                     = 'Field Separator';
$s_FilesDeleted_dsc                       = 'files deleted';
$s_FilterPeerCIsWith_note                 = 'Note: Enter a filter expression to reduce the list of possible peer CIs!';
$s_FilterPeerCIsWith_ttl                  = 'Filter Peer CIs with';
$s_FirstName_ttl                          = 'First Name';
$s_FollowSingleResults_ttl                = 'Follow Single Results';
$s_ForegroundColor_ttl                    = 'Foregroud Color';
$s_Format_ttl                             = 'Format';
$s_Found_dsc                              = 'found';
$s_FromCatalog_dsc                        = 'from Catalog';
$s_FunctionNotActivated_dsc               = 'Function not activated!';
$s_GotoCatalogLP_dsc                      = 'Goto Catalog List Page';
$s_GotoViewThisCI_ttl                     = 'Goto view this CI';
$s_IDofTANotEqual_dsc                     = 'ID of Type-Attr not equal';
$s_IllegalCall_dsc                        = 'Illegal call!';
$s_IllegalImportRequest_dsc               = 'illegal import request';
$s_ImportCIs_dsc                          = 'Import CIs of this CI-Type from CSV';
$s_ImportCIs_ttl                          = 'Import CIs';
$s_ImportEntries_dsc                      = 'Import catalog entries from CSV-file';
$s_ImportEntries_ttl                      = 'Import Entries';
$s_ImportNew_dsc                          = 'import new';
$s_Import_btn                             = 'Import!';
$s_InputValue_ttl                         = 'Input Value';
$s_InsertSuccessful_dsc                   = 'insert successful';
$s_Inserts_ttl                            = 'Inserts';
$s_InvalidCountElements_dsc               = 'invalid count of elements';
$s_InvalidIDofCT_dsc                      = 'invalid ID of Classtype';
$s_InvalidIDofTA_dsc                      = 'invalid ID of Type-Attr';
$s_IsNotAnArray_dsc                       = 'is not an array!';
$s_Item_ttl                               = 'Item';
$s_Label_ttl                              = 'Label';
$s_Language_ttl                           = 'Language';
$s_LastChangeAt_dsc                       = 'last changed at';
$s_LastChange_ttl                         = 'Last Change';
$s_LastChangedCIs_ttl                     = 'Last changed CIs';
$s_LastChangedComments_ttl                = 'Last changed comments';
$s_LastChanged_dsc                        = 'last changed';
$s_LastChanges_dsc                        = 'List last changes in CMDB';
$s_LastChanges_ttl                        = 'Last Changes';
$s_LastName_ttl                           = 'Last Name';
$s_Line_dsc                               = 'Line';
$s_LinesProcessed_ttl                     = 'Lines processed';
$s_List_dsc                               = 'List all CIs of this CI-Type';
$s_List_ttl                               = 'List';
$s_LoginErrBackEnd_inf                    = 'Login error : Authentification Backend not supported!';
$s_LoginErrEmtyPass_inf                   = 'Login error : Password empty';
$s_LoginErrPassword_inf                   = 'Login error : Incorrect Password';
$s_LoginErrUserActive_inf                 = 'Login error : User not active : Please contact Cmdb Manager';
$s_LoginErrUserGroup_inf                  = 'Login error : User not in right group';
$s_LoginErrUser_inf                       = 'Login error : Unknown user';
$s_LoginErr_inf                           = 'Login not successfull';
$s_Login_ttl                              = 'Login';
$s_LogoutCompleted_dsc                    = 'Logout completed!';
$s_Logout_dsc                             = 'Logout from PHP-CMDB';
$s_Logout_ttl                             = 'Logout';
$s_ManageCITypes_dsc                      = 'Modeling your CI-Types';
$s_ManageCatalogs_dsc                     = 'Manage your catalogs';
$s_MapOfRelations_dsc                     = 'map of relations';
$s_ModifyYourAccount_dsc                  = 'Its not allowed, to modify your own account!';
$s_MoveDown_dsc                           = 'move this line down';
$s_MoveUp_dsc                             = 'move this line up';
$s_MyAccount_dsc                          = 'Manage personal Settings and Account Data';
$s_MyAccount_ttl                          = 'My Account';
$s_MySettings_ttl                         = 'My Settings';
$s_NO_btn                                 = 'No!';
$s_Name_ttl                               = 'Name';
$s_NewPassword_ttl                        = 'New Password';
$s_NoEntries_inf                          = 'no entries';
$s_NoFileForUpload_dsc                    = 'No file for upload selected!';
$s_NoIcon_dsc                             = 'no icon';
$s_NoMessageAvailable_dsc                 = 'no message available';
$s_NotValid_dsc                           = 'not valid';
$s_Notify_ttl                             = 'Notify';
$s_NumberOfRelation_ttl                   = 'Number of relations';
$s_ObligValueMustNotBeEmpty_dsc           = 'is oblig: value must not be empty';
$s_Obligate_ttl                           = 'Obligate';
$s_Options_ttl                            = 'Options';
$s_Order_ttl                              = 'Order';
$s_Password_ttl                           = 'Password';
$s_PeerCI_note                            = 'Note: Press Ctrl-Key to select more than one item from list!';
$s_PeerCI_ttl                             = 'Peer CI';
$s_PhpCmdbSetup_dsc                       = 'PHP-CMDB Setup';
$s_PleaseCreateCSVProfile_dsc             = 'Please create a CSV-Profile first over &quot;Design / CSV-Profiles&quot;.';
$s_Position_ttl                           = 'Position';
$s_Refresh_dsc                            = 'Refresh relations map';
$s_Refresh_ttl                            = 'Refresh';
$s_RelationCounter_ttl                    = 'Relation Counter';
$s_RelationCreated_dsc                    = 'relations created';
$s_RelationMap_ttl                        = 'Relations-Map';
$s_RelationText1gt2_ttl                   = 'Text CI 1 -&gt; CI 2';
$s_RelationText1lt2_ttl                   = 'Text CI 1 &lt;- CI 2';
$s_RelationType_dsc                       = 'Browse with Relations-Types';
$s_RelationType_ttl                       = 'Relation-Type';
$s_RelationTypes_dsc                      = 'Modeling your Relation-Types';
$s_RelationTypes_ttl                      = 'Relation-Types';
$s_Relation_ttl                           = 'Relation';
$s_Relations_ttl                          = 'Relations';
$s_RepeatPassword_ttl                     = 'Repeat Password';
$s_Reports_dsc                            = 'Reports, last Changes, Counter and more';
$s_Reports_ttl                            = 'Reports';
$s_RequestingNotAllowedForTrigger_dsc     = 'the requesting ip is not allowed for trigger!';
$s_Required_dsc                           = 'required';
$s_Role_ttl                               = 'Role';
$s_RowsPerPage_ttl                        = 'Rows per Page';
$s_Save_btn                               = 'Save!';
$s_SearchBrowse_dsc                       = 'Browse CMDB';
$s_SearchBrowse_ttl                       = 'Search and Browse';
$s_Search_btn                             = 'Search';
$s_Seconds_ttl                            = 'Seconds';
$s_SelectCIType_ttl                       = 'select CI-Type';
$s_SelectPlease                           = 'Select please';
$s_ServiceOffline_dsc                     = 'service is offline!';
$s_Settings_dsc                           = 'Manage your personal settings';
$s_Settings_ttl                           = 'Settings';
$s_SetupCVSExport                         = 'Setup CSV-Export';
$s_SetupCheck_dsc                         = 'Check setup and environment';
$s_SetupCheck_ttl                         = 'Setup-Check';
$s_SetupCompleted_dsc                     = 'Setup completed! Follow the link to enter PHP-CMDB.';
$s_ShowAllComments_dsc                    = 'Show list with all comments for this CI';
$s_ShowAllComments_ttl                    = 'Show all comments';
$s_ShowRelationType_dsc                   = 'Show relation type';
$s_SorryNoCIWithThisType_dsc              = 'Sorry, there is no CI with this type and name!';
$s_Specification_dsc                      = 'Specification';
$s_Specification_ttl                      = 'Specification';
$s_Status_ERROR                           = 'ERROR';
$s_Status_OK                              = 'OK';
$s_Status_WARNING                         = 'WARNING';
$s_Strict_ttl                             = 'Strict';
$s_StringDelimiter_ttl                    = 'String-Delimiter';
$s_SwapDirectionOfRelationType_dsc        = 'Swap direction of this relation-type';
$s_SwapDirection_dsc                      = 'Swap direction';
$s_Swap_ttl                               = 'Swap';
$s_SwitchSuccessful_dsc                   = 'Switch successful';
$s_TableColumnUpToDate_dsc                = 'table column is up-to-date';
$s_TableColumnUpdated_dsc                 = 'table column updated';
$s_TableCreated_dsc                       = 'table created';
$s_TableDropped_dsc                       = 'table dropped';
$s_TableExists_dsc                        = 'table exists';
$s_TableFilled_dsc                        = 'table filled';
$s_TableUpToDate_dsc                      = 'table is up-to-date';
$s_Tag_ttl                                = 'Tag';
$s_Title_ttl                              = 'Title';
$s_Total_ttl                              = 'Total';
$s_TriggerNotEnabled_dsc                  = 'trigger not enabled!';
$s_Type_ttl                               = 'Type';
$s_UnexpectedNumberOfRows_dsc             = 'unexpected number of rows';
$s_Unique_ttl                             = 'Unique';
$s_Unknown_ttl                            = 'UNKNOWN';
$s_UpdateCompleted_dsc                    = 'update completed';
$s_UpdateSuccessful_dsc                   = 'update successful';
$s_Update_btn                             = 'Update!';
$s_Updates_ttl                            = 'Updates';
$s_UseIconFromCIType_dsc                  = 'use icon from CI-Type';
$s_User_dsc                               = 'Maintain users';
$s_User_ttl                               = 'User';
$s_ValidationError_dsc                    = 'validation error';
$s_ValueMustBeUnique_dsc                  = 'value must be unique for all instances of this classtype';
$s_Version_ttl                            = 'Release';
$s_ViewAllCIsReferingthisCat_dsc          = 'View all CIs refering this catalog entry';
$s_ViewCIType_dsc                         = 'View this CI-Type';
$s_ViewCI_dsc                             = 'View this CI';
$s_ViewCSVProfile_dsc                     = 'View this CSV-Profile';
$s_ViewRelationType_dsc                   = 'View this relation-type';
$s_View_ttl                               = 'View';
$s_Vis_dsc                                = 'Vis.';
$s_Visibility_ttl                         = 'Visibility';
$s_WandDeleteCSVProfile_dsc               = 'Do you really want do delete this CSV-Profile?';
$s_WandDeleteRelationType_dsc             = 'Do you really want do delete this Relation-Type?';
$s_WantClearCIType_dsc                    = 'Do you really want do empty this CI-Type?';
$s_WantClearCache_dsc                     = 'Do you really want do clear the cache with all relation map image files?';
$s_WantDeleteAllCIsOfCIType               = 'Do you really want do delete all CIs of this CI-Type?';
$s_WantDeleteAttribute_dsc                = 'Do you really want do delete this attribute?';
$s_WantDeleteCIType_dsc                   = 'Do you really want do delete this CI-Type?';
$s_WantDeleteCI_dsc                       = 'Do you really want do delete this CI including relations and comments?';
$s_WantDeleteCatalog_dsc                  = 'Do you really want do delete this catalog?';
$s_WantDeleteComment_dsc                  = 'Do you really want do delete this comment?';
$s_WantDeleteEntry_dsc                    = 'Do you really want do delete this entry?';
$s_WantDeleteRelation_dsc                 = 'Do you really want do delete this relation?';
$s_WantDeleteUser_dsc                     = 'Do you really want do delete this user?';
$s_Words_ttl                              = 'Words';
$s_YES_btn                                = 'YES!';
$s_none                                   = 'none';

