<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'includes/module_base.inc.php';
require_once 'includes/module_label_list.inc.php';

// labels

define ('CORE_UPDATE_TIME',					201 );
define ('CORE_UPDATE_DATE',					202 );

/**
 * management class for optional modul "core"
 */
class module_core extends module_base
{
	
	/**
	 * supported labels of this module
	 */
	public function get_enum_label_string ()
	{
		return CORE_UPDATE_TIME . ":time of update," .
			CORE_UPDATE_DATE . ":date of update";
	}
	
	public function get_display_class ( $ci )
	{
		$class_array = array();
		return $class_array;
	}

	public function get_input_value ( $label, &$item_processor )
	{
		$pre_value = "";
		
		switch ($label)
		{
			case CORE_UPDATE_TIME:
			{
				$pre_value = date( 'H:i:s' );
				break;
			}
			case CORE_UPDATE_DATE:
			{
				$pre_value = date( 'Y-m-d' );
				break;
			}
		}

		return $pre_value;
	}

}

// register
$module = new module_core();
module_list::register( $module );
 