<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'includes/module_base.inc.php';
require_once 'includes/module_label_list.inc.php';
require_once 'modules/datacenter/datacenter_map.inc.php';

// labels

define ('DC_ROOM_SIZE_X',					1 );
define ('DC_ROOM_SIZE_Y',					2 );
define ('DC_RACK_POS_X',					3 );
define ('DC_RACK_POS_Y',					4 );
define ('DC_RACK_SIZE_X',					5 );
define ('DC_RACK_SIZE_Y',					6 );
define ('DC_RACK_SIZE_Z',					7 );
define ('DC_DEVICE_POS_Z',					8 );
define ('DC_DEVICE_SIZE_X',					9 );
define ('DC_DEVICE_SIZE_Y',					10 );
define ('DC_DEVICE_SIZE_Z',					11 );
define ('DC_RACK_BASE_Z',					12 );


/**
 * verwaltungsklasse fuer optionales module "datacenter"
 */
class module_datacenter extends module_base
{
	
	/**
	 * welche Labels unterstuetzen wir
	 */
	public function get_enum_label_string ()
	{
		return DC_ROOM_SIZE_X . ":DataCenter-Size-X," .
			DC_ROOM_SIZE_Y . ":DataCenter-Size-Y," .
			DC_RACK_POS_X . ":Rack-Pos-X," .
			DC_RACK_POS_Y . ":Rack-Pos-Y," .
			DC_RACK_SIZE_X . ":Rack-Size-X," .
			DC_RACK_SIZE_Y . ":Rack-Size-Y," .
			DC_RACK_SIZE_Z . ":Rack-Size-Z," .
			DC_DEVICE_POS_Z . ":Device-Pos-Z," .
			DC_DEVICE_SIZE_X . ":Device-Size-X," .
			DC_DEVICE_SIZE_Y . ":Device-Size-Y," .
			DC_DEVICE_SIZE_Z . ":Device-Size-Z," .
			DC_RACK_BASE_Z . ":Rack-Base-Z";
	}
	
	public function get_display_class ( $ci )
	{
		$class_array = array();

		// datacenter ansicht
		$dcr_label_list = new module_label_list( array(DC_ROOM_SIZE_X,DC_ROOM_SIZE_Y) );	 
		$label_tracker	= new label_list_tracker( $ci->get_id(), 0, $dcr_label_list );
		$label_tracker->run();
		if ($dcr_label_list->completed())
		{
			$class_array['dc_room_map']="DataCenter View";
		}

		// rack ansicht
		$dcr_label_list = new module_label_list( array(DC_RACK_SIZE_X,DC_RACK_SIZE_Y,DC_RACK_SIZE_Z) );
		$label_tracker	= new label_list_tracker( $ci->get_id(), 1, $dcr_label_list );
		$label_tracker->run();
		if ($dcr_label_list->completed())
		{
			$class_array['dc_rack_map']="Rack View";
		}

		return $class_array;
	}

	public function get_input_value ( $label, &$item_processor )
	{
		return "";
	}

}

// registrieren
$module = new module_datacenter();
module_list::register( $module );
