<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'includes/page_init.inc.php';

require_once 'core/core_html_icon.inc.php';
require_once 'includes/report.inc.php';

// werte ermitteln fuer die statistik
$db = core_db::getInstance();

$query  = "SELECT COUNT(*) FROM ci";
$result = $db->query( $query );
$ci_count = $db->result( $result, 0 );

$query  = "SELECT COUNT(*) FROM relation";
$result = $db->query( $query );
$r_count = $db->result( $result, 0 );

$query  = "SELECT COUNT(*) FROM ci_type";
$result = $db->query( $query );
$cit_count = $db->result( $result, 0 );

$query  = "SELECT COUNT(*) FROM relation_type";
$result = $db->query( $query );
$rt_count = $db->result( $result, 0 );

$query  = "SELECT COUNT(*) FROM comment";
$result = $db->query( $query );
$c_count = $db->result( $result, 0 );

$query  = "SELECT COUNT(*) FROM cat";
$result = $db->query( $query );
$cat_count = $db->result( $result, 0 );

$query  = "SELECT COUNT(*) FROM user WHERE u_active=1";
$result = $db->query( $query );
$u_count = $db->result( $result, 0 );

// page
html_page_header_report();

// statistics
printf( "<div id='content'>\n" );
html_table_header( 20, 150, 30, 20, 150, 30, 20, 150, 30, 20, 150, 30 );
html_table_section( get_string('Counter_ttl'), get_empty_menu() );

printf( "<tr class='r_value'>" .
	"<td></td><td class='r_attr c_amount'>".get_string('CITypes_ttl').":</td><td class='c_text'>%d</td>" .
	"<td></td><td class='r_attr c_amount'>".get_string('RelationTypes_ttl').":</td><td class='c_text'>%d</td>" .
	"<td></td><td class='r_attr c_amount'>".get_string('Catalogs_ttl').":</td><td class='c_text'>%d</td>" .
	"<td></td><td class='r_attr c_amount'>".get_string('User_ttl').":</td><td class='c_text'>%d</td>" .
	"</tr>\n",
	$cit_count, $rt_count, $cat_count, $u_count );
	
printf( "<tr class='r_value'>" .
	"<td></td><td class='r_attr c_amount'>".get_string('CIs_ttl').":</td><td class='c_text'>%d</td>" .
	"<td></td><td class='r_attr c_amount'>".get_string('Relations_ttl').":</td><td class='c_text'>%d</td>" .
	"<td></td><td class='r_attr c_amount'>".get_string('Comments_ttl').":</td><td class='c_text'>%d</td>" .
	"<td></td><td class='r_attr c_amount'></td><td class='c_text'></td>" .
	"</tr>\n",
	$ci_count, $r_count, $c_count );

html_table_footer();
printf( "</div>\n" );

html_page_footer();

require_once 'includes/page_done.inc.php';
