<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'includes/page_init.inc.php';

//
$db = core_db::getInstance();

// head
header( "Content-type: text/plain" );
printf( "# PHP-CMDB Version %s\n", get_property("app_version") );
printf( "# Date/Time: %s\n", date("r") );
printf( "#\n" );

// ci-type
$query = "SELECT * FROM ci_type ORDER BY cit_title";
$cit_list_result = $db->query( $query );
$cit_list_count  = $db->num_rows( $cit_list_result );
for ($i=0; $i<$cit_list_count; $i++ )
{
	$cit = $db->fetch_object( $cit_list_result );
	printf( "# TYPE: CI-TYPE\n" );
	printf( "# FIELDS: ID, title, icon, description\n" );
	printf( "%d, '%s', '%s', '%s'\n",
		$cit->cit_id, $cit->cit_title, $cit->cit_icon, str_replace( "\r\n", " ", $cit->cit_desc) );

	// cit attr
	printf( "# TYPE: CI\n" );
	printf( "# FIELDS: ID, CIT-ID, title, icon" );
	$query = "SELECT * FROM type_attr " .
		"WHERE ta_classtype=" . CLASS_CI . " " .
		"AND ta_classtype_id=$cit->cit_id " .
		"ORDER BY ta_id";
	$cit_attr_result = $db->query( $query );
	$cit_attr_count  = $db->num_rows( $cit_attr_result );
	for ($k=0; $k<$cit_attr_count; $k++)
	{
		$cit_attr = $db->fetch_object( $cit_attr_result );
		printf( ", %s", $cit_attr->ta_title );
	}
	printf( "\n" );

	// ci
	$query = "SELECT * FROM ci WHERE ci_cit_id=$cit->cit_id";
	$ci_list_result = $db->query( $query );
	$ci_list_count  = $db->num_rows( $ci_list_result );
	for ($j=0; $j<$ci_list_count; $j++ )
	{
		$ci = $db->fetch_object( $ci_list_result );
		printf( "%d, %d, '%s', '%s'",
			$ci->ci_id, $ci->ci_cit_id, $ci->ci_title, $ci->ci_icon );
		
		// ci attr
		$query = "SELECT * FROM attr " .
			"WHERE a_classtype=" . CLASS_CI . " " .
			"AND a_classtype_id=$ci->ci_id " .
			"ORDER BY a_ta_id";
		$ci_attr_result = $db->query( $query );
		$ci_attr_count  = $db->num_rows( $ci_attr_result );
		for ($k=0; $k<$ci_attr_count; $k++)
		{
			$ci_attr = $db->fetch_object( $ci_attr_result );
			printf( ", '%s'", str_replace("\r\n", " ", $ci_attr->a_val_text) ); 
		}
		printf( "\n" );
		
	}
}

require_once 'includes/page_done.inc.php';
