<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'includes/page_init.inc.php';

require_once 'core/core_html_icon.inc.php';
require_once 'includes/report.inc.php';
require_once 'includes/ci_last_change_list.inc.php';
require_once 'includes/comment_last_change_list.inc.php';

$ci_lc_list = ci_last_change_list::getInstance();
$ci_lc_count = $ci_lc_list->count();

$c_lc_list = comment_last_change_list::getInstance();
$c_lc_count = $c_lc_list->count();


// page
html_page_header_report();

// letzte aenderungen an CIs
printf( "<div id='ci_changes'>\n" );
html_table_header( 600, 150, 50 );
html_table_section( get_string('LastChangedCIs_ttl')." ($ci_lc_count)", get_empty_menu() );
?>
<tr class='r_head'>
<?php
printf( "	<td class='c_text r_head'>".get_string('CI_ttl')." / ".get_string('CIType_ttl')."</td>\n" );
printf( "	<td class='c_date r_head'>".get_string('LastChange_ttl')."</td>\n" );
printf( "	<td class='c_action r_head'>".get_string('Action_ttl')."</td>\n" );
?>
</tr>
<?php
if ($ci_lc_count == 0)
{
	html_empty_row( 0, 0 );
}
else
{
	html_table_row_reset( array("r_normal","r_normal2") );
	$icon_size  = get_property("list_icon_size");
	for ($i=0; $i<$ci_lc_count; $i++)
	{
		$ci = $ci_lc_list->at( $i );
		html_table_row();
		printf( "<td class='c_text'>%s</td>" .
			"<td class='c_date'>%s</td>" .
			"<td class='c_action'>%s %s</td>" .
			"</tr>\n",
			get_html_url(
				sprintf("%s?ci_id=%d", CI_VIEW_PHP, $ci->get_id() ),
				icon_list::getInstance()->get_html_imx( $ci->get_icon(), $icon_size, $icon_size, TRUE ) . " " . $ci->get_full_title(),
				FALSE,
				get_string('DisplayCI_ttl')
				),
			$ci->get_last_change(),
			icon_display_url(CI_EDIT_PHP . "?ci_id=" . $ci->get_id(), ICON_EDIT, get_string('EditCI_dsc') ),
			icon_display_url(CI_DELETE_PHP . "?ci_id=" . $ci->get_id(), ICON_DELETE, get_string('DeleteCI_dsc') )
			);
	}
}
html_table_footer();
printf( "</div>\n" );

// letzte aenderungen an commentaren
printf( "<div id='comment_changes'>\n" );
html_table_header( 300, 300, 150, 50 );
html_table_section( get_string('LastChangedComments_ttl')." ($c_lc_count)", get_empty_menu() );

printf( "<tr class='r_head'>\n" );
printf( "	<td class='c_text r_head'>".get_string('CI_ttl')." / ".get_string('CIType_ttl')."</td>\n" );
printf( "	<td class='c_text r_head'>".get_string('Comment_ttl')."</td>\n" );
printf( "	<td class='c_date r_head'>".get_string('LastChange_ttl')."</td>\n" );
printf( "	<td class='c_action r_head'>".get_string('Action_ttl')."</td>\n" );
printf( "</tr>\n" );

if ($c_lc_count == 0)
{
	html_empty_row( 0, 0 );
}
else
{
	html_table_row_reset( array("r_normal","r_normal2") );
	$icon_size  = get_property("list_icon_size");
	for ($i=0; $i<$c_lc_count; $i++)
	{
		$comment = $c_lc_list->at( $i );
		$ci = new db_typed_ci( $comment->get_ci_id() );
		html_table_row();
		printf( "<td class='c_text'>%s</td>" .
			"<td class='c_text'>%s</td>" .
			"<td class='c_date'>%s</td>" .
			"<td class='c_action'>%s %s</td>" .
			"</tr>\n",
			get_html_url(
				sprintf("%s?ci_id=%d", CI_VIEW_PHP, $ci->get_id() ),
				icon_list::getInstance()->get_html_imx( $ci->get_icon(), $icon_size, $icon_size, TRUE ) . " " . $ci->get_full_title(),
				FALSE,
				get_string('DisplayCI_ttl')
				),
			$comment->get_text(),
			$comment->get_last_change(),
			icon_display_url(C_EDIT_PHP . "?c_id=" . $comment->get_id(), ICON_EDIT, get_string('EditComment_dsc') ),
			icon_display_url(C_DELETE_PHP . "?c_id=" . $comment->get_id(), ICON_DELETE, get_string('DeleteComment_dsc') )
			);
	}
}
html_table_footer();
printf( "</div>\n" );

html_page_footer();

require_once 'includes/page_done.inc.php';
