<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

/**
* @author		Dr. Michael Scheibe
* @package		cmdb
* @subpackage	tables
* @version		$Id: db_classtype_fabric.inc.php 339 2009-04-10 12:39:09Z micha $
*/

require_once 'core/core_db.inc.php';
require_once 'core/core_session.inc.php';
require_once 'core/core_object.inc.php';

require_once 'tables/db_ci_type.inc.php';
require_once 'tables/db_relation_type.inc.php';

function get_db_classtype_instance ( $classtype, $classtype_id )
{
	$instance = null;

	switch ($classtype)
	{
		case CLASS_CI:
		{
			$instance = new db_ci_type( $classtype_id );
			break;
		}
		case CLASS_REL:
		{
			$instance = new db_relation_type( $classtype_id );
			break;
		}
	}
	return $instance;
}
