<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

/**
* @author		Dr. Michael Scheibe
* @package		cmdb
* @subpackage	tables
* @version		$Id: db_typed_ci.inc.php 339 2009-04-10 12:39:09Z micha $
*/

require_once 'core/core_db.inc.php';
require_once 'core/core_session.inc.php';
require_once 'tables/db_ci.inc.php';

/**
 * zugriffs-klasse fuer DB-Tabellen 'ci' und 'ci_type'
 * 
 * ci_id			int			primary key
 * ci_cit_id		int			fremdschluesser auf den CI-Type
 * ci_title			string		synopse des CI
 * ci_icon			string		Name der icon-datei
 * ci_last_uid		int			letzte aenderung durch user id
 * ci_last_changed	timestamp	letzte aenderung
 * 
 * cit_id			int			primary key
 * cit_title		string		Name/Bezeichner des CI-Types
 * cit_icon			string		Name der icon-datei
 * cit_desc			text		Beschreibung des CI-Types
 * cit_last_uid		int			letzte aenderung durch user id
 * cit_last_changed	timestamp	letzte aenderung
 * 
 * WICHTIG: diese klasse dient nur zum LESEN
 * 
 */
 
class db_typed_ci extends db_ci
{
	protected $cit_id			= 0;
	protected $cit_title		= "";
	protected $cit_icon			= "";
	protected $cit_desc			= "";
	protected $cit_last_uid		= 0;
	protected $cit_last_changed	= "";

	// get methoden

	public function get_cit_title ()
	{
		return $this->cit_title;
	}
	
	public function get_cit_icon ()
	{
		return $this->cit_icon;
	}
	
	public function get_cit_desc ()
	{
		return $this->cit_desc;
	}
	
	public function get_cit_last_uid ()
	{
		return $this->cit_last_uid;
	}

	public function get_cit_last_changed ()
	{
		return $this->cit_last_changed;
	}

	// advanced get
	
	public function get_icon ()
	{
		$_icon = parent::get_icon();
		if (strlen($_icon)==0) $_icon = $this->get_cit_icon();
		return $_icon;
	}

	public function get_full_title ()
	{
		$_title = $this->get_title() . " / " . $this->get_cit_title();
		return $_title;
	}

	// validation
	
	public function is_valid ()
	{
		return FALSE;
	}

	// db actions low level

	/**
	 * inhalt des objektes aus der datenbank holen
	 */
	protected function db_load_impl ()
	{
		parent::db_load_impl();

		// cit laden
		$db		= core_db::getInstance();
		$query	= "SELECT * FROM ci_type WHERE cit_id='$this->ci_cit_id'";
		$result = $db->query( $query );
		if ($db->num_rows($result)!=1) return;

		$data= $db->fetch( $result );
		foreach ($data as $key => $value)
		{
			$this->$key = $value;
		}

		return;		
	}

	/**
	 * objekt in die DB einfuegen
	 */
	protected function db_insert_impl ()
	{
		return FALSE;
	}
	
	/**
	 * objekt in der DB aktualisieren
	 */
	protected function db_update_impl ()
	{
		return FALSE;
	}
	
	/**
	 * objekt in der DB loeschen
	 */
	protected function db_delete_impl ()
	{
		return FALSE;
	}

}
