<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

/**
* @author		Dr. Michael Scheibe
* @package		cmdb
* @subpackage	tables
* @version		$Id: db_typed_relation.inc.php 339 2009-04-10 12:39:09Z micha $
*/

require_once 'core/core_db.inc.php';
require_once 'core/core_session.inc.php';
require_once 'core/core_object.inc.php';
require_once 'tables/db_relation.inc.php';

/**
 * zugriffs-klasse fuer DB-Tabellen 'relation' und 'relation_type'
 * 
 * r_id			int			primary key
 * r_rt_id		int			foreign key to relation type
 * r_ci1_id		int			foreign key to CI 1
 * r_ci2_id		int			foreign key to CI 2
 * r_desc		text		description
 * 
 * rt_id		int			primary key
 * rt_cit1_id	int			foreign key to CI-Type 1
 * rt_cit2_id	int			foreign key to CI-Type 2
 * rt_to1_text	text		auf 1. CI gerichteter Text
 * rt_to2_text	text		auf 2. CI gerichteter Text
 * rt_desc		text		Beschreibung des Relation-Types
 */
 
class db_typed_relation extends db_relation
{
	protected $rt_id			= 0;
	protected $rt_cit1_id		= 0;
	protected $rt_cit2_id		= 0;
	protected $rt_to1_text		= "";
	protected $rt_to2_text		= "";
	protected $rt_desc			= "";
	
	// get methoden
	
	public function get_title ()
	{
		return $this->rt_to2_text . " / " . $this->rt_to1_text;
	}

	public function get_cit1_id ()
	{
		return $this->rt_cit1_id;
	}

	public function get_cit2_id ()
	{
		return $this->rt_cit2_id;
	}

	public function get_to1_text ()
	{
		return $this->rt_to1_text;
	}

	public function get_to2_text ()
	{
		return $this->rt_to2_text;
	}

	public function get_rt_desc ()
	{
		return $this->rt_desc;
	}

	// validation
	
	public function is_valid ()
	{
		return FALSE;
	}

	// db actions low level

	/**
	 * inhalt des objektes aus der datenbank holen
	 */
	protected function db_load_impl ()
	{
		parent::db_load_impl();

		// rt laden
		$db		= core_db::getInstance();
		$query	= "SELECT * FROM relation_type WHERE rt_id='$this->r_rt_id'";
		$result = $db->query( $query );
		if ($db->num_rows($result)!=1) return;

		$data= $db->fetch( $result );
		foreach ($data as $key => $value)
		{
			$this->$key = $value;
		}

		return;		
	}

	/**
	 * objekt in die DB einfuegen
	 */
	protected function db_insert_impl ()
	{
		return FALSE;
	}
	
	/**
	 * objekt in der DB aktualisieren
	 */
	protected function db_update_impl ()
	{
		return FALSE;
	}
	
	/**
	 * objekt in der DB loeschen
	 */
	protected function db_delete_impl ()
	{
		return FALSE;
	}

}
