<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

require_once 'includes/page_init.inc.php';

require_once 'includes/maintain.inc.php';
require_once 'includes/user.inc.php';

// get data
$user = new user( 0, 'u_id' );
$user->load_from_args();

// verwaltung des eigenen accounts unterbinden
if (
	(core_session::getInstance()->get_role_id() != ROLE_ADMIN)
	&&
	core_session::getInstance()->get_user_id() == $user->get_id())
{
	require_once 'includes/page_error.inc.php';
	html_error_page( get_string('ModifyYourAccount_dsc'), U_INDEX_PHP );
	exit();
}

// processing
if ($user->action_update())
{
	$rc_url = U_INDEX_PHP;
	$core_html_refresh_url = $rc_url;
}
else
{
	$rc_url = $referer_script_name;
}

// page
html_page_header_maintain();

$user->display_synopse( maintain_user_form_menu() );
$user->html_status( $rc_url );

html_page_footer();

require_once 'includes/page_done.inc.php';
