<?php
# php-cmdb - a php based configuration management database

# Copyright (C) 2008  Dr. Michael Scheibe - michael@nofiles.de

# php-cmdb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# php-cmdb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with php-cmdb.  If not, see <http://www.gnu.org/licenses/>.

/**
* @author		Dr. Michael Scheibe
* @package		cmdb
* @subpackage	frontend
* @version		$Id: view_icon.php 373 2009-05-06 17:54:14Z micha $
*/

require_once 'includes/page_init.inc.php';
require_once 'includes/icon_list.inc.php';

// get data
$preview = http_get_int( 'preview', 0 );
$icon_name = http_get_string( 'ico', '' );
$icon_size = http_get_int( 's', 0 );

if ($preview == 1)
{
	$image = icon_list::getInstance()->get_preview_image();
}
else
{
	$image = icon_list::getInstance()->get_icon_image( $icon_name, $icon_size );
}

if (is_resource( $image )) 
{
	header ('Content-type: image/png');
	imagepng( $image );
}

require_once 'includes/page_done.inc.php';
